function removePhoto(mode,listtId, photoId, fileExt)
{
	$.ajax({
		type: 'POST',
		url: base_url + 'marketplace/removePhoto',
		data: 'photo_id=' + photoId+'&list_id=' + listtId + '&file_ext=' + fileExt + '&mode='+mode,
		success: function(response){
			if(response == 'done')
			{
				$('#'+mode+'_'+photoId).html('');
			}
		}
	});	 
}


$(document).ready(function() {
	if(autoComplete)
	{
		$("#networkName").autocomplete(
			base_url + 'marketplace/getNetworkNames',
			{
				id: 'autoCompleteDiv',
				dataType: 'json',
				delay:10,
				minChars:2,
				matchSubset:1,
				matchContains:1,
				cacheLength:10,
				resultsClass: 'autocompleteResults',
				onItemSelect: function(li) {
					if( li == null ) return alert("No match!");
	
					if( !!li.extra ) 
						var sValue = li.extra[0];
					else 
						var sValue = li.selectValue;
						
					$('#networkId').val(sValue);
				},
				onFindValue:findValue,
				formatItem:formatItem,
				autoFill:true
			}
		);
	}
});

function findValue(li)
{
	if( li == null ) return alert("No match!");
	
	if( !!li.extra ) 
		var sValue = li.extra[0];
	else 
		var sValue = li.selectValue;
		
	$('#networkId').val(sValue);
}

function selectItem(li) 
{
	findValue(li);
}

function formatItem(row) 
{
	return row[0];
}


function homeSearch()
{
/*	if($('#lstSearch').val() == 0)
	{
		alert('Select Category');
		return;
	}
*/	//alert(base_url);
	//document.marketplaceHomeFrm.action = base_url;
	$("#marketplaceHomeFrm").attr("action", base_url+'marketplace/search/');
	$('#marketplaceHomeFrm').submit();	
} 

function hideDiv(divId)
{
	$('#'+divId).hide();
}

function showDiv(divId)
{
	$('#'+divId).show();
}


function showList(listId,tagId,mode)
{
	var divid = '#listDiv'+listId+'_'+mode;
	$.ajax({
		type: 'POST',
		url: base_url + 'marketplace/showListingInfo/',
		data: 'listId=' + listId+'&tagId=' + tagId + '&mode=' + mode,
		success: function(response){
			$(divid).html(response);
			$(divid).show();

			$('#detail_' + mode + '_' + listId).hide();
		}
	});	 
	
}



function deleteList(listStatus)
{
	var divid = '#listDiv'+$('#delListId').val()+'_'+$('#delListMode').val();
	//alert(listStatus);
	 
	$('#delDiv'+$('#delListId').val()+'_'+$('#delListMode').val()).show();
	$.ajax({
		type: 'POST',
		url: base_url + 'marketplace/deleteList/',
		data: 'listId='+$('#delListId').val()+'&mode='+$('#delListMode').val()+'&status='+listStatus,
		success: function(response){
			//$('#contentDiv'+$('#delListId').val()+'_'+$('#delListMode').val()).html(response);	
			$('#contentDiv'+$('#delListId').val()+'_'+$('#delListMode').val()).remove();	
			//$('#delDiv'+$('#delListId').val()+'_'+$('#delListMode').val()).hide();
			//window.location.reload();
		}
	});	 
	
}


function showConfirm(listId,mode)
{
	$('#delListId').val(listId);
	$('#delListMode').val(mode);
	//$('#delConfirm'+listId+'_'+mode).show();
	tb_show('', '#TB_inline?height=170&width=530&modal=true&inlineId=deleteCommentDiv', false);
}

function postHome()
{
	$("#marketplaceHomeFrm").attr("action",base_url+'marketplace/');
	$('#marketplaceHomeFrm').submit();	
}

function postNetwork(network_id)
{
	$('#hdnNetwork').val(network_id);
	$('#marketplaceHomeFrm').submit();	
}