<!-- Header template file -->
{include file="../admin/header.tpl"}
{include file="../admin/left.tpl"}
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<!-- gray start  -->
		<p id="headingPrivacy">{$lang->line('eventcategory_title')}</p>
		<!-- gray end -->
	</div>
	<div class="mainInnerCommon postedItems" >
		<div class="topSpaceSmall">
			<div id="edit" class="topSpace">
				{if $session->flashdata('successMsg')}
				<div id="sucsMsg"><!-- success info -->
					<div class="alertInfo">{$session->flashdata('successMsg')}</div>
				</div>
				{/if} 
  				{if $session->flashdata('errorMsg')}
				<div id="errorMsg"><!-- success info -->
					<div class="alertInfo">{$session->flashdata('errorMsg')}</div>
				</div>
				{/if} 
                
				{if $validationError}
					<div id="errorMsg">
						<div class="alertInfo">
							{$validationError}
						</div>
					</div>
				{/if}
				
				{if $addEventCategory}
				<form name="eventCategoryFrm" id="eventCategoryFrm" action="" method="post">
				<table class="allTable" cellpadding="0" cellspacing="0">
				<tr>
					<td>{$lang->line('eventcategory_category_name')}</td>
					<td><input class="signUpTextBox" type="text" name="event_category_name" id="event_category_name" value="{$smarty.post.event_category_name|default:$event_category_name|htmlspecialchars}" maxlength="25"  size="40"/>{$lang->line('eventcategory_category_note')}</td>
				</tr>
				<tr>
					<td>{$lang->line('eventcategory_description')}</td>
					<td><input class="signUpTextBox" type="text" name="event_category_description" id="event_category_description" value="{$smarty.post.event_category_description|default:$event_category_description.title|htmlspecialchars}" maxlength="50" size="40"/>{$lang->line('eventcategory_description_note')}</td>
				</tr>
				<tr>
					<td>{$lang->line('eventcategory_status')}</td>
					<td><input type="radio" name="event_category_status" id="event_category_status" value="Yes" checked="checked"/>{$lang->line('eventcategory_enabled')}&nbsp;
						<input type="radio" name="event_category_status" id="event_category_status" value="No"/>{$lang->line('eventcategory_disabled')}</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><input type="submit" name="add_event_category" id="add_event_category" value="{$lang->line('eventcategory_submit')}"  size="40"></td>
				</tr>
				</table>
				</form>
				{elseif $editEventCategory}
				<form name="manageFootersFrm" id="manageFootersFrm" action="{$base_url}admin/eventCategory/editEventCategory" method="post">
				<table class="allTable" cellpadding="0" cellspacing="0">
				<input type="hidden" name="event_category_id" id="event_category_id" value="{$event_category_id}"  />
				<tr>
					<td>{$lang->line('eventcategory_category_name')}</td>
					<td><input class="signUpTextBox" type="text" name="event_category_name" id="event_category_name" value="{$smarty.post.event_category_name|default:$eventsList[$event_category_id].event_category_name|htmlspecialchars}"  maxlength="25" size="40"/>{$lang->line('eventcategory_category_note')}</td>
				</tr>
				<tr>
					<td>{$lang->line('eventcategory_description')}</td>
					<td><input class="signUpTextBox" type="text" name="event_category_description" id="event_category_description" value="{$smarty.post.event_category_description|default:$eventsList[$event_category_id].event_category_description|htmlspecialchars}" maxlength="50" size="40"/>{$lang->line('eventcategory_description_note')}</td>
				</tr>
				<tr>
					<td>{$lang->line('eventcategory_status')}</td>
					<td><input type="radio" name="event_category_status" id="event_category_status" value="Yes" {if $eventsList[$event_category_id].event_category_status == 'Yes'} checked="checked" {/if}/>{$lang->line('eventcategory_enabled')}&nbsp;
						<input type="radio" name="event_category_status" id="event_category_status" {if $eventsList[$event_category_id].event_category_status == 'No'} checked="checked" {/if} value="No" />{$lang->line('eventcategory_disabled')}</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><input type="submit" name="update_event_category" id="update_event_category" value="{$lang->line('eventcategory_submit')}"  size="40"></td>
				</tr>
				</table>
				</form>
				{/if}
				
				<hr />
				<table class="allTable" cellpadding="0" cellspacing="0">
				<tr>
					<td><strong>{$lang->line('eventcategory_category')}</strong></td>
					<td><strong>{$lang->line('eventcategory_description')}</strong></td>
					<td><strong>{$lang->line('eventcategory_status')}</strong></td>
					<td><strong>{$lang->line('eventcategory_date_added')}</strong></td>
					<td><strong>{$lang->line('eventcategory_action')}</strong></td>
				</tr>
				{if $eventsList!=false}
				{foreach from=$eventsListArr key=key item=event}
				<tr>
					<td><a href="{$base_url}admin/eventSubCategory/{$event.event_category_id}">{$event.event_category_name}</a></td>
					<td>{$event.event_category_description}</td>
					<td>{if $event.event_category_status == 'Yes'}{$lang->line('eventcategory_enabled')}{else}{$lang->line('eventcategory_disabled')}{/if}</td>
					<td>{$event.date_added}</td>
					<td><a href="{$base_url}admin/eventCategory/editEventCategory/{$event.event_category_id}">{$lang->line('eventcategory_edit')}</a></td>
				</tr>	
				{/foreach}
				{else}
				<tr><td colspan="4">{$lang->line('eventcategory_no_records')}</td></tr>
				{/if}
				</table>
			</div>
		</div>
	</div>
	<!-- posted item end overall with two coloum -->
</div>
<!-- Page Content End -->
<!-- Footer template file -->
{include file="../admin/footer.tpl"}