<!-- Header template file -->
{include file="../admin/header.tpl"}

<!-- Left template file -->
{include file="../admin/left.tpl"}

<!-- Page Content Start -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<!-- gray start  -->
		<p id="headingPrivacy">{$lang->line('page_title')}</p>
		<!-- gray end -->
	</div>
    {if $session->flashdata('flash_msg')}
    <div id="comnMsg">
        <div class="alertInfo">
            {$session->flashdata('flash_msg')}
        </div>
    </div>
    {/if}
	<div class="mainInnerCommon postedItems" >
		<div class="topSpaceSmall">
			<div id="edit" class="topSpace">
				
				<form name="adminNetworkFrm" method="post" action="">
				<table cellpadding="0" cellspacing="0" class="allTable">
					<tr>
						<td>{$lang->line('amn_show')}</td>
						<td>{$lang->line('amn_network_name')}</td>
						<td>{$lang->line('amn_network_type')}</td>
						<td>{$lang->line('amn_network_domain')}</td>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td>
							<select name="networkStatus">
								<option {if $smarty.post.networkStatus|default:"" == ''} selected="selected" {/if} value="">ALL</option>
								<option {if $smarty.post.networkStatus|default:"" == 'disabled'} selected="selected" {/if} value="disabled">Dis-Approved</option>
								<option {if $smarty.post.networkStatus|default:"" == 'enabled'} selected="selected" {/if} value="enabled">Approved</option>
								<option {if $smarty.post.networkStatus|default:"" == 'suggested'} selected="selected" {/if} value="suggested">Suggested</option>
								<option {if $smarty.post.networkStatus|default:"" == 'confirmed'} selected="selected" {/if} value="confirmed">Confirmed</option>
                                <option {if $smarty.post.networkStatus|default:"" == 'nonconfirmed'} selected="selected" {/if} value="nonconfirmed">Not Confirmed</option>
							</select>
						</td>
						<td><input type="text" name="networkName" class="signUpTextBox" value="{$smarty.post.networkName|htmlspecialchars}" /></td>
						<td>
							<select name="networkType">
								<option {if $smarty.post.networkType|default:"" == ''} selected="selected" {/if} value="">ALL</option>
								<option {if $smarty.post.networkType|default:"" == 'region'} selected="selected" {/if} value="region">Region</option>
								<option {if $smarty.post.networkType|default:"" == 'school'} selected="selected" {/if} value="school">School</option>
								<option {if $smarty.post.networkType|default:"" == 'college'} selected="selected" {/if} value="college">College</option>
								<option {if $smarty.post.networkType|default:"" == 'work'} selected="selected" {/if} value="work">Work</option>
							</select>
						</td>
						<td><input type="text" name="networkDomain" class="signUpTextBox" value="{$smarty.post.networkDomain|htmlspecialchars}" /></td>
						<td>
							<input type="submit" name="submit" value="Go" />
						</td>
					</tr>
				</table>
				</form>
				
				{if $networksCnt > 0}
				<hr />
				<form name="networkResultsFrm" id="networkResultsFrm" action="" method="post">
				<table class="allTable" cellpadding="0" cellspacing="0">
					<tr>
						<td><strong>Name</strong></td>
						<td><strong>Type</strong></td>
						<td><strong>Status</strong></td>
						<td><strong>Email</strong></td>
						<td>&nbsp;</td>
					</tr>
					{foreach from=$networks key=networkId item=networkRow}
					<tr>
						<td>{$networkRow.network_name}</td>
						<td>{$networkRow.network_type}</td>
						<td>{$networkRow.network_status}</td>
						<td>{$networkRow.network_email}</td>
						<td>
                        	{if $networkRow.network_status=='suggested'}
                            	<a href="{$base_url}admin/manageNetworks/sendConfirmation/{$networkId}">Send Confirmation</a> | 
                                <a href="{$base_url}admin/manageNetworks/viewNetwork/{$networkId}">View</a>
                            {elseif $networkRow.network_status=='confirmed'}
                            	<a href="{$base_url}admin/manageNetworks/approveNetwork/{$networkId}">Approve</a> | 
                                <a href="{$base_url}admin/manageNetworks/disapproveNetwork/{$networkId}">Dis Approve</a> | 
                                <a href="{$base_url}admin/manageNetworks/viewNetwork/{$networkId}">View</a>
                            {elseif $networkRow.network_status=='enabled'}
                            	<a href="{$base_url}admin/manageNetworks/disapproveNetwork/{$networkId}">Dis Approve</a> |
                            	<a href="{$base_url}admin/manageNetworks/viewNetwork/{$networkId}">View</a>
                            {elseif $networkRow.network_status=='disabled'}
                            	<a href="{$base_url}admin/manageNetworks/approveNetwork/{$networkId}">Approve</a> | 
                            	<a href="{$base_url}admin/manageNetworks/viewNetwork/{$networkId}">View</a>
                            {/if}
                            
                        </td>
					</tr>
					{/foreach}
				</table>
				</form>	
                {else}			
                    <div id="errorMsg">
                        <div class="alertInfo">
                            No networks found.
                        </div>
                    </div>
				{/if}				
			</div>
		</div>
	</div>
	<!-- posted item end overall with two coloum -->
    
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="../admin/footer.tpl"}