<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div class="clearAfter" id="grayBoxMain">
		<!-- gray start  -->
		<div id="postedItems"></div>
		<p id="helpLink" class="rightText"></p>
		<!-- gray end -->
	</div>
	<div class="mainInnerCommon postedItems">
		<div class="clearAfter">
			<div id="grpPotoTitle">
				<ul class="clearAfter">
					<li class="floatLeft"><img src="{$topics.$topicId.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" /> </li>
					<li id="lcnName">
						<h2>{$topics.$topicId.discussion_topic}</h2>
					</li>
				</ul>
			</div>
			<div id="accountsNaviLink" class="clearAfter">
				<ul class="clearAfter">
					<li><a href="{$base_url}discussion/view/{$postedFor}/{$postedForId}">{$lang->line('discussion_diss_board')}</a></li>
					<li><a {if $currTab == 'view'}class="active"{/if} href="{$base_url}discussion/view/{$postedFor}/{$postedForId}/{$topicId}">{$lang->line('discussion_topic_view')}</a></li>
					{if $canPost == 1}
					<li><a {if $currTab == 'create'}class="active"{/if} href="{$base_url}discussion/create/{$postedFor}/{$postedForId}">{$lang->line('discussion_start_new_topic')}</a></li>
					{/if}
				</ul>
				<div id="borderBottom">
					<!-- border bottom-->
				</div>
			</div>
			<div  id="topicList"class="topSpaceSmall clearAfter">
				<div class="floatLeft">
					<p><span class="boldText">{$lang->line('discussion_topic')}:</span> <span class="redBoldLink tDN">{$topics.$topicId.discussion_topic}</span></p>
				</div>
				<div class="floatRight">
					<p>
						{if $currTab == 'view'}
						<a href="{$base_url}discussion/create/{$postedFor}/{$postedForId}/{$topicId}" class="redNormalLink">{$lang->line('discussion_reply_to')} {$lang->line('discussion_topic')}</a>
						{/if}
					</p>
				</div>
			</div>
		</div>
		{if $currTab == 'view'}
			{include file="discussionpostview.tpl"}
		{else if $currTab == 'create'}
			{include file="discussionpostcreate.tpl"}
		{/if}
	</div>
	<!-- main end -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}