<!-- Header template file -->
{include file="header.tpl"}
<!-- Include the additional css file you need here -->
<link href="{$app_url}css/jquery.autocomplete.css" rel="stylesheet" type="text/css" />
<!-- Include the additional script file you need here -->
<script type="text/javascript">
	var autoComplete = 0;
</script>
<script type="text/javascript" src="{$app_url}scripts/groups.js"></script>
<!-- Left Pane template file -->
{include file="left.tpl"}
<!-- Page Content -->
{$validationError}
<!-- Page Content End -->
 <div>{include file="group_join_interface.tpl"}</div>
 <div>{include file="group_del_interface.tpl"}</div>
<form name="groupsBrowseFrm" id="groupsBrowseFrm" method="post" action="{$base_url}groups/browse/">
	<input type="hidden" readonly="readonly" name='hdnSubCategory' id='hdnSubCategory'  />
	<input type="hidden" readonly="readonly" id="hdnGroup" value="" />
		<div id="main" class="floatLeft main"><!-- main --> <!-- main end -->
			<div id="grayBoxMain"><!-- gray start  -->
			<div id="postedItems">
				<ul class="clearAfter">
					<li><a   href="{$base_url}groups/">{$lang->line('groups_back_to_groups')}</a></li>
				</ul>
			</div>
			<p id="helpLink" class="rightText"><!--<a href="#"> Help</a>--></p>
			<!-- gray end --></div>
			
			<div class="mainInnerCommon postedItems">
			  <div class="mainInnerTopDiv clearAfter">
				<div id="mainPageTitle" class="marketTitle floatLeft "><p>{$lang->line('group_browse_group')}</p></div>
				<div class="floatRight topSpaceSmall"> <a href='{$base_url}groups/managegroups/'> <img border="0" src="{$app_url}images/{$language}/createNewGroupBtn.jpg" /> </a> </div>
			 </div>
			 {if $resultcounts > 0}
			 <div id="brwseDsplyInfo" class="clearAfter">
				<div class="floatLeft"><p>{$lang->line('groups_displaying')} {$lang->line('groups_main_title')} {$resultcounts} {$lang->line('groups_of')} {$resultTotal}.</p></div>
				{include file="pagination.tpl"}
			 </div>
			 {/if}
				<!-- create group form start -->
				<div id="crteGroupFomSec">
						
						<div id="crteGrpLftBox"class="floatLeft clearAfter">
							{if $resultcounts > 0}
								{foreach from=$groupsresult key=group_id item=detail}
									<div id='groupmsgdiv{$group_id}' style="display:none">
										<p>
											<div id="comnMsg"><!-- common info -->
												<div class="alertInfo">
													<p> <div id='groupmsg{$group_id}'> </div> </p>
												</div>
											</div>
										</p>
									</div>
									<div id='group{$group_id}'> 
										<div id="brwsrGrpList">
											<ul class="clearAfter">
												<li id="brwsrPhoto"><img src="{$detail.group_image}" border="0" /></li>
												<li id="brwsrVarity"><p>{$lang->line('group_group_name')}:</p><p>{$lang->line('group_network')}:</p><p>{$lang->line('groups_size')}:</p><p>{$lang->line('groups_form_group_type')}:</p><p>{$lang->line('groups_new')}:</p></li>
												<li id="brwsrDetail"><p><a class="redBoldLink tDN" href="{$base_url}groups/view/{$group_id}/">{$detail.group_name|htmlspecialchars|wordwrap:15:"<br />\n":true}({$detail.group_type})</a></p>
												<p>
													{if $detail.network_id == 0}{$detail.network_name|htmlspecialchars|truncate:30:"...":true}{else}
														<a class="redNormalLink tDN" href="{$base_url}network/view/{$detail.network_id}/"> {$detail.network_name|htmlspecialchars|truncate:30:"...":true} </a>
													{/if}
												</p>
												<p><a class="redNormalLink tDN" href="{$base_url}groups/viewmembers/{$group_id}">{$detail.members} {$lang->line('groups_members_count')}</a></p>
												<p><a class="redNormalLink tDN" href="javascript:void(0);" onClick="javascript:setMaincatValue({$detail.group_category_id});">{$detail.group_category_name|htmlspecialchars|wordwrap:30:"<br />\n":true}</a> - <a class="redNormalLink tDN" href="javascript:void(0);" onClick="javascript:setSubcatValue({$detail.group_sub_category_id});">{$detail.group_sub_category_name|htmlspecialchars|wordwrap:30:"<br />\n":true}</a></p><p>{$detail.new_member} {$lang->line('groups_more_members')}, {$detail.topics} {$lang->line('groups_board_topics')}, {$detail.wall_posts} {$lang->line('groups_wall_posts')}</p></li>
												<li id="brwsrDtlLink"><p><a class="redNormalLink tDN" href="{$base_url}groups/view/{$group_id}/">{$lang->line('groups_view_group')}</a></p>
												{if $detail.group_type == 'open' && $detail.member_flag == 0 && $detail.network_flag == 1}
													<div id='join{$group_id}'>
														<p>  
															<a class="redNormalLink tDN" href="javascript: void(0);" onclick="showJoinGroup({$group_id});">{$lang->line('groups_join_group')}</a>
														</p>
													</div>
												{/if}
												{if $detail.member_flag == 1}
													<div id='leave{$group_id}'>
														<p>  
															<a class="redNormalLink tDN" href="javascript: void(0);" onclick="showLeaveGroup({$group_id});">{$lang->line('groups_leave_group')}</a>
														</p>
													</div>
												{/if}
												
												</li>
											</ul>
										</div>
									</div>
								{/foreach}	
							{else}
									<p>
										<div id="comnMsg"><!-- common info -->
											<div class="alertInfo">
												<p> {$lang->line('groups_msg_nothing')} </p>
											</div>
										</div>
									</p>
									
							{/if}
						</div>
						<div id="brwseGrpRghtBox" class="floatRight   clearAftert">
							<div id="fltrSec">
								<div id="fltrBox">
									<div><p id="fltrHead">{$lang->line('groups_filter_by')}:</p></div>
									<div id="fltrOption">
										<ul>
										  <li>
											<label>{$lang->line('group_network')}</label>
												{assign var='test' value=$network}
												{if $smarty.post.network != ''}
													{assign var='test' value=$smarty.post.network}
												{/if}

												<select name="network" id="network" class="crteGroupDrop" onchange="javascript:$('#groupsBrowseFrm').submit();">
													{foreach from=$usernetworks key=k item=detail}
														<option value="{$detail.network_id}" {if $test == $detail.network_id} selected="selected" {/if}>{$detail.network_name}</option>
													{/foreach}
													<option value="0" {if $test == 0} selected="selected" {/if}>{$lang->line('groups_form_global_label')}</option>
												</select>
												
												
										  </li>
											<li>
												<label>Type</label>
													{assign var='test' value=$group_category}
													{if $smarty.post.group_category != ''}
														{assign var='test' value=$smarty.post.group_category}
													{/if}
													<select name="group_category" id="group_category"  class="crteGroupDrop"  onchange="javascript:$('#groupsBrowseFrm').submit();">
													<option value="0" {if $test == 0} selected="selected" {/if}>{$lang->line('groups_all')}</option>
														{if count($groupcat) > 0}
															{foreach from=$groupcat key=k item=groupcatdetail}
																<option value="{$groupcatdetail.group_category_id}" {if $test == $groupcatdetail.group_category_id} selected="selected" {/if}>{$groupcatdetail.group_category_name}</option>
															{/foreach}
														{/if}
													</select>
												
												
											</li>
										</ul>
								  </div>
								</div>
							</div>
							<!-- -->
							<div id="subTypeSec">
								<div id="subTypeBox">
									<div><p id="fltrHead">{$lang->line('groups_sub_type_')}</p></div>
									<div id="subTypeInfo">
										<ul>
											<li class="boldText"><a onclick="javascript:setSubcatValue(0);"  class="cursorBtn">{$lang->line('groups_all')}</a></li>
											{foreach from=$sub_categories key=k item=groupcatdetail}
												<li><a onclick="javascript:setSubcatValue({$groupcatdetail.group_sub_category_id});"  class="cursorBtn">{$groupcatdetail.group_sub_category_name}</a></li>
											{/foreach}											
										</ul>
									</div>
								</div>
							</div>
						</div>
				</div>
			 	
				<!-- create group form end -->
			</div>
		<!-- main end --></div>
</form>
 

<!-- Footer template file -->
{include file="footer.tpl"}
