<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->

</head>
<body>
<div id="container"><!-- container start -->
	<div id="header"><!-- header --> <!-- header end -->
		<div id="siteLogo" class="floatLeft"><h1><a href="{$base_url}">{$lang->line('login_kootali')}</a></h1></div>
		<div id="headerNavi" class="floatRight">
			<form name="siteFrm" method="post" action="{$base_url}application/changeLanguage">
			<p class="floatRight">
				<select name="siteLang" onChange="document.siteFrm.submit();">
					{foreach from=$app_languages item=appLanguages}
					<option value="{$appLanguages.lang_code}" {if $appLanguages.lang_code == $language} selected {/if}>{$appLanguages.lang_name}</option>
					{/foreach}
				</select>
			</p>
			</form>
		</div>
	</div>
	<div id="innerContainer" class="clearAfter"><!-- innerContainer --><!-- innerContainer end -->
		<div id="leftBarBorder" class="clearAfter">
			<div id="leftBar" class="floatLeft"><!-- leftBar --> <!-- leftBar end -->
				<div class="leftInnerBox">
					<div class="leftBox" id="loginBox">
						<h2>{$lang->line('login_member_login')}</h2>
						<form method="post" action="{$base_url}login" name="login_form" id="login_form">
						<div>
							<p><label>{$lang->line('login_email')}</label><input class="textBox" id="email" name="email" type="text" value="{$smarty.post.email|default:$user_email|htmlspecialchars}"/></p>
							<p><label>{$lang->line('login_password')}</label><input  class="textBox" id="pass" name="pass" type="password" /></p>
							<p><input name="rememberme" id="rememberme" type="checkbox" value="yes" />
								<span>{$lang->line('login_remember_me')}</span></p>
							<p><input name="login" id="login" class="cursorBtn" type="image" src="application/images/{$language}/loginBtn.jpg" /></p>
							<div><a href="{$base_url}forgotPassword">{$lang->line('login_forgot_pass')}?</a></div>
						</div>
						</form>
					</div>
				</div>
			 </div>
			<div id="main" class="floatLeft"><!-- main --> <!-- main end -->
				<div id="loginMainBox"><!-- login overall box -->
					<p class="rightText">{$lang->line('login_already_user')} <a class="redBoldLink" href="{$base_url}login">{$lang->line('login_login')}</a></p>
					<div id="loginMSec">
					<div id="loginMLady">
						<div id="loginMWelSec">
							<p>{$lang->line('login_kootali_is_a')} <span>{$lang->line('login_social_utility')} </span>{$lang->line('login_that')} <span>{$lang->line('login_connects')}</span></p>
							<p><span>{$lang->line('login_you')}</span> {$lang->line('login_with_people')}</p> 
						</div>
						<div id="signUpBtnSec">
							  <p id="signUpInfo">{$lang->line('login_everone_kootali')} &mdash; 
							  <p><a href="{$base_url}register"><img class="cursorBtn" border="0" src="application/images/{$language}/singupBtn.jpg" /></a></p> 
						</div>
					</div>
					<div id="signUpTagSec">
						<p><span>{$lang->line('login_upload_photos')}</span> {$lang->line('login_or')} <span>{$lang->line('login_publish_notes')}</span> &#8226; {$lang->line('login_get_the')} <span>{$lang->line('login_latest_news')}</span> {$lang->line('login_frm_friends')} &#8226; {$lang->line('login_post_videos')} &#8226; {$lang->line('login_tag_friends')} &#8226; {$lang->line('login_use')} <span>{$lang->line('login_privacy_settings')}</span> {$lang->line('login_to_control')} &#8226; <span>{$lang->line('login_join_network')}</span> {$lang->line('login_to_see')} </p>
					</div>
				</div>
				</div>
			</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}