<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript">
	var autoComplete = 0;
</script>
<script type="text/javascript" src="{$app_url}scripts/groups.js"></script>

<script language="javascript">
var groups_msg = new Array();
groups_msg['discussion board'] 	= 	"{$lang->line('groups_js_discussion_board')}";
groups_msg['wall'] 				= 	"{$lang->line('groups_view_wall')}";
groups_msg['photos'] 			= 	"{$lang->line('groups_js_photos')}";
groups_msg['videos'] 			= 	"{$lang->line('groups_js_videos')}";
groups_msg['posted items'] 		= 	"{$lang->line('groups_js_posted')}";



groups_msg['open']				=	"{$lang->line('groups_js_open')}";
groups_msg['closed']			=	"{$lang->line('groups_js_closed')}";
groups_msg['closed_alt']		=	"{$lang->line('groups_js_closed_alt')}";

groups_msg['secret']			=	"{$lang->line('groups_js_secret')}";

groups_msg['and']				=	"{$lang->line('groups_js_and')}";
groups_msg['the']				=	"{$lang->line('groups_js_the')}";
groups_msg['visible']			=	"{$lang->line('groups_js_will_visible')}";
</script>

<!--<script type="text/javascript" src="{$app_url}scripts/{$language}/groups_info.js"></script>-->

<!-- Include the additional css file you need here -->
<link href="{$app_url}css/jquery.autocomplete.css" rel="stylesheet" type="text/css" />

<!-- Left Pane template file -->
{include file="left.tpl"}
<!-- Page Content -->
<div id="main" class="floatLeft main" >
<form name="groupsHomeFrm" id="groupsHomeFrm" method="post" onsubmit="javascript: groupSubmit();">
<input type="hidden" name="cntNetworks" id="cntNetworks" value="{$networkscount}"  />
<input type="hidden" name="hdnOptions" id="hdnOptions" value=""/>
<input type="hidden" name="hdnAction" id="hdnAction" value="{$action}"/>
<input type="hidden" name="hdnGroupId" id="hdnGroupId" value="{$group_id}"/>
{assign var='test' value=$privacy_type}
{if $smarty.post.privacy_type != ''}
	{assign var='test' value=$smarty.post.privacy_type}
{/if}
<input type="hidden" name="hdnPrivacy" id="hdnPrivacy" value="{if $test == ''}open{else}{$test}{/if}"/>

	<!-- main -->
	<div id="grayBoxMain">
		<div id="postedItems">
			<ul class="clearAfter">
				<li><a  class="boldText" href="{$base_url}groups/mygroups/">{$lang->line('group_my_group')}</a> |</li>
				<li><a href="{$base_url}groups/browse/">{$lang->line('group_browse_group')}</a> |</li>
				<!-- This Link is Commented By B. Sivanantham as this functionality not need  -->
				<!--<li><a href="#"> Popular Groups</a> </li>-->
				<li><a href="{$base_url}groups/managegroups/">{$lang->line('group_create_new_group')}</a> </li>
			</ul>
		</div>
	</div>
	
	<div class="mainInnerCommon postedItems" >
	  <div class="mainInnerTopDiv clearAfter">
		<div id="mainPageTitle" class="marketTitle"><p>{$lang->line('group_create_group')}</p></div>
		<div id="createGroupStep">
			<ul>
				<li><a class="active tDN" href="{$base_url}groups/managegroups/{if $group_id != ''}{$group_id}/{/if}">{$lang->line('group_step1')} </a> |</li>
				<li><a class="grayText tDN" href="{$base_url}groups/picture/{if $group_id != ''}{$group_id}/{/if}">{$lang->line('group_step2')}</a>  | </li>
				<li><a class="grayText tDN" href="{$base_url}groups/members/{if $group_id != ''}{$group_id}/{/if}">{$lang->line('group_step3')}</a></li>
			</ul>
		</div>
		</div>
		<!-- create group form start -->
		{if $validationError != ''}
			<p>
				<div id="comnMsg"><!-- common info -->
					<div class="alertInfo">
						<p>{$validationError} </p>
					</div>
				</div>
			</p>	
		{/if}
		<div id="crteGroupFomSec">
			<div id="crteGroupBox">
				<table border="0" class="allTable" cellspacing="0" cellpadding="0">
					  <tr>
						<td class="crteGrpQry"><p class="boldText req">{$lang->line('group_group_name')}</p><span class="grayText">(required)</span></td>
						<td class="vAlignTop"><input class="crteGrpTxtBox"  id="group_name" name="group_name" value="{$smarty.post.group_name|default:$group_name}" maxlength="75" type="text"></td>
					  </tr>
						{if count($usernetworks) > 0}
							{assign var='test' value=$network}
							{if $smarty.post.network != ''}
								{assign var='test' value=$smarty.post.network}
							{/if}

						   <tr>
							<td class="crteGrpQry"><p class="boldText req">{$lang->line('group_network')}</p><span class="grayText">(required)</span></td>
							<td class="vAlignTop">
								<select name="network" id="network" class="crteGroupDrop" >
									{foreach from=$usernetworks key=k item=detail}
										<option value="{$detail.network_id}" {if $test == $detail.network_id} selected="selected" {/if}>{$detail.network_name}</option>
									{/foreach}
									<option value="0" >Global (Available to all networks)</option>
								</select>
							</td>
						  </tr>
					  {/if}
					   <tr>

						<td class="crteGrpQry vAlignTop"><p class="boldText req">{$lang->line('group_description')}</p><span class="grayText">(required)</span></td>
						<td class="vAlignTop"><textarea class="crteGrpTxtBox"  cols="30" rows="5" id="group_desc" name="group_desc">{$smarty.post.group_desc|default:$group_desc}</textarea></td>
					   </tr>
					
						  <tr height="20px">
						  	<td>&nbsp;
								
							</td>
							<td align="center">&nbsp;
							 <span  id='subcatloader' style="display:none"><img src="{$app_url}images/loading.gif"  border="0" /> </span>
							</td>
						  </tr>
					  <tr>
						<td class="crteGrpQry vAlignTop"><p class="boldText req">{$lang->line('group_group_type')}
</p><span class="grayText">(required)</span></td>
						<td class="vAlignTop">
						{assign var='test' value=$group_category}
						{if $smarty.post.group_category != ''}
							{assign var='test' value=$smarty.post.group_category}
						{/if}
						<select name="group_category" id="group_category"  class="crteGroupDrop"  onchange="javascript:groupCategorySelect(this.value);">
							<option value="0" >Select Category:</option>
							{if count($groupcat) > 0}
								{foreach from=$groupcat key=k item=groupcatdetail}
									<option value="{$groupcatdetail.group_category_id}" {if $test == $groupcatdetail.group_category_id} selected="selected" {/if}>{$groupcatdetail.group_category_name}</option>
								{/foreach}
							{/if}
						</select>
						{assign var='test' value=$group_sub_category}
						{if $smarty.post.group_sub_category != ''}
							{assign var='test' value=$smarty.post.group_sub_category}
						{/if}
					   <select name="group_sub_category" id="group_sub_category" class="crteGroupDrop" >
						   <option value="0">Select Type:</option>
						   {if count($sub_categories) > 0 }
								{foreach from=$sub_categories key=k item=subcatarr}
									<option value="{$subcatarr.group_sub_category_id}" {if $subcatarr.group_sub_category_id == $test} selected="selected" {/if} > {$subcatarr.group_sub_category_name}</option>
								{/foreach}
						   {/if}
						   </select>
						 </td>
					  </tr>
					  <tr>
						<td class="crteGrpQry vAlignTop"><p class="boldText req">{$lang->line('group_recent_news')}
</p>								  </td>
						<td class="vAlignTop"><textarea class="crteGrpTxtBox" cols="30" rows="5" id="group_news" name="group_news">{$smarty.post.group_news|default:$group_news}</textarea> </td>
					   </tr>
					  <tr>
						<td><span class="boldText ">{$lang->line('group_office')}</span></td>
						<td><input id="group_office" name="group_office" class="crteGrpTxtBox" value="{$smarty.post.group_office|default:$group_office}" type="text"></td>
					  </tr>
					  <tr>
						<td><span class="boldText">{$lang->line('group_website')}</span></td>
						<td><input id="group_website" name="group_website" class="crteGrpTxtBox" value="{$smarty.post.group_website|default:$group_website}" type="text"></td>
					  </tr>
					  <tr>
						<td><span class="boldText">{$lang->line('group_email')}</span></td>
						<td>
						  <input id="group_email" name="group_email" class="crteGrpTxtBox" value="{$smarty.post.group_email|default:$group_email}" type="text">								</td>
					  </tr>
					  <tr>
						<td><span class="boldText">{$lang->line('group_street')}</span></td>
						<td><input id="group_street" name="group_street" class="crteGrpTxtBox" value="{$smarty.post.group_street|default:$group_street}" type="text">								</td>
					  </tr>
					  <tr>
						<td><span class="boldText req">{$lang->line('group_city')}	</span></td>
						<td><input id="group_city" name="group_city" class="crteGrpTxtBox" value="{$smarty.post.group_city|default:$group_city}" type="text"></td>
					  </tr>

						  <tr>
							<td class="crteGrpQry"><span class="boldText req">{$lang->line('groups_group_country')}</span></td>
							<td class="vAlignTop">							  
								{assign var='test' value=$group_country}
								{if $smarty.post.group_country != ''}
									{assign var='test' value=$smarty.post.group_country}
								{/if}
								<select name="group_country" id="group_country">
									<option value="0" >{$lang->line('groups_form_select_country')}:</option>
									{if count($arrCountry) > 0} 
										{foreach from=$arrCountry key=k item=countrydetail}
											<option value="{$countrydetail.country_symbol}" {if $countrydetail.country_symbol == $test} selected="selected" {/if}>{$countrydetail.country_name} </option>
										{/foreach}
									{/if}
								</select>							  
								</td>
							</tr>
					  
					  
					  <tr>
						<td class="vAlignTop"><span class="boldText">{$lang->line('group_options')}</span></td>
						<td>
							<div class="crteGrpCheck">
							{assign var='test' value=$show_message_board}
							{if $smarty.post.show_message_board != ''}
								{assign var='test' value=$smarty.post.show_message_board}
							{/if}
							
							<p>
								<input name="show_message_board" id="show_message_board" {if $test == '' || $test == 'yes'}checked='checked'{/if} onclick="javascript:setOptions();javascript:getOpenGroupText();javascript:getClosedGroupText();javascript:getSecretGroupText();" type="checkbox">{$lang->line('group_enable_discussionboard')}</p>
							{assign var='test' value=$show_wall}
							{if $smarty.post.show_wall != ''}
								{assign var='test' value=$smarty.post.show_wall}
							{/if}
							<p><input name="show_wall" id="show_wall" {if $test == '' || $test == 'yes'}checked='checked'{/if} onclick="javascript:setOptions();javascript:getOpenGroupText();javascript:getClosedGroupText();javascript:getSecretGroupText();" type="checkbox"> 									
							<span> {$lang->line('group_enable_wall')}</span></p>
							{assign var='test' value=$show_photos}
							{if $smarty.post.show_photos != ''}
								{assign var='test' value=$smarty.post.show_photos}
							{/if}
							<p><input name="show_photos" id="show_photos" {if $test == '' || $test == 'yes'}checked='checked'{/if} onclick="$('#show_photos_suboptions').toggle();javascript:setOptions();javascript:getOpenGroupText();javascript:getClosedGroupText();javascript:getSecretGroupText();" type="checkbox">
							<span> {$lang->line('group_enable_photo')}</span></p>
							{assign var='test1' value=$upload_access}
							{if $smarty.post.upload_access != ''}
								{assign var='test1' value=$smarty.post.upload_access}
							{/if}
							<div class="crteGrpOption" style="display:{if $test == 'no'}none{else}block{/if};" id="show_photos_suboptions">
								<p><input name="upload_access"  id="upload_access" {if $test1 == "" || $test1 == "members"}checked='checked'{/if} value="members" type="radio"><span> {$lang->line('group_allow_members_upload_photo')}</span></p>
								
								<p><input name="upload_access"  id="upload_access" {if $test1 == 'admins'}checked='checked'{/if} value="admins" type="radio"><span> {$lang->line('group_allow_admin_upload_photo')}</span></p>
							</div>
							</div>								</td>
					  </tr>
					  <tr>
						<td class="vAlignTop"><span class="boldText">{$lang->line('group_access')}</span></td>
						<td>
							{assign var='test' value=$privacy_type}
							{if $smarty.post.privacy_type != ''}
								{assign var='test' value=$smarty.post.privacy_type}
							{/if}
							<div><input name="privacy_type" value="open" {if $test == '' || $test == 'open'}checked='checked'{/if} onclick="javascript:showDiv('publicizeShow');  javascript:hideDiv('publicizeHide');" type="radio"><span> {$lang->line('group_open_group')}</span>
							<p class="crteGrpAccss grayText"><div id="public_access">{$lang->line('group_open_group_note')}</div></p></div>
							<div><input name="privacy_type" value="closed" {if $test == 'closed'}checked='checked'{/if} onclick="javascript:showDiv('publicizeShow'); javascript:hideDiv('publicizeHide');" type="radio"> <span> {$lang->line('group_closed_group')}</span>
							<p class="crteGrpAccss grayText"><div id="closed_access">{$lang->line('group_closed_group_note')}</div></p></div>
							<div><input name="privacy_type" value="secret"  {if $test == 'secret'}checked='checked'{/if}  onclick="javascript:hideDiv('publicizeShow'); javascript:showDiv('publicizeHide');" type="radio"><span> {$lang->line('group_secret_group')}</span>
							<p class="crteGrpAccss grayText"><div  id="private_access">{$lang->line('group_secret_group_note')}</div></p></div>
							</td>
					  </tr>
							{assign var='test' value=$portal_publisize}
							{if $smarty.post.privacy_type != ''}
								{assign var='test' value=$smarty.post.portal_publisize}
							{/if}

					  <tr>
						<td ><span class="boldText">{$lang->line('group_publicize')}</span></td>
						<td><p> <div id="publicizeShow">
								<input name="portal_publisize" id="portal_publisize" {if $test == 'yes' || $test == '' } checked="checked" {/if} type="checkbox"> 
								<span>{$lang->line('group_show_group')}</span>
								</div>
								<div id="publicizeHide" style="display: none;">
									<input name="portal_publisize" id="portal_publisize"  disabled="disabled" type="checkbox"> 
								<span> {$lang->line('group_show_group')}</span>
								</div>                                        
							</p>
						</td>
					  </tr>
					  <tr>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
					  </tr>
					  <tr>
						<td>&nbsp;</td>
						<td>
							
							{if $action != 'edit'}
								<!--<a href="javascript:void(0);" onClick="javascript:groupSubmit();"><img border="0" src="{$app_url}images/{$language}/createGroupBtn.jpg" /></a>-->
								<INPUT type="image" name="creategroupBtn" id="creategroupBtn" src="{$app_url}images/{$language}/createGroupBtn.jpg"> 
							{else}
								<!--<a href="javascript:void(0);" onClick="javascript:groupSubmit();"><img border="0" src="{$app_url}images/{$language}/saveBtn.jpg" /></a>-->
								<INPUT type="image" name="savegroupBtn" id="savegroupBtn" src="{$app_url}images/{$language}/saveBtn.jpg"> 
							{/if}
							<a href="{$base_url}groups/mygroups/"><img border="0" src="{$app_url}images/{$language}/cancelBtn.jpg" /></a></td>
					  </tr>
					  <tr>
						<td>&nbsp;</td>
						<td><hr /></td>
					  </tr>
					  <tr>
						<td>&nbsp;</td>
						<td>Note: <span class="grayText">{$lang->line('group_group_note')} {$sitetitle} {$lang->line('group_group_note_account')}. {$groupadminmsg}</span>
						</td>
					  </tr>
			</table>
			</div>
		</div>
		<!-- create group form end -->
	</div>
</form>
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"} 

{literal}
<script language="javascript">
if($('#hdnAction').val() == 'edit')
{	
	setOptions();
	getOpenGroupText();
	getClosedGroupText();
	getSecretGroupText();
}

if($('#hdnPrivacy').val() == 'secret')
{
	hideDiv('publicizeShow'); 
	showDiv('publicizeHide');
}	
	
</script>
{/literal}