<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript">
	var autoComplete = 0;
	var currentPage = {$currentPage|default:1}; <!--{if $currentPage}{$currentPage}{else}1{/if};-->
</script>
<script type="text/javascript" src="{$app_url}scripts/jquery.checkboxes.pack.js"></script>
<script type="text/javascript" src="{$app_url}scripts/jquery.selectboxes.pack.js"></script>
<script type="text/javascript" src="{$app_url}scripts/message.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}
<!-- Page Content -->
<div id="main" class="floatLeft main" >
<!-- main -->
	<div id="grayBoxMain">
	<!-- gray start  -->
		<div id="accountsNaviLink" >
			<ul class="clearAfter">
				<li><a class="{if $inbox}active{/if} left" href="{$base_url}message/inbox">{$lang->line('message_inbox')}</a></li>
				<li><a class="{if $sent}active{/if}" href="{$base_url}message/sent">{$lang->line('message_sent')}</a></li>
				<li><a  class="{if $trash}active{/if}" href="{$base_url}message/trash">{$lang->line('message_trash')}</a></li>
			</ul>
		</div>
		<div id="composeBtnSec" class="floatRight">
			<a href="{$base_url}message/compose"><img border="0" src="{$app_url}images/en/composeBtn.jpg" /></a> 
		</div>
		<!-- gray end -->
		{if $inbox}
		<div id="inBoxEditSec">
			<p><span class="boldText">{$lang->line('message_select')}: </span>
				<select name="messageType" id="messageType" onchange="setCheckBoxes()">
                {foreach from=$selectOptions key=messageOption item=messageValue}
					<option value="{$messageOption}" {if $messageOption ==$smarty.post.messageType} selected {/if} onselect>{$messageValue}</option>
                {/foreach}
				</select>
				<span class="inboxNaviLink"><a href="javascript: void(0);" onclick="updateMessageStatus('unreadMessage',0)">{$lang->line('message_mark_unread')}</a> - <a href="javascript: void(0);" onclick="updateMessageStatus('readMessage',0)">{$lang->line('message_mark_read')}</a> - <a href="javascript: void(0);" onclick="showDeleteConfirm('inboxToTrash',0)">{$lang->line('message_delete')}</a></span></p>
		</div>
		{elseif $sent}
		<div id="inBoxEditSec">
			<p><span class="boldText">{$lang->line('message_select')}: </span>
				<select name="messageType" id="messageType" onchange="setCheckBoxes()">
					{foreach from=$selectOptions key=messageOption item=messageValue}
						<option value="{$messageOption}" {if $messageOption ==$smarty.post.messageType} selected {/if} onselect>{$messageValue}</option>
					{/foreach}
				</select>
				<span class="inboxNaviLink"><a href="javascript: void(0);" onclick="updateMessageStatus('unreadMessage',0)">{$lang->line('message_mark_unread')}</a> - <a href="javascript: void(0);" onclick="updateMessageStatus('readMessage',0)">{$lang->line('message_mark_read')}</a> - <a href="javascript: void(0);" onclick="showDeleteConfirm('sentToTrash',0)">{$lang->line('message_delete')}</a></span></p>
		</div>
		{elseif $trash}
		<div id="inBoxEditSec">
			<p><span class="boldText">{$lang->line('message_select')}: </span>
				<select name="messageType" id="messageType" onchange="setCheckBoxes()">
					{foreach from=$selectOptions key=messageOption item=messageValue}
					<option value="{$messageOption}" {if $messageOption ==$smarty.post.messageType} selected {/if} onselect>{$messageValue}</option>
					{/foreach}
				</select>
				<span class="inboxNaviLink"><a href="javascript: void(0);" onclick="showDeleteConfirm('trashDelete',0);">{$lang->line('message_delete')}</a></span></p>
		</div>
		{/if}
	</div>
	<!-- gray end  -->
<div class="mainInnerCommon postedItems"  >
		{include file="pagination.tpl"}	
{if $session->flashdata('validationError')}
	<div id="errorMsg">
		<div class="alertInfo">
			{$session->flashdata('validationError')}
		</div>
	</div>
{/if}
{if $successMsg}
<div id="sucsMsg"><!-- success info -->
	<div class="alertInfo">{$successMsg}</div>
</div>	
{/if}
<div>{include file="messageDeleteConfirm.tpl"}</div><!--End post interface-->
{if $inbox}
	
		<div id="inbox">
			<form name="messagesFrm" id="messagesFrm" methos="post" action="">
				<input type="hidden" id="total_messages" name="total_messages" value="{$total_messages}" />
				<input type="hidden" id="msgtype" name="msgtype" value="inbox" />
				<div id="messages_tbl">
					<table class="allTable" border="0" cellspacing="0" cellpadding="0">
						{if $is_messages}
						{foreach key=key item=item from=$message_arr}
						<tr id='msg_{$item.message_id}' {if $item.to_message_status == 'read'} class="inActiveMsg" {/if}>
							<td class="starWidth"><input type="checkbox" name="checked_id[]" id="checked_id_{$item.message_id}" class="{$item.to_message_status}" value="{$item.message_id}"/></td>
							<td class="starWidth "><img src="{$item.avatar}" width="50" height="50"/></td>
							<td class="fromTd"><p>{$lang->line('message_from')} <a class="redNormalLink tDN" href="{$base_url}profile/{$item.user_id}">{$item.username|truncate:15:"...":true}</a></p>
								<p class="grayText">{$item.datestamp}</p></td>
							<td><p id="sub_{$item.message_id}"><a href="{$base_url}message/viewMessage/i_{$item.message_id}">{if $item.subject != ''}{$item.subject|htmlspecialchars|truncate:45:"...":true}{else}{$lang->line('message_no_subject')}{/if}</a></p></td>
							<td class="starWidth"><p><a id="closeDiv_{$item.message_id}" href="javascript: void(0);" onclick="showDeleteConfirm('inboxToTrash/{$item.message_id}',1); closeDiv({$item.message_id});"><input type="image" class="cursorBtn" name="imageField" src="{$app_url}images/closeBtn.gif" id="imageField" /></a></p></td>
						</tr>
						{/foreach}
						{else}
						<div>{$lang->line('message_no_records')}</div>
						{/if}
					</table>
				</div>
				<div id="msg_none" style="display:none;"> {$lang->line('message_no_records')} </div>
			</form>
		</div>
{elseif $sent}
		<div id="inbox">
			<form name="messagesFrm" id="messagesFrm" methos="post" action="">
				<input type="hidden" id="total_messages" name="total_messages" value="{$total_messages}" />
				<input type="hidden" id="msgtype" name="msgtype" value="sent" />
				<div id="messages_tbl">
					<table class="allTable" border="0" cellspacing="0" cellpadding="0">
						{if $is_messages}
						{foreach key=key item=item from=$message_arr}
						<tr id='msg_{$item.message_id}' {if $item.from_message_status == 'read'} class="inActiveMsg" {/if}>
							<td class="starWidth"><input type="checkbox" name="checked_id[]" id="checked_id_{$item.message_id}" class="{$item.from_message_status}" value="{$item.message_id}"/></td>
							<td class="starWidth "><img src="{$item.avatar}" width="50" height="50"/></td>
							<td class="fromTd"><p>{$lang->line('message_to')} <a class="redNormalLink tDN" href="{$base_url}profile/{$item.user_id}">{$item.username|truncate:15:"...":true}</a></p>
								<p class="grayText">{$item.datestamp}</p></td>
							<td><p id="sub_{$item.message_id}"><a href="{$base_url}message/viewMessage/s_{$item.message_id}">{if $item.subject != ''}{$item.subject|htmlspecialchars|truncate:45:"...":true}{else}{$lang->line('message_no_subject')}{/if}</a></p></td>
							<td class="starWidth"><p><a id="closeDiv_{$item.message_id}" href="javascript: void(0);" onclick="showDeleteConfirm('sentToTrash/{$item.message_id}',1); closeDiv({$item.message_id});"><input type="image" class="cursorBtn" name="imageField" src="{$app_url}images/closeBtn.gif" id="imageField"/></a></p></td>
						</tr>
						{/foreach}
						{else}
						<div>{$lang->line('message_no_records')}</div>
						{/if}
					</table>
				</div>
				<div id="msg_none" style="display:none;"> {$lang->line('message_no_records')} </div>
			</form>
		</div>
{elseif $trash}
		<div id="inbox">
			<form name="messagesFrm" id="messagesFrm" methos="post" action="">
				<input type="hidden" id="total_messages" name="total_messages" value="{$total_messages}" />
				<div id="messages_tbl">
					<table class="allTable" border="0" cellspacing="0" cellpadding="0">
						{if $is_messages}
						{foreach key=key item=item from=$message_arr}
						{if $item.from_id == $user_id}
							<tr id='msg_{$item.message_id}'  {if $item.from_message_status == 'read'} class="inActiveMsg" {/if}>
						{else}
							<tr id='msg_{$item.message_id}'  {if $item.to_message_status == 'read'} class="inActiveMsg" {/if}>
						{/if}
							<td class="starWidth"><input type="checkbox" name="checked_id[]" id="checked_id_{$item.message_id}" class="{$item.message_status}" value="{$item.message_id}"/></td>
							<td class="starWidth "><img src="{$item.avatar}" width="50" height="50"/></td>
							<td class="fromTd"><p>{if $item.from_message_in == 'trash'}{$lang->line('message_to')}{else}{$lang->line('message_from')}{/if} <a class="redNormalLink tDN" href="{$base_url}profile/{$item.user_id}">{$item.username|truncate:15:"...":true}</a></p>
								<p class="grayText">{$item.datestamp}</p></td>
							<td><p><a href="{$base_url}message/viewMessage/t_{$item.message_id}">{if $item.subject != ''}{$item.subject|htmlspecialchars|truncate:45:"...":true}{else}{$lang->line('message_no_subject')}{/if}</a></p></td>
							<td class="starWidth"><p><a id="closeDiv_{$item.message_id}" href="javascript: void(0);" onclick="showDeleteConfirm('trashDelete/{$item.message_id}',1); closeDiv({$item.message_id});"><input type="image" class="cursorBtn" name="imageField" src="{$app_url}images/closeBtn.gif" id="imageField" /></a></p></td>
						</tr>
						{/foreach}
						{else}
						<div>{$lang->line('message_no_records')}</div>
						{/if}
					</table>
				</div>
				<div id="msg_none" style="display:none;"> {$lang->line('message_no_records')} </div>
			</form>
		</div>
{elseif $view_message}
		<div id="inBoxViewHead">
			<div id="inBoxViewHeadIn">
				<table border="0" class="allTable" cellspacing="0" cellpadding="0">
					<tr>
						<td class="nextArrow"></td>
						<td class="centerText"><p><strong>{if $subject != ''}{$subject|htmlspecialchars|wordwrap:50:"<br />":true}{else}{$lang->line('message_no_subject')}</strong>{/if}</p>
							<p><a class="redNormalLink tDN" href="#"></a></p></td>
						<td class="nextArrow"></td>
					</tr>
				</table>
			</div>
		</div>
		<div id="inBoxView">
			<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
				<tr>
					<td class="inBoxViewWidth " valign="top"><div class="floatLeft" id="inBoxViewPhoto"> <img src="{$avatar}" width="50" height="50"  /> </div>
						<div class="clearAfter" >
							<p><a  class="redBoldLink tDN" href="#">{$username}</a></p>
							<p class="smallFontSize">at {$datestamp}</p>
						</div></td>
					<td class="vAlignTop">{$message}</td>
				</tr>
				<tr>
				<tr>
					<td ></td>
					<td><br />
						<div class="floatLeft"> {if $message_type=='i'} <a href="{$base_url}message/inbox">
							<img src="{$app_url}images/en/backtoinboxBtn.jpg" />
							</a>{elseif $message_type=='s'} <a href="{$base_url}message/sent">
							<img src="{$app_url}images/en/backtosendBtn.jpg" />
							</a>{elseif $message_type=='t'} <a href="{$base_url}message/trash">
							<img src="{$app_url}images/en/backtotrashBtn.jpg" />
							</a>{/if} </div>
							<p class="floatRight smallFontSize">
							{if $message_type=='i'}
								<a class="redNormalLink tDN" href="javascript: void(0);" onclick="updateMessageStatus('unreadMessage/inbox/{$message_id}',1)">{$lang->line('message_mark_unread')}</a> | <a class="redNormalLink tDN" href="javascript: void(0);" onclick="showDeleteConfirm('inboxToTrash/{$message_id}/v',1);">{$lang->line('message_delete')}</a>
							{elseif $message_type=='s'}
								<a class="redNormalLink tDN" href="javascript: void(0);" onclick="updateMessageStatus('unreadMessage/sent/{$message_id}',1)">{$lang->line('message_mark_unread')}</a> | <a class="redNormalLink tDN" href="javascript: void(0);" onclick="showDeleteConfirm('sentToTrash/{$message_id}/v',1);">{$lang->line('message_delete')}</a>
							{elseif $message_type=='t'}
								<a class="redNormalLink tDN" href="javascript: void(0);" onclick="showDeleteConfirm('trashDelete/{$message_id}/v',1);">{$lang->line('message_delete')}</a>
							{/if}
							</p>
						</td>
				</tr>
			</table>
		</div>
{/if}
{if $view_message}
{include file="pagination.tpl"}
{/if}
	</div>
<!-- posted item end overall with two coloum -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"} 