<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<div id="grayBoxInner">
			<div id="placeName" >
				<div class="floatLeft">{$lang->line('network_browse_all')}</div>
			</div>
			<form name="searchFrm" method="post" action="{$base_url}search/networks/join">
			<div class="floatRight">
				<p><span class="boldText">{$lang->line('network_search_for_nw')}</span><span  id="siteSrchIcon">
					<input class="cursorBtn" type="image" src="{$app_url}images/searchIconDull.gif" />
					</span>
					<input name="searchKeyword" id="searchKeyword" class="headerSrch privacyTextBox" type="text" value="" />
				</p>
			</div>
		</div>
	</div>
	<div id="groupsInnerBox" class="mainInnerCommon">
		<div class="topSpace">
			<div>{$sitename} {$lang->line('network_note_1')} 
            	<a class="redNormalLink tDN" href="{$base_url}network/browse/region">{$lang->line('network_regions')}</a>, 
                <a class="redNormalLink tDN" href="{$base_url}network/browse/work">{$lang->line('network_workplace')}</a>, 
                <a class="redNormalLink tDN" href="{$base_url}network/browse/school">{$lang->line('network_high_school')} </a>
                {$lang->line('network_or')} 
                <a class="redNormalLink tDN" href="{$base_url}network/browse/college">{$lang->line('network_college')}</a>.
                </div>
			<hr />
		</div>
		<div>
			{if $session->flashdata('flash_msg')}
			<div id="comnMsg">
				<div class="alertInfo">
					{$session->flashdata('flash_msg')}
				</div>
			</div>
			{/if}
			<!-- search sec -->
			<div id="accountsNaviLink" class="clearAfter">
				<ul class="clearAfter">
					<li><a {if $networkType == 'region'}class="active"{/if} href="{$base_url}network/browse/region">{$lang->line('network_regions')}</a></li>
					<li><a {if $networkType == 'college'}class="active"{/if}href="{$base_url}network/browse/college">{$lang->line('network_college')}</a></li>
					<li><a {if $networkType == 'work'}class="active"{/if}href="{$base_url}network/browse/work">{$lang->line('network_workplace')}</a></li>
					<li><a {if $networkType == 'school'}class="active"{/if}href="{$base_url}network/browse/school">{$lang->line('network_high_school')}</a></li>
				</ul>
			</div>
			<div>
				<div id="listBox">
					<div id="listBoxInner" class="clearAfter">
					{if $networksCount > 0}
						<!-- next -->
						{if $networks.US|count > 0}
						<div class="clearAfter">
							<div class="topSpace">
								<p><span class="boldText">{$lang->line('network_available_us')}</span></p>
							</div>
							<hr />
							{foreach from=$networks.US key=networkState item=networkCityRow}
								<div class="threeComDiv">
									<div class="boldText">{$networkState}</div>
									<ul>
										{foreach from=$networkCityRow key=networkCity item=networkRow}
											<li>
												<a href="{$base_url}network/view/{$networkRow.network_id}">{$networkRow.network_name}</a>
											</li>
										{/foreach}	
									</ul>
								</div>
							{/foreach}
						</div>
						{/if}
						<!-- next -->
						
						<!-- next -->
						{if $networks.CA|count > 0}
						<div class="clearAfter">
							<div class="topSpace">
								<p><span class="boldText">{$lang->line('network_available_ca')}</span></p>
							</div>
							<hr />
							<div class="threeComDiv">
							{foreach from=$networks.CA key=networkState item=networkCityRow}
								<div class="boldText">{$networkState}</div>
								<ul>
									{foreach from=$networkCityRow key=networkCity item=networkRow}
										<li>
											<a href="{$base_url}network/view/{$networkRow.network_id}">{$networkRow.network_name}</a>
										</li>
									{/foreach}	
								</ul>
							{/foreach}
							</div>
						</div>
						{/if}
						<!-- next -->
						
						<!-- next -->
						{foreach from=$networks key=networkCountry item=networkStateRow}
						{if $networkCountry != 'US' && $networkCountry != 'US'}
							<div class="clearAfter">
								<div class="topSpace">
									<p><span class="boldText">{$lang->line('network_available')} {$country.$networkCountry.country_name}</span></p>
								</div>
								<hr />
								{foreach from=$networkStateRow key=networkState item=networkCityRow}
									<div class="threeComDiv">
										<div class="boldText">{$networkState}</div>
										<ul>
											{foreach from=$networkCityRow key=networkCity item=networkRow}
												<li>
													<a href="{$base_url}network/view/{$networkRow.network_id}">{$networkRow.network_name}</a>
												</li>
											{/foreach}	
										</ul>
									</div>
								{/foreach}
							</div>
						{/if}
						{/foreach}
						<!-- next -->
					{else}
					<div id="comnMsg">
						<div class="alertInfo">
							{$lang->line('network_no_available')}.
						</div>
					</div>
					{/if}
					</div>
				</div>
			</div>
			<!-- serch sec end -->
		</div>
	</div>
	<!-- main end -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}