<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/network.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<div id="grayBoxInner">
			<div id="placeName">{$networkDetails.network_name|htmlspecialchars|ucfirst}</div>
			<div class="topSpaceSmall">
				<p class="rightText">
					<!-- <input name="" class="textBox" type="text" /> -->
				</p>
			</div>
		</div>
	</div>
	<div id="profileInner" class="clearAfter" >
		<div id="prflPhotoCol" >
			<div id="prflTitle">
				<h3>{$lang->line('network_info')}</h3>
			</div>
			<div id="netwrkInfo" class="topSpace">
				<ul class="clearAfter">
					<li class="floatLeft">
						<p><span class="grayText">{$lang->line('network_members')}:</span></p>
					</li>
					<li class="floatRight">
						<p>{$totalMembersCount}</p>
					</li>
					<li class="floatLeft clrLeft"><span class="grayText">{$lang->line('network_type')}:</span></li>
					<li class="floatRight">
						<p>{$networkDetails.network_type|ucfirst}</p>
					</li>
				</ul>
			</div>
			<div id="photoBtmLink" class="topSpace">
				<p><a href="javascript: void(0);" onclick="javascript: tb_show('', '#TB_inline?height=300&width=530&modal=true&inlineId=joinNetworkPopup', false);">{$lang->line('network_join')}</a></p>
				<p><a href="{$base_url}network">{$lang->line('network_browse_all')}</a></p>
			</div>
			<!--  posted items -->
		</div>
	</div>	
</div>

<div id="joinNetworkPopup" style="display: none;">
	<div>
		{$lang->line('network_join_the')} {$networkDetails.network_name}
	</div>
	<hr />
	
	
	<div id="networkErrorMsg" style="display:none">
		<div id="errorMsg">
			<div id="errorInfo" class="alertInfo">
			</div>
		</div>
	</div>
	
	<div>
		{$lang->line('network_error_1')} <span class="boldText">{$networkDetails.network_name}</span> {$lang->line('network_error_2')}.
		<form id="networkJoinFrm" name="networkJoinFrm" method="post" action="{$base_url}network/join/{$networkDetails.network_id}/" onsubmit="return joinNetwork();">
		<br />
		<br />
		<span class="boldText">{$lang->line('network_email')|capitalize}</span>: <input type="text" name="join_email" id="join_email" value="" maxlength="255"/>
		<br />
		<br />
		<br />
		<input type="hidden" readonly="readonly" name="networkId" id="networkId" value="{$networkDetails.network_id}" />
		<input type="hidden" readonly="readonly" name="networkEmail" id="networkEmail" value="{$networkDetails.network_email}" />
		<input type="image" name="submit" src="{$app_url}images/{$language}/joinNetwrkBtn.jpg"/>
		<img class="cursorBtn" src="{$app_url}images/{$language}/cancelBtn.jpg" onclick="javascript: $('#errorMsg').hide(); $('#join_email').val(''); tb_remove();"/>
		</form>
	</div>	
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}