<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/photos.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div class="clearAfter" id="grayBoxMain">
		<!-- gray start  -->
		<div id="postedItems">
			<ul class="clearAfter">
				<li><a href="{$base_url}photos/editalbum/{$albumId}"> {$lang->line('photos_label_edit_album')}</a> </li>
			</ul>
		</div>
		<!-- gray end -->
	</div>
	<div class="mainInnerCommon postedItems">
		<div>
			<!-- search sec -->
			<div id="accountsNaviLink" class="clearAfter">
				<ul class="clearAfter">
					<li><a class="active" href="{$base_url}photos/editalbum/{$albumId}">{$lang->line('photos_label_edit_info')}</a></li>
					<li><a href="{$base_url}photos/editalbumphotos/{$albumId}">{$lang->line('photos_label_edit_photos')}</a></li>
				</ul>
			</div>
			<div>
				<div id="listBox">
					<div id="listBoxInner" class="clearAfter">
						{if $validationError}
							<div id="errorMsg">
								<div class="alertInfo">
									{$validationError}
								</div>
							</div>
						{/if}
						<form name="albumEditFrm" action="" method="post">
						<table border="0" class="allTable" cellspacing="0" cellpadding="0">
							<tr>
								<td>
									{$lang->line('photos_label_name')}:</td>
								<td><input size="30" maxlength="65" id="album_name" name="album_name" value="{if $posted == 1}{$smarty.post.album_name|htmlspecialchars}{else}{$albumDetails.name|htmlspecialchars}{/if}" type="text"></td>
							</tr>
							<tr>
								<td>{$lang->line('photos_label_location')}:</td>
								<td><input size="30" id="album_location" name="album_location" value="{$smarty.post.album_location|default:$albumDetails.location|htmlspecialchars}" type="text"></td>
							</tr>
							<tr>
								<td>{$lang->line('photos_label_description')}:</td>
								<td><textarea cols="30" rows="5" id="album_desc" name="album_desc">{$smarty.post.album_desc|default:$albumDetails.description}</textarea></td>
							</tr>
							<tr>
								<td>{$lang->line('photos_label_visible_to')}:</td>
								<td>
									<select name="create_album_privacy" onchange="javascript:showHidePhotoPrivacyNetworks(this.options[this.selectedIndex].value);">
									{foreach name=selecteach from=$privacy key=privacy_id item=privacy_name}    
										
										{if $userJoinedInNw > 0 }
											<option value="{$privacy_id}" {if $posted == 1 and $smarty.post.$privacy_id == $privacy_id} selected {elseif $albumDetails.visibility_id == $privacy_id} selected {/if}>{$privacy_name}</option>
                                        {else}
                                        	{if $privacy_id!='3'}
                                            <option value="{$privacy_id}" {if $posted == 1 and $smarty.post.$privacy_id == $privacy_id} selected {elseif $albumDetails.visibility_id == $privacy_id} selected {/if}>{$privacy_name}</option>
                                            {/if}
										{/if}
									{/foreach}      
									</select>   
										  
									<div id="user_networks" style="display:{if (($posted == 1 and $smarty.post.$privacy_id == 3) or $albumDetails.visibility_id==3) }block{else}none{/if};"> 
										{foreach from=$userNetworks key=networkId item=networkRow}
											
											<br /><input type="checkbox" name="chk_network[]" value="{$networkId}" {foreach from=$albumVisibilityNetworks key=visibilityNetworkId item=visibilityRow} {if $visibilityRow.network_id == $networkId} checked="checked" {/if} {/foreach}/>&nbsp;
											{if $networkRow.network_type == 'region'}
												{$networkRow.network_city}
											{else}
												{$networkRow.network_name}
											{/if}
											
										{/foreach}
									</div>
								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td><input type="image" src="{$app_url}images/{$language}/saveBtn.jpg" name="submit" value="Create"></td>
							</tr>
						</table>
						</form>
					</div>
				</div>
			</div>
			<!-- serch sec end -->
		</div>
	</div>
	<!-- main end -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}