function sendMessage()
{
	$.ajax({
		type: 'POST',
		url: base_url + 'message/send',
		dataType: 'json',
		data: 'to_id=' + $('#to_id').val() + '&subject=' + $('#subject').val() + '&message=' + $('#message').val(),
		success: function(response){
			$('#errorMessage').html(response.msg);
			$('#errorMsg').show();
			if(response.error == 'no')
			{
				$('#to_name').val('');
				$('#to_id').val('');
				$('#subject').val('');
				$('#message').val('');
				$('#errorMessage').html('');
				$('#errorMsg').hide();
				$('#sucsMsg').show();
			}
		}
	});
}
function showDeleteConfirm(a,b)
{
	if(b==0)
	{
		var v = new Array();
		$("input[@type=checkbox]").filter(":checked").each(function(i){
			v.push(this.value);
		});
		if(v.length > 0)
		{
			$("#deleteConfirmBtn").click(function(){
				updateMessageStatus(a,b);
			});
			tb_show('', '#TB_inline?height=250&width=490&modal=true&inlineId=post_content', false);
		}
		else 
			alert('Please atleast check any one message');
	}
	else 
	{
		$("#deleteConfirmBtn").click(function(){
			updateMessageStatus(a,b);
		});
		tb_show('', '#TB_inline?height=250&width=490&modal=true&inlineId=post_content', false);
	}
}

function updateMessageStatus(status,query_string)
{
	var total_messages = $("#total_messages").val();
	var msgtype = $("#msgtype").val();
	var v = new Array();
	$("input[@type=checkbox]").filter(":checked").each(function(i){
		v.push(this.value);
	});
	if((v.length > 0 || query_string))
	{
	$.ajax({
		type: 'POST',
		url: base_url + 'message/'+status+'/'+msgtype,
		data: 'checked_id=' + v,
		success: function(response){

			
			
			if (response == 'inbox')
			{
				window.location = base_url + 'message/inbox/'+currentPage+'/deleted';
			}
			else if (response == 'sent')
			{
				window.location = base_url + 'message/sent/'+currentPage+'/deleted';
			}
			else if (response == 'trash')
			{
				window.location = base_url + 'message/trash/'+currentPage+'/deleted';
			}
			else if (response == 'unreadinbox')
			{
				window.location = base_url + 'message/inbox';
			}
			else if (response == 'unreadsent')
			{
				window.location = base_url + 'message/sent';
			}
			if(status == 'inboxToTrash' || status == 'sentToTrash' || status == 'trashDelete') 
			{
				var msgCount = 0;
				for(var i = 0; i < v.length; i++)
				{
					$('#msg_' + v[i]).remove();
					msgCount++;
				}
				
				if (total_messages == msgCount)
				{
					
					$('#msg_none').show();
					$('#messages_tbl').hide();
				}
			if (status == 'inboxToTrash')
			{
				window.location = base_url + 'message/inbox/'+currentPage+'/deleted';
			}
			else if (status == 'sentToTrash')
			{
				window.location = base_url + 'message/sent/'+currentPage+'/deleted';
			}
			else if (status == 'trashDelete')
			{
				window.location = base_url + 'message/trash/'+currentPage+'/deleted';
			}
			}
			else if(status == 'readMessage')
			{
				for(var i = 0; i < v.length; i++)
				{
					$('#checked_id_' + v[i]).addClass('read');
					$('#checked_id_' + v[i]).removeClass('unread');
					$('#msg_' + v[i]).addClass('inActiveMsg');
				}
				window.location.reload();
			}
			else if(status == 'unreadMessage')
			{
				for(var i = 0; i < v.length; i++)
				{
					$('#checked_id_' + v[i]).addClass('unread');
					$('#checked_id_' + v[i]).removeClass('read');
					$('#msg_' + v[i]).removeClass('inActiveMsg');
				}	
				window.location.reload();
			}
			
			
		}
	});
	}
	else 
	{
		alert('Please atleast check any one message');
	}
}

function closeDiv(id)
{
	$('#msg_' + id).remove();
	if ($("#total_messages").val() == 1)
	{
		$('#msg_none').show();
		$('#messages_tbl').hide();
	}
}

$(document).ready(function() {
	if(autoComplete)
	{
		$("#to_name").autocomplete(
			base_url + 'message/getToNames',
			{
				id: 'autoCompleteDiv',
				dataType: 'json',
				delay:10,
				minChars:2,
				matchSubset:1,
				matchContains:1,
				cacheLength:10,
				resultsClass: 'autocompleteResults',
				onItemSelect:selectItem,
				onFindValue:findValue,
				formatItem:formatItem,
				autoFill:true
			}
		);
	}
});

function findValue(li)
{
	if( li == null ) return alert("No match!");

	if( !!li.extra ) 
		var sValue = li.extra[0];
	else 
		var sValue = li.selectValue;

	$('#to_id').val(sValue);
}

function selectItem(li) 
{
	$('#subject').focus();
	findValue(li);
}

function formatItem(row) 
{
	return row[0];
}

function setCheckBoxes()
{
	var x = $("#messageType").selectedValues();
	if(x[0] == "none")
		$("#messagesFrm").unCheckCheckboxes();
	else if(x[0] == "all")
		$("#messagesFrm").checkCheckboxes();
	else if(x[0] == "unread")
	{
		$("#messagesFrm").unCheckCheckboxes();
		$("#messagesFrm").checkCheckboxes(".unread",true);
	}
	else if(x[0] == "read")
	{
		$("#messagesFrm").unCheckCheckboxes();
		$("#messagesFrm").checkCheckboxes(".read",true);
	}
		
}