// JavaScript Document
//Posted items related js

function showPostInterface(inputId,errorMsg)
{
	var postContent	= $('#'+inputId).val();
	$.ajax({
		type: 'POST',
		url: base_url + 'posteditems/validateurl',
		dataType: 'json',
		data: 'url='+postContent,
		success: function(response){
				if(response.msg=='success')
				{
					$('#txt_post_content').val(postContent);
					$('#txt_post_comment').val('');
					$('#'+inputId).val('http://');
					tb_show('', '#TB_inline?height=350&width=550&modal=true&inlineId=post_content', false);
				}
				else
				{
					$('#post_content_result_msg').html(errorMsg);
					$('#post_content_result').slideDown("fast",function(){var t= setTimeout("$('#post_content_result').hide()",2000);});
				}
		}
	})
}
function hideDiv(divId)
{
	$('#'+divId).hide();
}
/*//ajax function to store posted content to database
function post2Profile()
{
	var postContent	= $('#txt_post_content').val();
	var postComment	= $('#txt_post_comment').val();
	//alert(postComment);
	$.ajax({
		type: 'POST',
		url: base_url + 'posteditems/post2Profile',
		dataType: 'json',
		data: 'postContent='+postContent+'&postComment='+postComment,
		success: function(response){
			if(response.error=='no')
			{
				var innerContent= '<div><a href="'+base_url+'profile/user'+user_id+'"><img src="'+response.user_avatar+'" border="0" width="50">'+response.user_name+'</a> '+response.post_header+' <br>at '+response.post_time+'<br>'+postContent+'<br>'+postComment+'</div>';
				$(innerContent).prependTo("#posted_item_main_div");
				$('#post_content').hide();
				$('#post_content_result').slideDown('slow');
				$('#post_content_result_msg').html(response.msg);
			}
			else
			{
				$('#post_content_result').slideDown('slow');
				$('#post_content_result_msg').html(response.msg);
				$('#post_content').hide();
			}
		}
	})
}*/

function showSharePostInterface(postType, postForId)
{
	$('#share_content_result').hide();
	$('#txt_share_post_comment').val('');
	if(postType=='link')
		tb_show('', '#TB_inline?height=350&width=530&modal=true&inlineId=share_content_main_div', false);
	else
		tb_show('', '#TB_inline?height=450&width=530&modal=true&inlineId=share_content_main_div', false);
	$('#hdn_share_post_type').val(postType);
	$('#hdn_share_post_for_id').val(postForId);
	$.ajax({
		type: 'POST',
		url: base_url + 'posteditems/showShareInterface',
		dataType: 'json',
		data: 'shareType='+postType+'&shareId='+postForId,
		success: function(response){
				$('#txt_share_post_content').html(response.template);
				$('#txt_share_post_content_url').html(response.share_content_url);
				$('#txt_share_post_content_url_txt').val(response.share_content_url);
		}
	})

	//clear the fields in the send message tab
	$('#share_post_emails').val('');
	$('#share_post_id').val('');
	//$('#share_post_sub').val('');
	$('#share_post_msg').val('');
	$('#shareErrorMessage').html('');
	$('#shareMsgError').hide();
}

function sharePost2Profile()
{
	var shareComment	= $('#txt_share_post_comment').val();
	var shareType		= $('#hdn_share_post_type').val();
	var shareId			= $('#hdn_share_post_for_id').val();
	if(shareType=='link')
		var shareLink	= $('#share_link').val();
	$.ajax({
		type: 'POST',
		url: base_url + 'posteditems/sharePost2Profile',
		dataType: 'json',
		data: 'shareComment='+shareComment+'&shareType='+shareType+'&shareId='+shareId+'&shareLink='+shareLink,
		success: function(response){
			//tb_remove();
			$('#share_content_result_msg').html(response.result);
			$('#share_content_result').show();
			//tb_show('', '#TB_inline?height=450&width=570&modal=true&inlineId=share_content_result', false);
			//$('#share_content_result').slideDown("fast",function(){var t= setTimeout("$('#share_content_result').hide()",2000);});
			var t= setTimeout("tb_remove()",2000);
		}
	})
}

function addComment(postId)
{
		var comment	= $.trim($('#txt_comment'+postId).val());
		if(comment=='')
			alert(add_error);
		else
		{
			$.ajax({
			type: 'POST',
			url: base_url + 'posteditems/addComment',
			dataType: 'json',
			data: 'comment=' + comment+'&postId='+postId ,
			success: function(response){
				//alert(response.template);
				$(response.template).prependTo("#postCommentsDiv"+postId);
				if(response.comment_id > 0)
					{
						$('#commentLabelDiv'+postId).show();
						$('#emptyCommentLabelDiv'+postId).hide();
						$('#totCommentLabelDiv'+postId).html(response.tot_comments);
						$('#txt_comment'+postId).val('');
					}
			}
			});
		}
}

function showDeleteComment(commentId, postId)
{
	//$('#deleteCommentDiv').slideDown('slow');
	$('#hdn_comment_id').val(commentId);
	$('#hdn_post_id').val(postId);
	tb_show('', '#TB_inline?height=150&width=530&modal=true&inlineId=deleteCommentDiv', false);
}
//delete a particular comment
function deleteComment()
{
		var commentId	= $('#hdn_comment_id').val();
		var postId		= $('#hdn_post_id').val();
		$.ajax({
		type: 'POST',
		url: base_url + 'posteditems/processDeleteComment',
		dataType: 'json',
		data: 'commentId=' + commentId +'&postId='+postId ,
		success: function(response){
			//alert(response.success);
			if(response.success)
			{
				$('#memberComment'+commentId).remove();
				if(response.tot_comments>0)
				{
					$('#commentLabelDiv'+postId).slideDown('slow');
					$('#emptyCommentLabelDiv'+postId).hide();
					$('#totCommentLabelDiv'+postId).html(response.tot_comments);
					$('#txt_comment'+postId).val('');
				}
				else
				{
					$('#emptyCommentLabelDiv'+postId).slideDown('slow');
					$('#commentLabelDiv'+postId).hide();
					$('#txt_comment'+postId).val('');
				}
				
			}
			tb_remove();
		}
		});
}


function makeAutoComplete(id) 
{
	$('#' + id).autocomplete(
		base_url + 'message/getToNames',
		{
			id: 'autoCompleteDiv',
			dataType: 'json',
			delay:10,
			minChars:2,
			matchSubset:1,
			matchContains:1,
			cacheLength:10,
			resultsClass: 'autocompleteResults',
			onItemSelect:selectItem,
			onFindValue:findValue,
			formatItem:formatItem,
			autoFill:true
		}
	);
}

function findValue(li)
{
	if( li == null ) return alert("No match!");

	if( !!li.extra ) 
		var sValue = li.extra[0];
	else 
		var sValue = li.selectValue;

	$('#share_post_id').val(sValue);
}

function selectItem(li) 
{
	$('#share_post_msg').focus();
	findValue(li);
}

function formatItem(row) 
{
	return row[0];
}

function shareSendMessage()
{
	$.ajax({
		type: 'POST',
		url: base_url + 'message/share',
		dataType: 'json',
		data: 'to_id=' + $('#share_post_id').val() + '&subject=' + $('#share_post_sub').val() + '&message=' + $('#share_post_msg').val() + '&content_url=' + $('#txt_share_post_content_url_txt').val(),
		success: function(response){
			if(response.error == 'no')
			{
				tb_remove();
			}
			else
			{
				$('#shareErrorMessage').html(response.msg);
				$('#shareMsgError').show();
			}
		}
	});
}

function showDeletePost(postId)
{
	//$('#deleteCommentDiv').slideDown('slow');
	$('#hdn_del_post_id').val(postId);
	tb_show('', '#TB_inline?height=150&width=530&modal=true&inlineId=deletePostDiv', false);
}
