function showWallForm(caption, forName, forId, wallForName, wallForLink)
{
	$('#wallfor_id').html(caption.substr(0, 30));
	
	$('#wall_for').val(forName);
	$('#wall_for_id').val(forId);
	$('#wall_for_name').val(wallForName);
	$('#wall_for_link').val(wallForLink);
	
	tb_show('', '#TB_inline?height=300&width=530&modal=true&inlineId=createWall', false);
}

function postWallForm()
{
	$.ajax({
		type: 'POST',
		url: base_url + 'wall/create/inline/' + Math.random(),
		dataType: 'json',
		data: $('#inline_wall_content').serialize() + '&' + $('#inline_wall_for').serialize() + '&' + $('#inline_wall_for_id').serialize() + '&' + $('#inline_wall_for_name').serialize() + '&' + $('#inline_wall_for_link').serialize(),
		success: function(response){
			if(response.msg == 'success')
			{
				$('#inline_wall_content').val('');
				
				$(response.tpl).prependTo('#WallContentLists').slideDown('slow');

				var totalCount	= parseInt($('#totalWallCount').html());
				var currCount	= parseInt($('#currWallCount').html());

				$('#totalWallCount').html(totalCount + 1);

				if(totalCount >= 5)
				{				
					var childrens	= $('#WallContentLists').children();
					$(childrens[childrens.length - 1]).slideUp('slow', function() {
						$(childrens[childrens.length - 1]).remove();
					});
				}
				else
				{
					$('#currWallCount').html(currCount + 1);
				}


				$('#successInfo').html(response.msgInfo);
				$('#wallsucsMsg').show('normal', function(){
					setTimeout(function() {
						$('#wallsucsMsg').fadeOut('slow');
					}, 5000);
				});
			}
			else if(response.msg == 'error')
			{
				$('#errorInfo').html(response.msgInfo);
				$('#wallerrorMsg').show('normal', function(){
					setTimeout(function() {
						$('#wallerrorMsg').fadeOut('slow');
					}, 5000);
				});
			}
		}
	});
}

function postWall()
{
	$.ajax({
		type: 'POST',
		url: base_url + 'wall/create/' + Math.random(),
		dataType: 'json',
		data: $('#wall_content').serialize() + '&' + $('#wall_for').serialize() + '&' + $('#wall_for_id').serialize() + '&' + $('#wall_for_name').serialize() + '&' + $('#wall_for_link').serialize(),
		success: function(response){
			if(response.msg == 'success')
			{
				$('#wall_content').val('');
				$('#wall_for').val('');
				$('#wall_for_id').val('');
				$('#wall_for_name').val('');
				$('#wall_for_link').val('');
				tb_remove();
				window.location.reload();
			}
			else
			{
				$('#popupErrorInfo').html(response.msgInfo);
				$('#popupWallErrorMsg').show();
			}
		}
	});
}

function showDeleteWallForm(wallId, wallFor, wallForId)
{
	$('#wall_id').val(wallId);
	$('#delete_wall_for').val(wallFor);
	$('#delete_wall_for_id').val(wallForId);

	tb_show('', '#TB_inline?height=300&width=530&modal=true&inlineId=deleteWall', false);
}

function postDeleteWallForm()
{
	$.ajax({
		type: 'POST',
		url: base_url + 'wall/delete/' + Math.random(),
		dataType: 'json',
		data: 'wall_id=' + $('#wall_id').val() + '&wall_for=' + $('#delete_wall_for').val() + '&wall_for_id=' + $('#delete_wall_for_id').val(),
		success: function(response){
			if(response.msg == 'success')
			{				
				tb_remove();

				$('#wall_view_' + $('#wall_id').val()).slideUp('slow', function() {
					$('#wall_view_' + $('#wall_id')).remove();
				});			
				
				$('#wall_id').val('');
				$('#delete_wall_for').val('');
				$('#delete_wall_for_id').val('');

				var totalCount	= parseInt($('#totalWallCount').html());
				$('#totalWallCount').html(' ' + (totalCount - 1));
				
				$('#successInfo').html(response.msgInfo);
				$('#wallsucsMsg').show('normal', function(){
					setTimeout(function() {
						$('#wallsucsMsg').fadeOut('slow');
					}, 5000);
				});

				if(totalCount <= 5)
				{
					$('#currWallCount').html(' ' + (parseInt($('#currWallCount').html()) - 1));
				}
				else
				{
					$(response.tpl).appendTo('#WallContentLists').slideDown('slow');
				}
			}
		}
	});
}