<!-- Header template file -->
{include file="../admin/header.tpl"}

<!-- Left template file -->
{include file="../admin/left.tpl"}

<!-- Page Content Start -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<!-- gray start  -->
		<p id="headingPrivacy">{$lang->line('page_title')}</p>
		<!-- gray end -->
	</div>
	<div class="mainInnerCommon postedItems" >
		<div class="topSpaceSmall">
			<div id="edit" class="topSpace">
			
				{if $successMsg}
				<div id="sucsMsg"><!-- success info -->
					<div class="alertInfo">{$successMsg}</div>
				</div>
				{/if}
				
				<form name="adminEditNetworkFrm" method="post" action="">
				<table cellpadding="0" cellspacing="0" class="allTable">
					<tr>
						<td>Name</td>
						<td><input type="text" name="network_name" class="signUpTextBox" value="{$smarty.post.network_name|default:$networkDetails.network_name|htmlspecialchars}" /></td>
					</tr>
					<tr>
						<td>Status</td>
						<td>
							<select name="network_status">
								<option {if $smarty.post.network_status|default:$networkDetails.network_status == 'disabled'} selected="selected" {/if} value="disabled">Disable</option>
								<option {if $smarty.post.network_status|default:$networkDetails.network_status == 'enabled'} selected="selected" {/if} value="enabled">Enabled</option>
							</select>
						</td>
					</tr>
					<tr>
						<td>Type</td>
						<td>
							<select name="network_type">
								<option {if $smarty.post.network_type|default:$networkDetails.network_type == 'region'} selected="selected" {/if} value="region">Region</option>
								<option {if $smarty.post.network_type|default:$networkDetails.network_type == 'school'} selected="selected" {/if} value="school">School</option>
								<option {if $smarty.post.network_type|default:$networkDetails.network_type == 'college'} selected="selected" {/if} value="college">College</option>
								<option {if $smarty.post.network_type|default:$networkDetails.network_type == 'work'} selected="selected" {/if} value="work">Work</option>
							</select>
						</td>
					</tr>
					<tr>
						<td>Email</td>
						<td><input type="text" name="network_email" class="signUpTextBox" value="{$smarty.post.network_email|default:$networkDetails.network_email|htmlspecialchars}" /></td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td>
							<input type="image" name="submit" value="Save" src="{$app_url}images/{$language}/saveBtn.jpg"/>
						</td>
					</tr>
				</table>
				</form>
			</div>
		</div>
	</div>
	<!-- posted item end overall with two coloum -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="../admin/footer.tpl"}