<!-- Header template file -->
{include file="../admin/header.tpl"}
{include file="../admin/left.tpl"}
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<!-- gray start  -->
		<p id="headingPrivacy">{$lang->line('managereports_title')}</p>
		<!-- gray end -->
	</div>
	<div class="mainInnerCommon postedItems" >
		<div class="topSpaceSmall">
			<div id="edit" class="topSpace">
				{if $session->flashdata('successMsg')}
				<div id="sucsMsg"><!-- success info -->
					<div class="alertInfo">{$session->flashdata('successMsg')}</div>
				</div>
				{/if} 
				{if $validationError}
					<div id="errorMsg">
						<div class="alertInfo">
							{$validationError}
						</div>
					</div>
				{/if}
				
				<form name="groupCategoryFrm" id="groupCategoryFrm" action="" method="post">
				<table cellpadding="0" cellspacing="0">
				<tr>
					<td>{$lang->line('managereports_show_reports')}</td>
					<td><select name="reportType" id="reportType">
						{foreach from=$reportTypes key=key item=reportName}
							<option value="{$key}" {if $report_for==$key}selected{/if}>{$reportName}</option>
						{/foreach}
						</select>
					</td>
					<td><input type="submit" name="searchReport" id="searchReport" value="{$lang->line('managereports_go')}" /></td>
				</tr>
				</table>
				</form>
			
				<hr />
				<form name="reportsFrm" id="reportsFrm" action="{$base_url}admin/manageReports/deleteReport" method="post">
				<table class="allTable" cellpadding="0" cellspacing="0">
				<tr>
					<td></td>
					<td><strong>{$lang->line('managereports_report_type')}</strong></td>
					<td><strong>{$lang->line('managereports_reported_for')}</strong></td>
					<td><strong>{$lang->line('managereports_reported_by')}</strong></td>
					<td><strong>{$lang->line('managereports_action')}</strong></td>
				</tr>
				{if $reportsList!=false}
				{foreach from=$reportsList key=key item=report}
				<tr>
					<td><input type="checkbox" name="report_id[{$report.report_id}]" id="report_id" /></td>
					<td>{$report.report_type}</td>
					<td>{$report.report_for}</td>
					<td>{$report.username}</td>
					<td><a href="{$base_url}admin/manageReports/deleteReport/{$report.report_id}">{$lang->line('managereports_delete')}</a>|
						<a href="{$base_url}admin/viewReport/{$report.report_id}">{$lang->line('managereports_view')}</a>
					</td>
				</tr>
				{/foreach}
				<tr><td colspan="5"><input type="submit" name="deleteReport" id="deleteReport" value="{$lang->line('managereports_delete_selected')}" /></td></tr>	
				{else}
				<tr><td colspan="4">
				{if $report_for == 'group'}
				{$lang->line('managereports_group_no_records')}
				{elseif $report_for == 'event'}
				{$lang->line('managereports_event_no_records')}
				{elseif $report_for == 'photo'}
				{$lang->line('managereports_photo_no_records')}
				{elseif $report_for == 'network'}
				{$lang->line('managereports_network_no_records')}
				{elseif $report_for == 'profile'}
				{$lang->line('managereports_profile_no_records')}
				{elseif $report_for == 'posted_item'}
				{$lang->line('managereports_posted_item_no_records')}
				{/if}
				</td></tr>
				{/if}
				</table>
				</form>
			</div>
		</div>
	</div>
	<!-- posted item end overall with two coloum -->
</div>
<!-- Page Content End -->
<!-- Footer template file -->
{include file="../admin/footer.tpl"}