<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/friends.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}
		<div id="main" class="floatLeft main"><!-- main --> <!-- main end -->
			<div id="grayBoxMain"><!-- gray start  -->
				<div id="accountsNaviLink" >
					<ul class="clearAfter">
						{if $all_friends}
                        	<li><a class="active left" href="{$base_url}friends">{$lang->line('friends_label_friends_list')}</a></li>
                        {else}
                        	<li><a href="{$base_url}friends">{$lang->line('friends_label_friends_list')}</a></li>
                        {/if}
						{if $recently_updated}
                        	<li><a class="active left" href="{$base_url}friends/recentlyupdated">{$lang->line('friends_label_recently_updated')}</a></li>
                        {else}
                        	<li><a href="{$base_url}friends/recentlyupdated">{$lang->line('friends_label_recently_updated')}</a></li>
                        {/if}
						{if $recently_added}
                        	<li><a class="active left" href="{$base_url}friends/recentlyadded">{$lang->line('friends_label_recently_added')}</a></li>
                        {else}
                        	<li><a href="{$base_url}friends/recentlyadded">{$lang->line('friends_label_recently_added')}</a></li>
                        {/if}
						{if $online_now}
                        	<li><a class="active left" href="{$base_url}friends/online">{$lang->line('friends_label_online_now')}</a></li>
                        {else}
                        	<li><a href="{$base_url}friends/online">{$lang->line('friends_label_online_now')}</a></li>
                        {/if}
                        
                        <li><a href="{$base_url}friends/invite">{$lang->line('friends_label_invite_friends')}</a></li>
					</ul>
				</div>
				
				<div class="floatRight groupsSearch" id="showRecntPost">
				<form name="searchFrm" method="post" action="{$base_url}search/friends">
					<p id="textSearchIcon">
						<input name="" onClick="javascript: $('#searchFrm').submit();" class="cursorBtn" type="image" src="{$app_url}images/searchIconDull.gif" />
					</p>
					<span class="boldText">
						<input type="text" id="searchKeyword" name="searchKeyword" class="privacyTextBox headerSrch" value="" />
					</span>
				</form>
				</div>			
				
			</div><!-- gray end -->
			
            <div class="mainInnerCommon postedItems"  >
				
				{if $session->flashdata('flash_msg')}
				<div id="comnMsg">
					<div class="alertInfo">
						{$session->flashdata('flash_msg')}
					</div>
				</div>
				{/if}
            	
                <div id="findFridns">
                {if $friends_list_count > 0}
                	{include file="pagination.tpl"}<br />
                    <div class="usageMInfo topSpaceSmall">{$lang->line('friends_label_displaying')} {if $view_user_id == $session->userdata('user_id')}{$lang->line('friends_label_your')}'s{else}{$view_user_name}'s{/if} {$startCount}-{$endCount} {$lang->line('friends_label_out_of')} {$totalFriendsCount} {$friends_heading} {$lang->line('friends_label_friends')}.</div>
                    <div id="friendInfo" class="topSpaceSmall">
                        {foreach name=friends from=$friends_list key=friend_id item=friend_detail}
                        <table border="0"  class="allTable" cellspacing="0" cellpadding="0">
                          <tr>
                            <td class="vAlignTop fndFrndPhoto"><img width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" src="{$friend_detail.avatar}" /></td>
                            <td id="fndFrndInfo" class="vAlignTop fndFrndPhoto">
                            <p>{$lang->line('friends_label_name')}:</p>
                            </td>
                            <td id="fndFrndInfo" class="vAlignTop">
                            <p><a class="redBoldLink tDN" href="{$base_url}profile/{$friend_detail.user_id}">{$friend_detail.username|truncate:30:"...":true}</a></p>
                            </td>
                            <td  id="findFrndEdit" class="vAlignTop">
							<p><a href="{$base_url}friends/showfriends/{$friend_detail.user_id}">{$lang->line('friends_label_view_friends')}</a></p>
							{if $view_user_id == $session->userdata('user_id')}
							<p><a href="javascript: void(0);" onclick="showRemoveFriend('{$friend_detail.user_id}');">{$lang->line('friends_label_remove_friend')}</a></p>
							{/if}
                            <p><a href="{$base_url}message/compose/{$friend_detail.user_id}">{$lang->line('friends_label_send_message')}</a></p>
                            {if $friend_detail.isFriend != 1 and $friend_detail.user_id!= $session->userdata('user_id')}							
                            <p><a href="javascript: void(0);" onclick="javascript: $('#row_{$friend_detail.user_id}').show();">{$lang->line('search_add_friend')}</a></p>
                            {/if}
                            </td>
                          </tr>
                            <tr id="row_{$friend_detail.user_id}" style="display:none">
                                <td colspan="4">
                                    <form id="addFriend_{$friend_detail.user_id}" name="removeFriend_{$friend_detail.user_id}" method="post" action="{$base_url}friends/addFriend">
                                    <div id="comnMsg">
                                        <div class="alertInfo">
                                            {$lang->line('search_msg')}: <textarea name="hdn_friend_message_{$friend_detail.user_id}"></textarea>
                                            <input type="hidden" readonly="readonly" name="hdn_friend_id" value="{$friend_detail.user_id}" />
                                            <hr />
                                            <input type="image" src="{$app_url}images/{$language}/confirmBtn.jpg" onclick="javascript: $('#addFriend_{$friend_detail.user_id}').submit();" />
                                            <img class="cursorBtn" src="{$app_url}images/{$language}/cancelBtn.jpg" onclick="javascript: $('#row_{$friend_detail.user_id}').hide();" />
                                        </div>
                                    </div>
                                    </form>
                                </td>
                            </tr>
                        </table>
                        {/foreach}
                    </div>
                    {include file="pagination.tpl"}<br />
                {else}
                    <div id="comnMsg"><!-- common info -->
                        <div class="alertInfo">
                            <p>
								{if $view_user_id == $session->userdata('user_id')}
									{$lang->line('friends_label_you')}
								{else}
									{$view_user_name}
								{/if}
								{$lang->line('friends_label_have_no')} {$friends_heading} {$lang->line('friends_label_friends')}. 
							</p>
                        </div>
                    </div>
                {/if}
                </div>
            </div>	
		</div><!-- posted item end overall with two coloum -->
        
        <div id="removeFriendDiv" style="display:none;">
            <div id="popUpInfo" class="clearAfter">
                <div id="popUpBox" ><!-- gray start  -->
                    <div id="popUpCommentSec">
                    	<form name="removeFriendForm" id="removeFriendForm" method="post" action="{$base_url}friends/removefriend">
                        <input type="hidden" id="hdn_friend_id" name="hdn_friend_id" value="" />
                        <table border="0" class="allTable" cellspacing="0" cellpadding="0">
                            <tr>
                                <td class="vAlignTop"><p class="boldText">{$lang->line('friends_remove_confirm_msg')}?</p></td>
                            </tr>
                            <tr>
                                <td>
                                    <img src="{$app_url}images/{$language}/yes.jpg" onclick="$('#removeFriendForm').submit();" class="cursorBtn" />
                                    <a href="javascript:void(0);" onclick="javascript:tb_remove();"><img src="{$app_url}images/{$language}/no.jpg" /></a>
                                </td>
                            </tr>
                        </table>
            			</form>
                    </div>
                <!-- gray end --></div>
            </div>
        </div>        
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}