<!-- Header template file -->
{include file="header.tpl"}
<!-- Include the additional css file you need here -->
<link href="{$app_url}css/jquery.autocomplete.css" rel="stylesheet" type="text/css" />
<!-- Include the additional script file you need here -->
<script type="text/javascript">
	var autoComplete = 0;
</script>
<script type="text/javascript" src="{$app_url}scripts/groups.js"></script>
<!-- Left Pane template file -->
{include file="left.tpl"}
<!-- Page Content -->
{$validationError}
<!-- Page Content End -->

<body id="groupsPage">
<form name="groupsHomeFrm" id="groupsHomeFrm" method="post" action="{$base_url}groups/home/">
<div id="main" class="floatLeft main"><!-- main --> <!-- main end -->
			<div class="clearAfter" id="grayBoxMain"><!-- gray start  -->
			<div id="postedItems">
				<ul class="clearAfter">
					<li><a href="{$base_url}groups/mygroups/">{$lang->line('group_my_group')}</a> |</li>
					<li><a href="{$base_url}groups/browse/">{$lang->line('group_browse_group')}</a> |</li>
					<!-- This Link is Commented By B. Sivanantham as this functionality not need  -->
					<!--<li><a href="#"> Popular Groups</a> </li>-->
					<li><a href="{$base_url}groups/managegroups/">{$lang->line('groups_create_new_group')}</a> </li>
				</ul>
			</div>
			<p id="helpLink" class="rightText"><!--<a href="#"> Help</a>--></p>
			<!-- gray end --></div>
			
			<div class="mainInnerCommon postedItems"  >
				<div class="mainInnerTopDiv clearAfter">
				<div id="mainPageTitle" class="floatLeft groupsBox">
				  <p class="groupsIcon">{$lang->line('groups_main_title')}</p>
				</div>
				
				<div class="floatRight" id="showRecntPost"> <a  class="cursorBtn" href="{$base_url}groups/managegroups/"><img  class="cursorBtn" border="0" src="{$app_url}images/{$language}/createNewGroupBtn.jpg" /> </a> </div>
					<!--<div class="floatRight groupsSearch" id="showRecntPost">
						<p id="textSearchIcon"><a  class="cursorBtn" href="{$base_url}groups/"><img  class="cursorBtn" border="0" src="{$app_url}images/searchIconDull.gif" /> </a> </p>
						<span class="boldText"><input  class="privacyTextBox headerSrch" id="searchtext"  name="searchtext" type="text" /></span>
					</div>-->
					<div class="floatRight groupsSearch" id="showRecntPost">
						<p id="textSearchIcon">
							<input  type="image"  src="{$app_url}images/searchIconDull.gif" />
						</p>
						<span class="boldText">
							<input name="searchtext" id="searchtext"  class="privacyTextBox headerSrch" value="" />
						</span>
					</div>					
				</div>
			</div>
				
				<div id="postedItemInner" class="clearAfter"><!-- overall content with left right divs -->
					<div id="groupsInnerBox" class="clearAfter"><!-- group inner container -->
						{if $session->flashdata('flash_msg')}
							<div id="comnMsg">
								<div class="alertInfo">
									{$session->flashdata('flash_msg')}
								</div>
							</div>
						{/if}
						<div id="recentlyJFriends" class="floatLeft">
							<div id="recentlyJFTitle" class="clearAfter">
								<h4 class="floatLeft">{$lang->line('groups_recently_joined_friends')}</h4><p class="floatRight">{if $friendsGroupsCount > 0}<a class="redNormalLink tDN" href="{$base_url}groups/recentfriends/">{$lang->line('groups_view_see_all')}</a>{/if}</p>
							</div>
							
							{if $friendsCount > 0 && $friendsGroupsCount > 0}
							<div class="groupsInner">
								{assign var='listrange' value=5}
								{if $friendsGroupsCount < 5}
									{assign var='listrange' value=$friendsGroupsCount}
								{/if}
								{foreach name='grpleftloop' from=$friendsGroups key=k item=GroupsDetail}
								{if  $smarty.foreach.grpleftloop.iteration < $listrange}
									<div class="groupsInnerBox clearAfter"><!-- box start -->
								{else}
									<div class="groupsInnerBox noBorder clearAfter"><!-- box start -->
								{/if}
										<div class="floatLeft"><a href="{$base_url}groups/view/{$GroupsDetail.group_id}/"> <img  border="0" src="{$GroupsDetail.group_avatar}" /> </a></div>
										<div class="floatRight groupColRightInfo"><p><a class="redBoldLink tDN" href="{$base_url}groups/view/{$GroupsDetail.group_id}/">{$GroupsDetail.group_name|htmlspecialchars|wordwrap:20:"<br />\n":true}</a></p>
											<p class="grayText smallFontSize">{$GroupsDetail.group_category_name|htmlspecialchars|wordwrap:20:"<br />\n":true} - {$GroupsDetail.group_sub_category_name|htmlspecialchars|wordwrap:20:"<br />\n":true}</p>
											<table border="0" cellspacing="0" cellpadding="0">
											  <tr>
												<td>{$lang->line('groups_size')}: </td>
												<td><a class="redNormalLink tDN" href="{$base_url}groups/viewmembers/{$GroupsDetail.group_id}/">{$GroupsDetail.group_members}{$lang->line('groups_members_count')}</a></td>
											  </tr>
											  <tr>
												<td>{$lang->line('groups_joined')}:</td>
												<td><a class="redNormalLink tDN" href="{$base_url}profile/{$GroupsDetail.friend_id}/">{$GroupsDetail.friend_name}</a></td>
											  </tr>
											  
											  </tr>
											</table>
									</div>
								<!--box end --></div>
								{/foreach}
								</div>
							{else}
								
								<p>
									<div id="comnMsg"><!-- common info -->
										<div class="alertInfo">
											<p> {if $friendsCount == 0} {$lang->line('groups_msg_no_friends')} {else}{$lang->line('groups_msg_nothing')}{/if}</p>
										</div>
									</div>
								</p>
							{/if}	
							
						</div>
						<div id="recentlyUGroups" class="floatRight">
							<div id="recentlyUGTitle" class="clearAfter">
								<h4 class="floatLeft">{$lang->line('groups_recently_joined_you')}</h4><p class="floatRight">{if $userGroupsCount > 0}<a class="redNormalLink tDN" href="{$base_url}groups/recentgroups/">{$lang->line('groups_view_see_all')}</a>{/if}</p>
							</div>
							
								{if $userGroupsCount > 0}
								<div class="groupsInner">
								{assign var='listrange' value=5}
								{if $userGroupsCount < 5}
									{assign var='listrange' value=$userGroupsCount}
								{/if}
								
									{foreach name='grprightloop' from=$userGroups key=k item=GroupsDetail}
									{if  $smarty.foreach.grprightloop.iteration < $listrange}
										<div class="groupsInnerBox clearAfter"><!-- box start -->
									{else}
										<div class="groupsInnerBox noBorder clearAfter"><!-- box start -->
									{/if}
											<div class="floatLeft"> <a href="{$base_url}groups/view/{$GroupsDetail.group_id}/"> <img  border="0" src="{$GroupsDetail.group_avatar}" /> </a> </div>
											<div class="floatRight groupColRightInfo"><p><a class="redBoldLink tDN" href="{$base_url}groups/view/{$GroupsDetail.group_id}/">{$GroupsDetail.group_name|htmlspecialchars|wordwrap:20:"<br />\n":true}</a></p>
												<p class="grayText smallFontSize">{$GroupsDetail.group_category_name|htmlspecialchars|wordwrap:20:"<br />\n":true} - {$GroupsDetail.group_sub_category_name|htmlspecialchars|wordwrap:20:"<br />\n":true}</p>
												<table border="0" cellspacing="0" cellpadding="0">
												  <tr>
													<td>{$lang->line('groups_size')}: </td>
													<td><a class="redNormalLink tDN" href="{$base_url}groups/viewmembers/{$GroupsDetail.group_id}/">{$GroupsDetail.group_members} {$lang->line('groups_members_count')}</a></td>
												  </tr>
												  <tr>
													<td>{$lang->line('groups_new')}:</td>
													<td> {if $GroupsDetail.new_members > 0} {$GroupsDetail.new_members}{$lang->line('groups_more_members_count')}{else} {$lang->line('groups_no_more_members')}{/if}  </td>
												  </tr>
												  <!--<tr>
													<td>&nbsp;</td>
													<td><a class="redNormalLink tDN" href="#">11 Board Topics,</a></td>
												  </tr>
												  <tr>
													<td>&nbsp;</td>
													<td><a class="redNormalLink tDN" href="#">50 Wall Posts, 2 Videos</a></td>
												  </tr>
												  <tr>-->
													<td colspan="2" ><p>{$lang->line('groups_profile_updated_on')} {$GroupsDetail.date_modified}</p></td>
												  </tr>
												</table>
											</div>
										<!-- inner box end --></div>
									{/foreach}
									</div>	
								{else}
								<p>
									<div id="comnMsg"><!-- common info -->
										<div class="alertInfo">
											<p> {$lang->line('groups_msg_nothing')}</p>
										</div>
									</div>
								</p>
										
								{/if}	
							
						</div>
						
					<!-- group inner container --></div>
			
				
				
		</div>
		<!-- posted item end overall with two coloum --></div>
</form>
</body>

<!-- Footer template file -->
{include file="footer.tpl"}
