<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional css file you need here -->
<link href="{$app_url}css/jquery.autocomplete.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="{$app_url}scripts/jquery.autocomplete.js"></script>

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/groups.js"></script>
<script type="text/javascript" src="{$app_url}scripts/wall.js"></script>
<script type="text/javascript" src="{$app_url}scripts/posted.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}


<!-- Page Content -->
<div id="main" class="floatLeft main">
<!-- main --> 
{include file="shareInterface.tpl"}
	<div  id="grayBoxMain">
		<div id="grayBoxInner">
			<div id="postedItems">
				<ul class="clearAfter">
					<li><a href="{$base_url}groups/mygroups/">{$lang->line('group_my_group')}</a> |</li>
					<li><a href="{$base_url}groups/browse/">{$lang->line('group_browse_group')}</a> |</li>
					<!-- This Link is Commented By B. Sivanantham as this functionality not need  -->
					<!--<li><a href="#"> Popular Groups</a> </li>-->
					<li><a href="{$base_url}groups/managegroups/">{$lang->line('groups_create_new_group')}</a> </li>
				</ul>
			</div>
		</div>
	</div>
	
	<div id="profileInner" class="clearAfter">
		<div class="usageMInfo boldText">{$groupinfo.group_name|htmlspecialchars|wordwrap:30:"<br />\n":true}</div>
		<hr />
		
		
		<form name="groupsViewFrm" id="groupsViewFrm" method="post" action="{$base_url}groups/view/{$group_id}/">
		<input type="hidden" name="hdnGroup" id="hdnGroup" value="{$group_id}" />
		<input type="hidden" name="hdnInvId" id="hdnInvId" value="{$invitation_id}" />
		<input type="hidden" name="hdnSender" id="hdnSender" value="{$sender_id}" />
		<input type="hidden" name="hdnReceiver" id="hdnReceiver" value="{$receiver_id}" />
		<input type="hidden" name="hdnAction" id="hdnAction" value="" />
		<input type="hidden" name="hdnType" id="hdnType" value="{$group_type}" />
		
		<div id="grpViewLftCol" >
			<div id="photoBoxSec">
				<div id="photoBox"><img src="{$group_image}" /></div>
				<div id="uploadPrflPic">
					<p>{if $isadmin == 1}<a href="{$base_url}groups/picture/{$group_id}">{$lang->line('groups_upload_profile_picture')}</a>{/if}</p>
				</div>
			</div>
			<div id="photoBtmLink" class="topSpaceSmall">
				{if $session->flashdata('flash_msg')}
					<div id="comnMsg">
						<div class="alertInfo">
							{$session->flashdata('flash_msg')}
						</div>
					</div>
				{/if}

				<div id='showJoinConfirmation' style="display:none">
				<table>
					<tr>
						<td>
							{if $group_type == 'open'}
								{$lang->line('groups_join_group_confirm')}
							{elseif $group_type == 'closed' || $group_type == 'secret'}	
								{$lang->line('groups_join_request_forward')}
							{/if}
						</td>
					</tr>
					<tr>
						<td>
						   <!--<img onclick="javascript:postJoin();" src="{$app_url}images/{$language}/yes.jpg" />-->
						   <INPUT type="image" name="joinBtn" id="joinBtn" src="{$app_url}images/{$language}/yes.jpg">
						   <a href="javascript:void(0);" onclick="javascript:$('#showJoinConfirmation').hide();" ><img src="{$app_url}images/{$language}/no.jpg" /></a>
						</td>
					</tr>
				</table>
				</div> 
				<div id='showLeaveConfirmation' style="display:none">
					<table>
						<tr>
							<td>
								{$lang->line('groups_leave_group_confirm')}
								{if $isadmin == 1}
									<br />
									{$lang->line('groups_admin_leave_notice')}.
								{/if}
							</td>
						</tr>
						<tr>
							<td>
								<INPUT type="image" name="leaveBtn" id="leaveBtn" src="{$app_url}images/{$language}/yes.jpg">
								<a onclick="javascript:$('#showLeaveConfirmation').hide();"><img src="{$app_url}images/{$language}/no.jpg" /></a>
							</td>
						</tr>
					</table>
				 </div> 						
				
					{if $isadmin == 0}
						
							{if $groupinfo.group_type == 'open'}
							{if $ismember == 1}
								<p><a onclick="javascript:$('#showLeaveConfirmation').show();" href="javascript:void(0);">{$lang->line('groups_leave_group')}</a></p>
								<p><a  href="{$base_url}groups/members/{$group_id}/">{$lang->line('groups_invite_people')}</a> </p>
							{else}
								<p><a onclick="javascript:$('#showJoinConfirmation').show();" href="javascript:void(0);">{$lang->line('groups_join_group')}</a></p>
							{/if}
							
						{elseif $groupinfo.group_type == 'closed'}
						<p>	
							{if $ismember == 1}
								<a onclick="javascript:$('#showLeaveConfirmation').show();" href="javascript:void(0);">{$lang->line('groups_leave_group')}</a>
							{elseif $invitation_id != '' }	
								<a onclick="javascript:$('#showJoinConfirmation').show();" href="javascript:void(0);">{$lang->line('groups_send_join_request_admin')}</a>
							{else}
								<a onclick="javascript:$('#showJoinConfirmation').show();" href="javascript:void(0);">{$lang->line('groups_request_join_group')}</a>
							{/if}
						</p>	
						{elseif $groupinfo.group_type == 'secret'}
							{if $ismember == 1}
								<p> <a onclick="javascript:$('#showLeaveConfirmation').show();" href="javascript:void(0);">{$lang->line('groups_leave_group')}</a> </p>
							{/if}
						{/if}
					{else}
						{if $memberscount == 1}
						<p>	<a onclick="javascript:$('#showLeaveConfirmation').show();" href="javascript:void(0);">{$lang->line('groups_leave_group')}</a> </p>
						{/if}
						<p><a  href="{$base_url}groups/managegroups/{$group_id}/">{$lang->line('groups_edit_group')}</a> </p>
						<p><a  href="{$base_url}groups/members/{$group_id}/">{$lang->line('groups_invite_people')}</a> </p>
						{if $isadmin == 1 && $requestcount > 0} 
						<p> <a href="{$base_url}groups/requests/{$group_id}/"> {$lang->line('groups_request_count')} ({$requestcount}) </a> </p>
						{/if}								
					{/if}  
				
				{if $ismember == 0 && $isadmin == 0}
					<p><a href="javascript: void(0);" onclick="javascript: showReportForm({$group_id}, 'group');">{$lang->line('groups_report_group')}</a></p>
				{/if}
				<p><img onclick="showSharePostInterface('group','{$group_id}');" class="cursorBtn" src="{$app_url}images/{$language}/shareBtn.jpg" /></p>
			</div>
			<div id="prflFriendsList" class="profileLeftBox clearAfter">
				<div id="prflTitle"><h3>{$lang->line('group_group_type')}</h3></div>
				
				<div class="topSpaceSmall">
					<p>
						{if $groupinfo.group_type == 'open'}
							{$lang->line('groups_view_type_open')}
						{elseif $groupinfo.group_type == 'closed'}															
							{$lang->line('groups_view_type_closed')}
						{elseif $groupinfo.group_type == 'secret'}
							{$lang->line('groups_view_type_secret')} 
						{/if}
					</p>
				</div>
				
			</div>
			<!--  posted items -->
			<div id="prflPostedItem" class="profileLeftBox clearAfter">
				<div id="prflTitle"><h3>{$lang->line('groups_admin')}</h3></div>
				<div class="topSpaceSmall">
					{foreach from=$members key = k item=membersarr}
						{if $membersarr.is_admin|upper == 'Y'}
							 <p><a href="{$base_url}profile/{$membersarr.receiver_id}/" class="redNormalLink tDN">{$membersarr.username}</a> {if $groupinfo.network_name != ''}  <br />({$groupinfo.network_name})  {/if}</p>
						{/if}																	
					{/foreach}
				</div>
			</div>
			
		</div><!-- profile photo coloum end -->
		</form>
		
		<div id="grpViewRgtCol">
			<div class="prflRightBox"><!-- information -->
				<div id="prflTitle"><h3>{$lang->line('groups_group_info')}</h3></div>
				<div class="prflRightInBox">
					<p>{$lang->line('group_group_name')}:  {$groupinfo.group_name|htmlspecialchars|wordwrap:30:"<br />\n":true}</p>
					<p>{$lang->line('group_group_type')}: <a class="redNormalLink tDN" href="{$base_url}groups/browse/0/{$groupinfo.group_category_id}/{$groupinfo.group_sub_category_id}/">{$groupinfo.group_category_name|htmlspecialchars|wordwrap:30:"<br />\n":true}  - {$groupinfo.group_sub_category_name|htmlspecialchars|wordwrap:30:"<br />\n":true}</a></p>
					<p>{$lang->line('group_description')}:   {$groupinfo.group_description|htmlspecialchars|wordwrap:55:"<br />\n":true}</p>
				</div>
			</div>
			
			<div class="prflRightBox"><!-- information -->
				<div id="prflTitle"><h3>Contact Info</h3></div>
				<div class="prflRightInBox">
					{if $groupinfo.group_office != ''}
						<p>{$lang->line('groups_form_phone_no')}:{$groupinfo.group_office|htmlspecialchars|wordwrap:50:"<br />\n":true}</p>							
					{/if}
					{if $groupinfo.group_email != ''}
						<p>{$lang->line('group_email')}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:{$groupinfo.group_email|htmlspecialchars|wordwrap:50:"<br />\n":true}</p>							
					{/if}
					{if $groupinfo.group_url != ''}
						<p>{$lang->line('group_website')}&nbsp;&nbsp;&nbsp;:{$groupinfo.group_url|htmlspecialchars|wordwrap:40:"<br />\n":true}</p>							
					{/if}
					{if $groupinfo.group_street != ''}
						<p>{$lang->line('group_street')}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:{$groupinfo.group_street|htmlspecialchars|wordwrap:50:"<br />\n":true}</p>							
					{/if}
					{if $groupinfo.group_city != ''}
						<p>{$lang->line('groups_form_city_label')}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:{$groupinfo.group_city|htmlspecialchars|wordwrap:50:"<br />\n":true}</p>							
					{/if}
					{if $groupinfo.country_name != ''}
						<p>{$lang->line('groups_group_country')} &nbsp;&nbsp;:{if $groupinfo.country_name == ''}--{else}{$groupinfo.country_name|htmlspecialchars|wordwrap:50:"<br />\n":true}{/if}</p>
					{/if}
				</div>
			</div>
			
			<div class="prflRightBox"><!-- information -->
				<div id="prflTitle"><h3>{$lang->line('group_recent_news')}</h3></div>
				<div class="prflRightInBox">
					<p>{$groupinfo.group_recentnews|htmlspecialchars|wordwrap:55:"<br />\n":true}</p>
				</div>
			</div>
			
			{if ($groupinfo.group_photos == "yes" && ($isadmin == 1 || $groupinfo.group_upload_permission == "members"))}
			{/if}
			
			{if ($groupinfo.group_discussionboard == 'yes') && ($isadmin == 1 || $ismember == 1) }
			<div class="prflRightBox" ><!-- information -->
				<div id="prflTitle"><h3>{$lang->line('groups_discussion_board_view')}</h3></div>
				<div class="prflRightInBox clearAfter" >
					<div class="floatLeft">
						<p>
						{if $discussionTopicsCount > 0}
							{$lang->line('groups_displaying')} {$discussionTopicsCount} {$lang->line('groups_of')} {$discussionTopicsTotal} {$lang->line('groups_board_topics')}.
						{else}
							{$lang->line('groups_discussion_no_topics')}
						{/if}
						</p>
					</div>
					<div class="floatRight">
						{if $isadmin == 1 || $ismember == 1}
							<a class="redNormalLink tDN" href="{$base_url}discussion/create/group/{$group_id}/">{$lang->line('groups_discussion_start_topic')}</a>
							{if $discussionTopicsCount > 0} | <a class="redNormalLink tDN" href="{$base_url}discussion/view/group/{$group_id}/">{$lang->line('groups_view_see_all')}</a>{/if}
						{/if}	
					</div>
					
					<br />
					{if $discussionTopicsCount > 0}
					<div id="netWeventInfo" class="topSpaceSmall">
						<div >
							{foreach from=$discussionTopics key=discussionId item=discussionRow}
							<div class="upComInfoDiv clearAfter">
								<div>
									<p>
										<a class="redBoldLink tDN" href="{$base_url}discussion/view/group/{$group_id}/{$discussionId}">{$discussionRow.discussion_topic|htmlspecialchars}</a>
									</p>
									<p class="dGrayText">{$discussionRow.posts} {$lang->line('groups_discussion_post_by')} {$discussionRow.peoples} {$lang->line('groups_discussion_peoples')}. {$lang->line('groups_discussion_updated_on')} {$discussionRow.last_updated}.</p>
								</div>
							</div>
							{/foreach}
						</div>
					</div>
					{/if}
				</div>
			</div>
			{/if}
			
			<div class="prflRightBox"><!-- information -->
				<div id="prflTitle"><h3>Members</h3></div>
				<div class="prflRightInBox">
					<ul>{if $isadmin == 1 }
							<li class="clearAfter"><p class="floatLeft"><!--Displaying 1 of 1 photos.--></p>
								<p class="floatRight">
									<a class="redNormalLink tDN" href="{$base_url}groups/members/{$group_id}/">{$lang->line('groups_group_edit_members')}</a>  
								</p>				
							</li>
						{/if}
					</ul>
					<div id="grpViewPotoDsply" class="topSpaceSmall" >
						<ul class="clearAfter">
							{foreach name=test from=$members key = k item=membersarr}
								<li><p><a href='{$base_url}profile/{$membersarr.receiver_id}/'> <img src='{$membersarr.avatar}' border="0" /> </a>  <a href='{$base_url}profile/{$membersarr.receiver_id}/'>{$membersarr.username}</a>  
								{assign var='statusdesc' value=''}
								 
								{if $membersarr.invitation_status == "blocked"}({$lang->line('groups_groups_blocked')}){/if}  {if $membersarr.is_admin|upper == 'Y'} {$lang->line('groups_admin')} {else} ({$lang->line('groups_member')}) {/if} </p> </li>
							{/foreach}
						</ul>
					</div>
				</div>
			</div>
			
			
			<!-- wall -->
			{if $groupinfo.group_wall == 'yes' }
			<div class="prflRightBox" ><!-- the wall -->
				<div id="prflTitle"><h3>{$lang->line('groups_the_wall')}</h3></div>
				<div class="prflRightInBox">
						<!-- success info -->
						<div id="wallsucsMsg" style=" display:none;">
							<div id="sucsMsg">
								<div id="successInfo" class="alertInfo"></div>
							</div>
						</div>
						<!-- success info -->
						<!-- Error info -->
						<div id="wallerrorMsg" style=" display:none;">
							<div id="errorMsg">
								<div id="errorInfo" class="alertInfo"></div>
							</div>
						</div>
						<!-- Error info -->
						<ul class="rowLines">
							<li class="clearAfter">
							<p class="floatLeft">{$lang->line('groups_displaying')} <span id="currWallCount">{$wallCount}</span> {$lang->line('groups_of')} <span id="totalWallCount">{$wallTotal}</span> {$lang->line('groups_wall_posts')}.</p>
							
							<p class="floatRight"><a class="redNormalLink tDN" href="{$base_url}wall/view/group/{$group_id}/">{$lang->line('groups_view_see_all')}</a></p></li>
							<li>
								<textarea name="inline_wall_content" id="inline_wall_content" class="textAreas"></textarea>
								<input type="hidden" name="inline_wall_for" id="inline_wall_for" readonly value="group">
								<input type="hidden" name="inline_wall_for_id" id="inline_wall_for_id" readonly value="{$group_id}">
								<input type="hidden" name="inline_wall_for_name" id="inline_wall_for_name" readonly value="{$groupinfo.group_name}">
								<input type="hidden" name="inline_wall_for_link" id="inline_wall_for_link" readonly value="{$base_url}groups/view/{$groupinfo.group_id}">
							</li>
							<li>
								<hr />
								<input name="submit" type="image" class="cursorBtn" src="{$app_url}images/{$language}/postBtn.jpg" onClick="javascript: postWallForm();"/>
							</li>
						</ul>
						
						<div id="WallContentLists">
						{if $wallCount > 0}
						{foreach from=$wall key=wallId item=wallRow}
						<div id="wall_view_{$wallId}" class="postInfoBox">
							<!-- post info -->
							<div class="postInfo clearAfter">
								<!-- sinlge info -->
								<div class="floatLeft"><img src="{$wallRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}"/></div>
								<div class="postInfoRight">
									<div class="postInfoHead">
										<p><a class="redBoldLink tDN" href="{$base_url}profile/{$wallRow.user_id}/">{$wallRow.username|truncate:30:"...":true}</a> {$lang->line('groups_view_wrote')}</p>
										<p class="smallFontSize">{$lang->line('groups_view_at')} {$wallRow.wall_date}</p>
									</div>
									<div class="topSpaceSmall">
										<p>{$wallRow.wall_content|htmlspecialchars|nl2br|wordwrap:38:"<br />":true|truncate:275:"...":true}</p>
										<p class="smallFontSize"><a class="redNormalLink tDN" href="javascript: void(0);" onClick="javascript: showWallForm('{$wallRow.username|truncate:30:"...":true}', 'profile', {$wallRow.user_id}, '{$groupinfo.group_name|escape:'javascript'}', '{$base_url}groups/view/{$groupinfo.group_id}');">{$lang->line('groups_view_write_on')} {if $wallRow.user_id == $session->userdata('user_id')} {$lang->line('groups_view_my')} {else} {$wallRow.username|truncate:30:"...":true} {/if} {$lang->line('groups_view_wall')}</a>{if $wallRow.user_id == $session->userdata('user_id')} | <a class="redNormalLink tDN" href="javascript: void(0);" onclick="javascript: showDeleteWallForm({$wallRow.wall_id}, 'group', {$groupinfo.group_id});">{$lang->line('groups_view_delete')}</a>{/if}</p>
									</div>
								</div>
								<!-- single info end -->
							</div>
						</div>
						{/foreach}
						{/if}
						</div>
				  </div>
				</div>
			{/if}
			<!-- wall end -->			
		
		</div>
	
	</div><!-- profileInner end-->

</div>
<!-- Template file for posting a wall -->
{include file="wallcreate.tpl"}

<!-- Template file for deleting a wall -->
{include file="walldelete.tpl"}

<!-- Footer template file -->
{include file="footer.tpl"}