<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain"><!-- gray start  -->
		<br />
		
		<!-- gray end -->
	</div>
	
	<div class="mainInnerCommon postedItems"  >

		<div id="accountsNaviLink" class="clearAfter">
			<ul class="clearAfter">
				<li><a {if $currTab == 'friends'} class="active" {/if} href="{$base_url}invitations/friends">{$lang->line('invitations_friends')}</a></li>
				<li><a {if $currTab == 'groups'} class="active" {/if} href="{$base_url}invitations/groups">{$lang->line('invitations_groups')}</a></li>
				<li><a {if $currTab == 'events'} class="active" {/if}  class="right" href="{$base_url}invitations/events">{$lang->line('invitations_events')}</a></li>
			</ul>
			<div id="borderBottom">
				<!-- border bottom -->
			</div>
		</div>
        {if $displayMessage!=''}
        <div id="comnMsg">
            <div class="alertInfo">
                {$displayMessage}
            </div>
        </div>
        {/if}
		<form name="invitationFrm" id="invitationFrm" method="post" action="" >
		<input type="hidden" name="invitation" id="invitation" readonly value="">
		<input type="hidden" name="invitation_reply" id="invitation_reply" readonly value="">
		<input type="hidden" name="group_type" id="group_type" readonly value="">
		{if $currTab == 'friends'}
			<div id="friendInfo">
			{foreach from=$request item=requestRow}
				<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
					<tr>
						<td class="vAlignTop fndFrndPhoto"><img class="thumbnail" src="{$requestRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" /></td>
						<td id="fndFrndInfo" class="vAlignTop fndFrndPhoto"><p>{$lang->line('invitations_name')}:</p>
							<p></p>
						</td>
						<td id="fndFrndInfo" class="vAlignTop"><p><a class="redBoldLink tDN" href="{$base_url}profile/{$requestRow.user_id}">{$requestRow.username|htmlspecialchars|truncate:35:"...":true}</a></p>
							<p></p>
						</td>
						<td  id="findFrndEdit" class="vAlignTop">
							<p>
								<a class="cursorBtn" onClick="javascript: $('#invitation').val({$requestRow.friends_list_id}); $('#invitation_reply').val('confirm'); $('#invitationFrm')[0].submit();">
									{$lang->line('invitations_confirm')}
								</a>
							</p>
							
							<p>
								<a class="cursorBtn" onClick="javascript: $('#invitation').val({$requestRow.friends_list_id}); $('#invitation_reply').val('reject'); $('#invitationFrm')[0].submit();">
									{$lang->line('invitations_reject')}
								</a>
							</p>
						</td>
					</tr>
				</table>
			{/foreach}
			</div>
		{elseif $currTab == 'groups'}
			<div id="friendInfo">
			{foreach from=$request item=requestRow}
				<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
					<tr>
						<td class="vAlignTop fndFrndPhoto"><img class="thumbnail" src="{$requestRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" /></td>
						<td id="fndFrndInfo" class="vAlignTop fndFrndPhoto"><p>{$lang->line('invitations_sender')}:</p>
							<p>{$lang->line('invitations_group')}:</p>
							<p>{$lang->line('invitations_admin')}:</p>
						</td>
						<td id="fndFrndInfo" class="vAlignTop">
						<p><a class="redBoldLink tDN" href="{$base_url}profile/{$requestRow.sender_id}/">{$requestRow.sendername|htmlspecialchars|truncate:35:"...":true}</a></p>
							<p><a class="redNormalLink tDN" href="{$base_url}groups/view/{$requestRow.group_id}/"> {$requestRow.group_name|htmlspecialchars|truncate:35:"...":true}({$requestRow.group_type}) </a> </p>
							<p><a class="redNormalLink tDN" href="{$base_url}profile/{$requestRow.group_owner}/">{$requestRow.admin_name|htmlspecialchars|truncate:35:"...":true}</a></p>
						</td>
						<td  id="findFrndEdit" class="vAlignTop">
							<p>
								<a class="cursorBtn" onClick="javascript: $('#invitation').val({$requestRow.group_invitation_id}); $('#invitation_reply').val('confirm'); $('#invitationFrm').submit(); return false;">
									{$lang->line('invitations_confirm')}
								</a>
							</p>
							
							<p>
								<a class="cursorBtn" onClick="javascript: $('#invitation').val({$requestRow.group_invitation_id}); $('#invitation_reply').val('reject'); $('#invitationFrm').submit(); return false;">
									{$lang->line('invitations_reject')}
								</a>
							</p>
						</td>
					</tr>
				</table>
			{/foreach}
			</div>
		{elseif $currTab == 'events'}
			<div id="friendInfo">
			{foreach from=$request item=requestRow}
				<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
					<tr>
						<td class="vAlignTop fndFrndPhoto"><img class="thumbnail" src="{$requestRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" /></td>
						<td id="fndFrndInfo" class="vAlignTop fndFrndPhoto"><p>{$lang->line('invitations_sender')}:</p>
							<p>{$lang->line('invitations_event')}:</p>
							<p>{$lang->line('invitations_admin')}:</p>
						</td>
						<td id="fndFrndInfo" class="vAlignTop">
						<p><a class="redBoldLink tDN" href="{$base_url}profile/{$requestRow.sender_id}/">{$requestRow.sendername|htmlspecialchars|truncate:35:"...":true}</a></p>
							<p><a class="redNormalLink tDN" href="{$base_url}events/view/{$requestRow.event_id}/"> {$requestRow.event_name|htmlspecialchars|truncate:35:"...":true}({$requestRow.event_type}) </a> </p>
							<p><a class="redNormalLink tDN" href="{$base_url}profile/{$requestRow.event_owner}/">{$requestRow.admin_name|htmlspecialchars|truncate:35:"...":true}</a></p>
						</td>
						<td  id="findFrndEdit" class="vAlignTop">
							<p>
								<a class="cursorBtn" onClick="javascript: $('#invitation').val({$requestRow.event_invitation_id}); $('#invitation_reply').val('confirm'); $('#invitationFrm').submit();return false;">
									{$lang->line('invitations_confirm')}
								</a>
							</p>
							
							<p>
								<a class="cursorBtn" onClick="javascript: $('#invitation').val({$requestRow.event_invitation_id}); $('#invitation_reply').val('reject'); $('#invitationFrm').submit();return false;">
									{$lang->line('invitations_reject')}
								</a>
							</p>
						</td>
					</tr>
				</table>
			{/foreach}
			</div>
		{/if}
		</form>
		</div>
	<!-- posted item end overall with two coloum -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}