<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/marketplace.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
{$validationError}
<!-- Page Content End -->
<form name="marketplaceItemFrm" id="marketplaceItemFrm" method="post" action="" enctype="multipart/form-data" >
<input type="hidden" name="hdnMode" id="hdnMode" value="{$smarty.post.hdnMode|default:$mode|htmlspecialchars}" />
<input type="hidden" name="hdnAction" id="hdnAction" value="{$smarty.post.hdnAction|default:$action|htmlspecialchars}" />
<input type="hidden" name="hdnCatcode" id="hdnCatcode" value="{$smarty.post.hdnCatcode|default:$cat_code|htmlspecialchars}" />
<input type="hidden" name="hdnListId" id="hdnListId" value="{$listId}" />
<table>
	<tr>
		<td>
			<table>
				<tr>
					<td>
					<img src="{$base_url}application/images/marketplace.gif" alt="Marketplace" border="0"><strong> <a href="{$base_url}marketplace/"> Marketplace </a> > 
						{if $mode == 'list'}
							 <a href="{$base_url}marketplace/addListing/list"> Listing </a> 
						{else} 
							 <a href="{$base_url}marketplace/addListing/want"> Wanted </a> 
						{/if}   
						>
						{if $cat_code == 'JOB' || $cat_code == 'FREE'}					 
							{if $mode == 'list'} 
								  {$catInfo.cat_name}  
							{else}
								  {$catInfo.cat_alias_name} 
							{/if}
						{else}	
					
							{if $mode == 'list'} 
								<a href="{$base_url}marketplace/showSubcat/{$catInfo[0].cat_id}/{$mode}/"> {$catInfo[0].cat_name} </a>
							{else}
								<a href="{$base_url}marketplace/showSubcat/{$catInfo[0].cat_id}/{$mode}/"> {$catInfo[0].cat_alias_name} </a>
							{/if}
								> {$catInfo[0].sub_cat_name} 	 
						{/if}	
					</td>
				</tr>
				<tr>
					<td>
						<!-- main form starts here -->
						<table>
							<!-- Title -->
							<tr>
								<td> Title  (Required)  </td>
								<td> <input name="title" id="title" maxlength="200" size="30" value="{$smarty.post.title|default:$item_title|htmlspecialchars}" type="text" > </td>								
							</tr>
							<!-- Title --> 
							{if $cat_code == 'JOB'}
							<tr>
								<td> Job Type <br> (required) </td>
								<td>
									 
									<select name="jobType" id="jobType">
										{if count($jobcats) > 0}
											{foreach from=$jobcats key=k item=jobcatsdetail}
												{html_options selected=$smarty.post.jobType|default:$jobType  values=$jobcatsdetail.sub_cat_id  output=$jobcatsdetail.sub_cat_name}
												<!--<option value="{$jobcatsdetail.sub_cat_id}" {$jobsel}>{$jobcatsdetail.sub_cat_name} </option>-->
											{/foreach}
										{/if}
									</select>
								</td>
							</tr>		
							{/if}
							<!-- Description -->
							<tr>
								<td> Description (Required)</td>
								<td> <textarea name="description" id="description" rows="5" cols="30">{$smarty.post.description|default:$item_description|htmlspecialchars}</textarea>
								</td>								
							</tr>
							<!-- Description --> 
							{if $cat_code == 'JOB'}
							{assign var='hoursSel1' value=''}
							{assign var='hoursSel2' value=''}
							{if $hours == 'F'}
								{assign var='hoursSel1' value='checked'}
							{elseif $hours == 'P'}
								{assign var='hoursSel2' value='checked'}
							{else}	
								{assign var='hoursSel1' value='checked'}
							{/if}
							<tr>
							 <td>Hours <br> (required) </td><td><input name="hours" value="F" {$hoursSel1} type="radio"> Full-Time<input name="hours" value="P" {$hoursSel2} type="radio"> Part-Time</td>
							</tr>
							{/if}
							
							{if $cat_code == 'JOB'}
							<tr>
								<td>Other Stuff </td>
								<td>
									{if count($otherstuff) > 0}
										<table><tr>
											{foreach name=test from=$otherstuff key=k item=otherstuffdetail}
												{if $smarty.foreach.test.iteration % 4 == 1 and   $smarty.foreach.test.iteration > 1} </tr><tr> {/if}
												{assign var='otherstatus' value=''}
												{if count($selectedOtherStuff) > 0 }
 													{foreach name='otherstuff' from=$selectedOtherStuff key=id item=otherstuffvalue}
														{if $otherstuffdetail.detail_id == $otherstuffvalue}
															{assign var='otherstatus' value='checked'}
														{/if}
													{/foreach}
 												{/if}
												
												<td> <input type="checkbox" id='otherStuff[]' name='otherStuff[]' value="{$otherstuffdetail.detail_id}" {$otherstatus} /> {$otherstuffdetail.description} </td>
											{/foreach}
											</tr>
										</table>										
									{/if}
								</td>
							</tr>
							<tr>
								<td>
									Compensation 
								</td>
								
								<td>			
									<select name="compensation">
										{if count($compensation) > 0}
											{foreach from=$compensation key=k item=compensationdetail}
												{html_options selected=$compensation  values=$compensationdetail.detail_id  output=$compensationdetail.description}
												<!--<option value="{$compensationdetail.detail_id}">{$compensationdetail.description}</option>-->
											{/foreach}
										{/if}
									</select>
									Starting at <input name="amount" id="amount" maxlength="12" size="10" value="{$smarty.post.amount|default:$amount|htmlspecialchars}" type="text"> 
									<select id='currencyCode' name='currencyCode'>
									  {if count($currency_code) > 0 }
									  	{foreach from=$currency_code key=k item=currency_code_detail}
											{html_options selected=$currencyCode  values=$currency_code_detail.detail_id  output=$currency_code_detail.description}
											<!--<option value="{$currency_code_detail.detail_id}"> {$currency_code_detail.description} </option>-->
										{/foreach}
									  {/if}
									</select>
								</td>	
							</tr>
							{/if}

							
							<!-- FOR Bedrooms  RENTAL -->
							{if $cat_code == 'RENTAL' || $cat_code == 'REALESTATE' || $cat_code == 'REALESTATE' || $cat_code == 'SUBLET' || $cat_code == 'OTHERHOUSING' }
							<tr>
								<td>
									Bed rooms
								</td>
								<td>
									<select name="bedRooms" id="bedRooms">
										<option value="0"> 0 </option>
										{section name=test1 loop=8 }
											{assign var='bedsel' value=''}
											{if $smarty.section.test1.iteration == $bedRooms}
												{assign var='bedsel' value='selected'}
											{/if}
											<option value="{$smarty.section.test1.iteration}" {$bedsel}> {$smarty.section.test1.iteration} </option>
										{/section}
									</select>
								</td>
							</tr>
							<!-- For Bedrooms -->
							<tr>
								<td>
									Bath rooms
								</td>
								<td>
									<select name="bathRooms" id="bathRooms">
										<option value="0"> 0 </option>
										{section name=test1 loop=8 }
											{assign var='bedsel' value=''}
											{if $smarty.section.test1.iteration == $bathRooms}
												{assign var='bedsel' value='selected'}
											{/if}
											<option value="{$smarty.section.test1.iteration}" {$bedsel}> {$smarty.section.test1.iteration} </option>
										{/section}
									</select>
								</td>
							</tr>
							{/if}
							
							<!-- Conditon For Book, Furniture, Electronics,Car -->
							{if $cat_code == 'BOOK' || $cat_code == 'FURNITURE' || $cat_code == 'ELECTRONIC' || $cat_code == 'CAR'}
							<tr>
								<td> Condition </td>
								<td> 
									<select id='condition' name='condition'>
									  {if count($item_condition) > 0 }
									  	{foreach from=$item_condition key=k item=item_condition_detail}
										{html_options selected=$smarty.post.state|default:$condition  values=$item_condition_detail.detail_id  output=$item_condition_detail.description}
											<!--<option value="{$item_condition_detail.detail_id}"> {$item_condition_detail.description} </option>-->
										{/foreach}
									  {/if}
									</select>
								</td>								
							</tr>
							{/if}
							<!-- Conditon For Book, -->

							<!-- Price For Book, -->
							{if $cat_code != 'OTHERHOUSING' && $cat_code != 'FOUNDITEM' && $cat_code != 'EVERYTHING' && $cat_code != 'FREE' && $cat_code != 'JOB'}
							<tr>
								<td> Price/Rent/Amount </td>
								<td>
									<input name="amount" id="amount" maxlength="12" size="10" value="{$smarty.post.amount|default:$amount|htmlspecialchars}" type="text"> 
									<select id='currencyCode' name='currencyCode'>
									  {if count($currency_code) > 0 }
									  	{foreach from=$currency_code key=k item=currency_code_detail}
											{html_options selected=$currencyCode  values=$currency_code_detail.detail_id  output=$currency_code_detail.description}
											<!--<option value="{$currency_code_detail.detail_id}"> {$currency_code_detail.description} </option>-->
										{/foreach}
									  {/if}
									</select>
								</td>
							</tr>
							{/if}
							<!-- Price For Book, -->
														
							{if $cat_code == 'RENTAL' || $cat_code == 'REALESTATE' || $cat_code == 'REALESTATE' || $cat_code == 'SUBLET' || $cat_code == 'OTHERHOUSING' }
							<tr>
								<td> Street </td>
								<td>
									<input name="street" id="street" maxlength="200" size="50" value="{$smarty.post.street|default:$street|htmlspecialchars}" type="text">
								</td>
							</tr>
							<tr>
								<td>Cross Street </td>
								<td>
									<input name="crossStreet" id="crossStreet" maxlength="200" size="50" value="{$smarty.post.crossStreet|default:$crossStreet|htmlspecialchars}" type="text">
								</td>
							</tr>
							<tr><td>Postal Code </td>
								<td>
									<input name="postalCode" id="postalCode" maxlength="200" size="15" value="{$smarty.post.postalCode|default:$postalCode|htmlspecialchars}" type="text">
								</td>
							</tr>
							<tr>
								<td>Square Footage </td>
								<td><input name="squareFeet" id="squareFeet" maxlength="20" size="20" value="{$smarty.post.squareFeet|default:$squareFeet|htmlspecialchars}" type="text"></td>
							</tr>							
							{/if}
							
							{if $cat_code == 'RENTAL' || $cat_code == 'REALESTATE' || $cat_code == 'REALESTATE' || $cat_code == 'SUBLET' || $cat_code == 'OTHERHOUSING' }
							<tr>
								<td> Allowed </td>
								<td> 
									{if count($allowed) > 0}
										<table><tr>
											{foreach name=test from=$allowed key=k item=alloweddetail}
												{if $smarty.foreach.test.iteration % 4 == 1 and   $smarty.foreach.test.iteration > 1} </tr><tr> {/if}
												{assign var='chekstatus' value=''}
												{if count($selectedAllowables) > 0 }
													{foreach name='listednt' from=$selectedAllowables key=id item=value}
														{if $alloweddetail.detail_id == value}
															{assign var='chekstatus' value='checked'}
														{/if}
													{/foreach}
												{/if}
												 
												<td> <input type="checkbox" id='chkAllowed[]' name='chkAllowed[]' value="{$alloweddetail.detail_id}" {$chekstatus}/> {$alloweddetail.description} </td>
											{/foreach}
											</tr>
										</table>										
									{/if}
								</td>
							</tr>	
							{/if}
							
							{if $cat_code == 'BOOK'}							
							<!-- ISBN For Book, -->
							<tr>
								<td> ISBN </td><td><input name="isbn" id="isbn" maxlength="100" size="20" value="{$smarty.post.isbn|default:$isbn|htmlspecialchars}" type="text"> (eg. 978-0545010221 or 0545010225)</td>							
							</tr>							
							<!-- ISBN For Book, -->
							{/if} <!-- Profileflag -->
							<tr>
							{assign var='flagstatus' value=''}
							{if $profileFlag == 'Y' && $action == 'edit'}
								{assign var='flagstatus' value='checked'}
							{elseif  $action == 'create'}
								{assign var='flagstatus' value='checked'}	
							{/if}
							<td>Profile List</td><td><input name="profileFlag" id="profileFlag" value="Y" type="checkbox" {$flagstatus}> Add this listing to my profile</td>
							</tr>
							<!-- Profileflag --> <tr>
								<td> List where (Required) </td> 
								<td>
									<!-- Network Lists -->
									{if count($networks) > 0}
										<table><tr>
											{foreach name=test from=$networks key=k item=networksdetail}
												{if $smarty.foreach.test.iteration % 3 == 1 and   $smarty.foreach.test.iteration > 1} </tr><tr> {/if} 
												{assign var='chekstatus' value=''}
												{if count($listedNetworks) > 0 }
													{foreach name='listednt' from=$listedNetworks key=id item=listednetworksdetail}
														{if $listednetworksdetail.network_id == $networksdetail.network_id}
															{assign var='chekstatus' value='checked'}
														{/if}
													{/foreach}
												{/if}
												<td> <input type="checkbox" id='listnetworks[]' name='listnetworks[]' value="{$networksdetail.network_id}"  {$chekstatus}/> {$networksdetail.network_name} </td>
											{/foreach}
											</tr>
										</table>										
									{/if}
									<!-- Network Lists -->
								</td>
							</tr> <!-- Privacy -->
							<tr>
							{assign var='flagstatus' value=''}
							{if $privacy == 'Y'}
								{assign var='flagstatus' value='checked'}
							{elseif  $action == 'create'}
								{assign var='flagstatus' value='checked'}	
							{/if}
							
								<td>Privacy </td><td><input name="privacy" id="privacy" value="Y" {$flagstatus} type="checkbox">Let people outside of the selected networks above view this listing</td>							
							</tr>
							<!-- Privacy --> 
							{if count($listedPhotos) > 0}
								<tr>
									<td> 
										&nbsp;
									</td>
									<td>
										<table>
										<tr>
											{foreach name='listphotos' from=$listedPhotos key=k item=listphotosdetail}
											{if $smarty.foreach.listphotos.iteration % 3 == 1 and   $smarty.foreach.listphotos.iteration > 1} </tr><tr> {/if}
												{if $mode == 'list'}
													<td id='{$mode}_{$listphotosdetail.photo_id}'> <img width="50" src='{$listURL}{$listphotosdetail.list_id}_{$listphotosdetail.photo_id}.{$listphotosdetail.file_name}' border="0" alt='listimages'> <br /> <a href="javascript:void(0);" onClick="javascript:removePhoto('{$mode}',{$listphotosdetail.list_id},{$listphotosdetail.photo_id},'{$listphotosdetail.file_name}');"> Remove </a> </td>
												{else}
													<td id='{$mode}_{$listphotosdetail.photo_id}'> <img width="50" src='{$wantURL}{$listphotosdetail.list_id}_{$listphotosdetail.photo_id}.{$listphotosdetail.file_name}' border="0" alt='listimages'> <br /><a href="javascript:void(0);" onClick="javascript:removePhoto('{$mode}',{$listphotosdetail.list_id},{$listphotosdetail.photo_id},'{$listphotosdetail.file_name}');">  Remove </a> </td>
												{/if}												
											{/foreach}
										</tr>
										</table>
									</td>
								</tr>
							{/if}
							<tr>
								<td>
									Photo(s)
								</td>
								<td>
									<small>(Allowed formats jpeg, gif, png and bmp - max file size is 4MB)</small> 
									<div id='files1' style='display:block'>
									<input type='file'   id='file1'   name='file1'  onchange="javascript:document.getElementById('files2').style.display='block'" > 
									</div>								
									<div id='files2' style='display:none'>
									<input type='file'   id='file2'   name='file2'  onchange="javascript:document.getElementById('files3').style.display='block'" > 
									</div>
									<div id='files3' style='display:none'>
									<input type='file'   id='file3'   name='file3'  onchange="javascript:document.getElementById('files4').style.display='block'" > 
									</div>
									<div id='files4' style='display:none'>
									<input type='file'   id='file4'   name='file4'  onchange="javascript:document.getElementById('files5').style.display='block'" > 
									</div>
									<div id='files5' style='display:none'>
									<input type='file'   id='file5'   name='file5'> 
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="2">
									<input type="submit" name="btnList" id="btnList" value = "Save Listing" />
									<input type="button" name="btnList" id="btnList" value = "Cancel" onclick="window.location.href='{$base_url}/marketplace/';" />
								</td>
							</tr>
						</table> 	
						<!-- main form starts here -->						
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</form>
<!-- Footer template file -->
{include file="footer.tpl"}
