<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript">
	var autoComplete = 0;
</script>
<script type="text/javascript" src="{$app_url}scripts/marketplace.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div class="clearAfter" id="grayBoxMain">
		<!-- gray start  -->
		<!-- empty don't delete -->
		<div id="postedItems">
			<ul class="clearAfter">
				<li><a href="{$base_url}marketplace/home/">{$lang->line('market_label_marketplace')} {$lang->line('market_label_home')}</a></li>
			</ul>
		</div>		
		<!-- gray end -->
	</div>
	<div class="mainInnerCommon postedItems"  >
		<div >
			<div id="mainPageTitle" class="marketTitle">
				<p class="marketPlaceIcon">{$lang->line('market_label_marketplace')} >
					{if $mode == 'list'} <a class="redNormalLink smallFontSize" href="{$base_url}marketplace/addListing/list"> {$lang->line('market_label_listing')} </a> {else} <a class="redNormalLink smallFontSize" href="{$base_url}marketplace/addListing/want"> {$lang->line('market_label_wanted')} </a> {/if}   
					>
					{if $cat_code == 'JOB' || $cat_code == 'FREE'}					 
					{if $mode == 'list'} 
					{$catInfo.cat_name}  
					{else}
					{$catInfo.cat_alias_name} 
					{/if}
					{else}	
					
					{if $mode == 'list'} <a class="redNormalLink smallFontSize" href="{$base_url}marketplace/showSubcat/{$catInfo[0].cat_id}/{$mode}/"> {$catInfo[0].cat_name} </a> {else} <a class="redNormalLink smallFontSize" href="{$base_url}marketplace/showSubcat/{$catInfo[0].cat_id}/{$mode}/"> {$catInfo[0].cat_alias_name} </a> {/if}
					> {$catInfo[0].sub_cat_name} 	 
					{/if} </p>
			</div>
		</div>
		<div id="listBox" class="topSpace" >
			<div id="listBoxInner" class="clearAfter">
				<div id="mrktPlcList">
					{if $validationError}
						<div id="errorMsg">
							<div class="alertInfo">
								{$validationError}
							</div>
						</div>
					{/if}
					<form name="marketplaceItemFrm" id="marketplaceItemFrm" method="post" action="" enctype="multipart/form-data" >
					<input type="hidden" name="hdnMode" id="hdnMode" value="{$smarty.post.hdnMode|default:$mode|htmlspecialchars}" />
					<input type="hidden" name="hdnAction" id="hdnAction" value="{$smarty.post.hdnAction|default:$action|htmlspecialchars}" />
					<input type="hidden" name="hdnCatcode" id="hdnCatcode" value="{$smarty.post.hdnCatcode|default:$cat_code|htmlspecialchars}" />
					<input type="hidden" name="hdnListId" id="hdnListId" value="{$listId}" />
					<table class="allTable" border="0" cellspacing="0" cellpadding="0">
						<!-- Title -->
						<tr>
							<td>{$lang->line('market_label_title')}  ({$lang->line('market_label_required')})</td>
							<td><input name="title" id="title" maxlength="200" size="30" value="{$smarty.post.title|default:$item_title|htmlspecialchars}" type="text" >
							</td>
						</tr>
						<!-- Title -->
						{if $cat_code == 'JOB'}
						<tr>
							<td>{$lang->line('market_label_job_type')} ({$lang->line('market_label_required')})</td>
							<td><select name="jobType" id="jobType">
								{if count($jobcats) > 0}
									{foreach from=$jobcats key=k item=jobcatsdetail}
										{html_options selected=$smarty.post.jobType|default:$jobType  values=$jobcatsdetail.sub_cat_id  output=$jobcatsdetail.sub_cat_name}
										
							<!--<option value="{$jobcatsdetail.sub_cat_id}" {$jobsel}>{$jobcatsdetail.sub_cat_name} </option>-->
							
									{/foreach}
								{/if}
								</select>
							</td>
						</tr>
						{/if}
						<!-- Description -->
						<tr>
							<td>{$lang->line('market_label_description')} ({$lang->line('market_label_required')})</td>
							<td><textarea name="description" id="description" rows="5" cols="30">{$smarty.post.description|default:$item_description|htmlspecialchars}</textarea>
							</td>
						</tr>
						<!-- Description -->
						{if $cat_code == 'JOB'}
						{assign var='hoursSel1' value=''}
						{assign var='hoursSel2' value=''}
						{if $hours == 'F'}
							{assign var='hoursSel1' value='checked'}
						{elseif $hours == 'P'}
							{assign var='hoursSel2' value='checked'}
						{else}	
							{assign var='hoursSel1' value='checked'}
						{/if}
						<tr>
							<td>{$lang->line('market_label_hours')} <br>
								({$lang->line('market_label_required')}) </td>
							<td><input name="hours" value="F" {$hoursSel1} type="radio">
								{$lang->line('market_label_full_time')}
								<input name="hours" value="P" {$hoursSel2} type="radio">
								{$lang->line('market_label_part_time')}</td>
						</tr>
						{/if}
						
						{if $cat_code == 'JOB'}
						<tr>
							<td>{$lang->line('market_label_other')} {$lang->line('market_label_stuff')}</td>
							<td>{if count($otherstuff) > 0}
								<table>
									<tr> {foreach name=test from=$otherstuff key=k item=otherstuffdetail}
										{if $smarty.foreach.test.iteration % 4 == 1 and   $smarty.foreach.test.iteration > 1} </tr>
									<tr> {/if}
										{assign var='otherstatus' value=''}
										{if count($selectedOtherStuff) > 0 }
										{foreach name='otherstuff' from=$selectedOtherStuff key=id item=otherstuffvalue}
										{if $otherstuffdetail.detail_id == $otherstuffvalue}
											{assign var='otherstatus' value='checked'}
										{/if}
										{/foreach}
										{/if}
										<td><input type="checkbox" id='otherStuff[]' name='otherStuff[]' value="{$otherstuffdetail.detail_id}" {$otherstatus} />
											{$otherstuffdetail.description} </td>
										{/foreach} </tr>
								</table>
								{/if} </td>
						</tr>
						<tr>
							<td>{$lang->line('market_label_compensation')}</td>
							<td><select name="compensation">
									
										{if count($compensation) > 0}
											{foreach from=$compensation key=k item=compensationdetail}
												{html_options selected=$compensation  values=$compensationdetail.detail_id  output=$compensationdetail.description}
												
									<!--<option value="{$compensationdetail.detail_id}">{$compensationdetail.description}</option>-->
									
											{/foreach}
										{/if}
									
								</select>
								{$lang->line('market_label_starting')} {$lang->line('market_label_at')}
								<input name="amount" id="amount" maxlength="12" size="10" value="{$smarty.post.amount|default:$amount|htmlspecialchars}" type="text">
								<select id='currencyCode' name='currencyCode'>
									
									  {if count($currency_code) > 0 }
									  	{foreach from=$currency_code key=k item=currency_code_detail}
											{html_options selected=$currencyCode  values=$currency_code_detail.detail_id  output=$currency_code_detail.description}
											
									<!--<option value="{$currency_code_detail.detail_id}"> {$currency_code_detail.description} </option>-->
									
										{/foreach}
									  {/if}
									
								</select>
							</td>
						</tr>
						{/if}
						<!-- FOR Bedrooms  RENTAL -->
						{if $cat_code == 'RENTAL' || $cat_code == 'REALESTATE' || $cat_code == 'REALESTATE' || $cat_code == 'SUBLET' || $cat_code == 'OTHERHOUSING' }
						<tr>
							<td> {$lang->line('market_label_bed_rooms')} </td>
							<td><select name="bedRooms" id="bedRooms">
									<option value="0"> 0 </option>
									
										{section name=test1 loop=8 }
											{assign var='bedsel' value=''}
											{if $smarty.section.test1.iteration == $bedRooms}
												{assign var='bedsel' value='selected'}
											{/if}
											
									<option value="{$smarty.section.test1.iteration}" {$bedsel}> {$smarty.section.test1.iteration} </option>
									
										{/section}
									
								</select>
							</td>
						</tr>
						<!-- For Bedrooms -->
						<tr>
							<td>{$lang->line('market_label_bath_rooms')}</td>
							<td><select name="bathRooms" id="bathRooms">
									<option value="0"> 0 </option>
									
										{section name=test1 loop=8 }
											{assign var='bedsel' value=''}
											{if $smarty.section.test1.iteration == $bathRooms}
												{assign var='bedsel' value='selected'}
											{/if}
											
									<option value="{$smarty.section.test1.iteration}" {$bedsel}> {$smarty.section.test1.iteration} </option>
									
										{/section}
									
								</select>
							</td>
						</tr>
						{/if}
						<!-- Conditon For Book, Furniture, Electronics,Car -->
						{if $cat_code == 'BOOK' || $cat_code == 'FURNITURE' || $cat_code == 'ELECTRONIC' || $cat_code == 'CAR'}
						<tr>
							<td>{$lang->line('market_label_condition')}</td>
							<td><select id='condition' name='condition'>
								  {if count($item_condition) > 0 }
									{foreach from=$item_condition key=k item=item_condition_detail}
									{html_options selected=$smarty.post.state|default:$condition  values=$item_condition_detail.detail_id  output=$item_condition_detail.description}
										
								<!--<option value="{$item_condition_detail.detail_id}"> {$item_condition_detail.description} </option>-->
								
									{/foreach}
								  {/if}
								</select>
							</td>
						</tr>
						{/if}
						<!-- Conditon For Book, -->
						<!-- Price For Book, -->
						{if $cat_code != 'OTHERHOUSING' && $cat_code != 'FOUNDITEM' && $cat_code != 'EVERYTHING' && $cat_code != 'FREE' && $cat_code != 'JOB'}
						<tr>
							<td>{$lang->line('market_label_price')}/{$lang->line('market_label_rent')}/{$lang->line('market_label_amount')}</td>
							<td><input name="amount" id="amount" maxlength="12" size="10" value="{$smarty.post.amount|default:$amount|htmlspecialchars}" type="text">
								<select id='currencyCode' name='currencyCode'>
									
									  {if count($currency_code) > 0 }
									  	{foreach from=$currency_code key=k item=currency_code_detail}
											{html_options selected=$currencyCode  values=$currency_code_detail.detail_id  output=$currency_code_detail.description}
											
									<!--<option value="{$currency_code_detail.detail_id}"> {$currency_code_detail.description} </option>-->
									
										{/foreach}
									  {/if}
									
								</select>
							</td>
						</tr>
						{/if}
						<!-- Price For Book, -->
						{if $cat_code == 'RENTAL' || $cat_code == 'REALESTATE' || $cat_code == 'REALESTATE' || $cat_code == 'SUBLET' || $cat_code == 'OTHERHOUSING' }
						<tr>
							<td> {$lang->line('market_label_street')} </td>
							<td><input name="street" id="street" maxlength="200" size="50" value="{$smarty.post.street|default:$street|htmlspecialchars}" type="text">
							</td>
						</tr>
						<tr>
							<td>{$lang->line('market_label_cross_street')} </td>
							<td><input name="crossStreet" id="crossStreet" maxlength="200" size="50" value="{$smarty.post.crossStreet|default:$crossStreet|htmlspecialchars}" type="text">
							</td>
						</tr>
						<tr>
							<td>{$lang->line('market_label_postal_code')} </td>
							<td><input name="postalCode" id="postalCode" maxlength="200" size="15" value="{$smarty.post.postalCode|default:$postalCode|htmlspecialchars}" type="text">
							</td>
						</tr>
						<tr>
							<td>{$lang->line('market_label_square_footage')} </td>
							<td><input name="squareFeet" id="squareFeet" maxlength="20" size="20" value="{$smarty.post.squareFeet|default:$squareFeet|htmlspecialchars}" type="text"></td>
						</tr>
						{/if}
						
						{if $cat_code == 'RENTAL' || $cat_code == 'REALESTATE' || $cat_code == 'REALESTATE' || $cat_code == 'SUBLET' || $cat_code == 'OTHERHOUSING' }
						<tr>
							<td> {$lang->line('market_label_allowed')} </td>
							<td> {if count($allowed) > 0}
								<table>
									<tr> {foreach name=test from=$allowed key=k item=alloweddetail}
										{if $smarty.foreach.test.iteration % 4 == 1 and   $smarty.foreach.test.iteration > 1} </tr>
									<tr> {/if}
										{assign var='chekstatus' value=''}
										{if count($selectedAllowables) > 0 }
										{foreach name='listednt' from=$selectedAllowables key=id item=value}
										{if $alloweddetail.detail_id == $value}
											{assign var='chekstatus' value='checked'}
										{/if}
										{/foreach}
										{/if}
										<td><input type="checkbox" id='chkAllowed[]' name='chkAllowed[]' value="{$alloweddetail.detail_id}" {$chekstatus}/>
											{$alloweddetail.description} </td>
										{/foreach} </tr>
								</table>
								{/if} </td>
						</tr>
						{/if}
						
						{if $cat_code == 'BOOK'}
						<!-- ISBN For Book, -->
						<tr>
							<td> {$lang->line('market_label_isbn')} </td>
							<td><input name="isbn" id="isbn" maxlength="100" size="20" value="{$smarty.post.isbn|default:$isbn|htmlspecialchars}" type="text">
								(eg. 978-0545010221 or 0545010225)</td>
						</tr>
						<!-- ISBN For Book, -->
						{/if}
						<!-- Profileflag -->
						<tr> {assign var='flagstatus' value=''}
							{if $profileFlag == 'Y' && $action == 'edit'}
							{assign var='flagstatus' value='checked'}
							{elseif  $action == 'create'}
							{assign var='flagstatus' value='checked'}	
							{/if}
							<td>Profile List</td>
							<td><input name="profileFlag" id="profileFlag" value="Y" type="checkbox" {$flagstatus}>
								{$lang->line('market_label_add_this_listing_to_my_profile')}</td>
						</tr>
						<!-- Profileflag -->
						<tr>
							<td>{$lang->line('market_label_where')} ({$lang->line('market_label_required')})</td>
							<td><!-- Network Lists -->
								{if count($networks) > 0}
								{foreach name=test from=$networks key=k item=networksdetail}
									{assign var='chekstatus' value=''}
									{if count($listedNetworks) > 0 }
										{foreach name='listednt' from=$listedNetworks key=id item=listednetworksdetail}
											{if $listednetworksdetail.network_id == $networksdetail.network_id}
												{assign var='chekstatus' value='checked'}
											{/if}
											{if $action == 'edit'}
												
											{/if}
										{/foreach}
									{/if}
									<p>
									<input type="checkbox" id='listnetworks[]' name='listnetworks[]' value="{$networksdetail.network_id}"  {$chekstatus}/>
									{$networksdetail.network_name}
									</p>
									<br />
								{/foreach}
								{/if}
								<!-- Network Lists -->
							</td>
						</tr>
						<!-- Privacy -->
						<tr> {assign var='flagstatus' value=''}
							{if $privacy == 'Y'}
							{assign var='flagstatus' value='checked'}
							{elseif  $action == 'create'}
							{assign var='flagstatus' value='checked'}	
							{/if}
							<td>{$lang->line('market_label_privacy')} </td>
							<td><input name="privacy" id="privacy" value="Y" {$flagstatus} type="checkbox">
								{$lang->line('market_label_privacy_hint')}</td>
						</tr>
						<!-- Privacy -->
						{if count($listedPhotos) > 0}
						<tr>
							<td>&nbsp;</td>
							<td><table>
									<tr> {foreach name='listphotos' from=$listedPhotos key=k item=listphotosdetail}
										{if $smarty.foreach.listphotos.iteration % 3 == 1 and   $smarty.foreach.listphotos.iteration > 1} </tr>
									<tr> {/if}
										{if $mode == 'list'}
										<td id='{$mode}_{$listphotosdetail.photo_id}'><img width="50" src='{$listURL}{$listphotosdetail.list_id}_{$listphotosdetail.photo_id}.{$listphotosdetail.file_name}' border="0" alt='listimages'> <br />
											<a href="javascript:void(0);" onClick="javascript:removePhoto('{$mode}',{$listphotosdetail.list_id},{$listphotosdetail.photo_id},'{$listphotosdetail.file_name}');"> {$lang->line('market_label_remove')} </a> </td>
										{else}
										<td id='{$mode}_{$listphotosdetail.photo_id}'><img width="50" src='{$wantURL}{$listphotosdetail.list_id}_{$listphotosdetail.photo_id}.{$listphotosdetail.file_name}' border="0" alt='listimages'> <br />
											<a href="javascript:void(0);" onClick="javascript:removePhoto('{$mode}',{$listphotosdetail.list_id},{$listphotosdetail.photo_id},'{$listphotosdetail.file_name}');"> {$lang->line('market_label_remove')} </a> </td>
										{/if}												
										{/foreach} </tr>
								</table></td>
						</tr>
						{/if}
						<tr>
							<td> {$lang->line('market_label_list_photos')} &nbsp; </td>
							<td><small>({$lang->line('market_label_file_upload_hint')})</small>
								<div id='files1' style='display:block'>
									<input type='file'   id='file1'   name='file1' onkeypress="javascript:document.getElementById('btnList').focus();"  onkeyup="javascript:document.getElementById('btnList').focus();" onkeydown="javascript:document.getElementById('btnList').focus();"  onchange="javascript:document.getElementById('files2').style.display='block'" >
								</div>
								<div id='files2' style='display:none'>
									<input type='file'   id='file2'   name='file2' onkeypress="javascript:document.getElementById('btnList').focus();"  onkeyup="javascript:document.getElementById('btnList').focus();" onkeydown="javascript:document.getElementById('btnList').focus();"  onchange="javascript:document.getElementById('files3').style.display='block'" >
								</div>
								<div id='files3' style='display:none'>
									<input type='file'   id='file3'   name='file3' onkeypress="javascript:document.getElementById('btnList').focus();"  onkeyup="javascript:document.getElementById('btnList').focus();" onkeydown="javascript:document.getElementById('btnList').focus();"  onchange="javascript:document.getElementById('files4').style.display='block'" >
								</div>
								<div id='files4' style='display:none'>
									<input type='file'   id='file4'   name='file4' onkeypress="javascript:document.getElementById('btnList').focus();"  onkeyup="javascript:document.getElementById('btnList').focus();" onkeydown="javascript:document.getElementById('btnList').focus();"  onchange="javascript:document.getElementById('files5').style.display='block'" >
								</div>
								<div id='files5' style='display:none'>
									<input type='file'   id='file5' onkeypress="javascript:document.getElementById('btnList').focus();"  onkeyup="javascript:document.getElementById('btnList').focus();" onkeydown="javascript:document.getElementById('btnList').focus();"   name='file5'>
								</div></td>
						</tr>
						<tr>
							<td colspan="2">&nbsp;</td>
						</tr>
						{if $action != 'edit'}
						<tr>
							<td>&nbsp;  </td>
							<td>
								 <input  class="floatLeft" type="image" name="btnList" id="btnList" value="Save Listing" src="{$app_url}images/{$language}/add.jpg" />
								 <a href="{$base_url}marketplace/"><img src="{$app_url}images/{$language}/cancelBtn.jpg"  border="0" /></a>
							</td>
						</tr>
						{else}
						<tr>
							<td>&nbsp;  </td>						
							<td>			 
								<input  class="floatLeft" type="image" name="btnList" id="btnList" value="Save Listing" src="{$app_url}images/{$language}/saveBtn.jpg" />
								<a  href="{$base_url}marketplace/"><img src="{$app_url}images/{$language}/cancelBtn.jpg"  border="0" /></a>
							</td>
						</tr>
						{/if}
					</table>
					</form>
				</div>
			</div>
		</div>
	</div>
	<!-- posted item end overall with two coloum -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"} 