<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/wall.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<div id="grayBoxInner">
			<div id="placeName">{$networkDetails.network_name}</div>
			<div class="topSpaceSmall">
				<p class="rightText">
					<!-- <input name="" class="textBox" type="text" /> -->
				</p>
			</div>
		</div>
	</div>
	<div id="profileInner" class="clearAfter" >
		<div id="prflPhotoCol" >
			<div id="prflTitle">
				<h3>{$lang->line('network_info')}</h3>
			</div>
			<div id="netwrkInfo" class="topSpace">
				<ul class="clearAfter">
					<li class="floatLeft">
						<p><span class="grayText">{$lang->line('network_members')}:</span></p>
					</li>
					<li class="floatRight">
						<p>{$totalMembersCount}</p>
					</li>
					<li class="floatLeft clrLeft"><span class="grayText">{$lang->line('network_type')}:</span></li>
					<li class="floatRight">
						<p>{$networkDetails.network_type|ucfirst}</p>
					</li>
				</ul>
			</div>
			
			<div id="photoBtmLink" class="topSpace">
				<div id="confirmJoinLeave" style="display:none;">
					<div id="comnMsgSlim">
						<div class="alertInfoSlim">
							<form id="confirmFrm" name="confirmFrm" method="post" action="">
							{$lang->line('network_sure')} ?
							<br /><br />
							<input type="image" src="{$app_url}images/{$language}/confirmBtn.jpg"/>
							<img src="{$app_url}images/{$language}/cancelBtn.jpg" onclick="javascript: $('#confirmJoinLeave').hide();" />
							</form>
						</div>
					</div>
				</div>
				{if $joined == 0}
				<p><a href="javascript: void(0);" onclick="javascript: $('#confirmFrm').attr('action', '{$base_url}network/join/{$networkDetails.network_id}'); $('#confirmJoinLeave').show('slow');">{$lang->line('network_join')}</a></p>
				{/if}
				<p><a href="{$base_url}network">{$lang->line('network_browse_all')}</a></p>
				<p><a href="#discussionboard">{$lang->line('network_view_db')}</a></p>
				{if $joined != 0}
				<p><a  href="javascript: void(0);" onclick="javascript: $('#confirmFrm').attr('action', '{$base_url}network/leave/{$networkDetails.network_id}'); $('#confirmJoinLeave').show('slow');">{$lang->line('network_leave')}</a></p>
				{/if}
			</div>
			
			  <!--market place DIV-->
			<div id="prflFriendsList" class="profileLeftBox clearAfter">
				<div id="prflTitle">
					<h3>{$lang->line('network_groups')}</h3>
				</div>
				<div class="clearAfter">
					<div class="floatLeft"><a  class="redNormalLink tDN" href="{$base_url}groups/managegroups/">{$lang->line('network_create_group')}</a></div>
					{if $resultscountgroup > 0}
					<div class="floatRight"><a class="redNormalLink tDN" href="{$base_url}groups/browse/{$group_network}/">{$lang->line('network_see_all')}</a></div>
					{/if}
				</div>
				{if $resultscountgroup > 0}
					{foreach from=$resultgroups key=k item=detail}									
						<div id="netWMrktPlace" class="clearAfter smallFontSize topSpaceSmall">
							<div class="netWMrktBox">
								<div class="floatLeft"><img src="{$detail.avatar}" width="50" height="50" /></div>
								<div class="clearAfter">
									<p><a class="redNormalLink tDN" href="{$base_url}groups/view/{$detail.group_id}/">{$detail.group_name|htmlspecialchars|truncate:20:"...":true}</a></p>
									<p class="grayText">{$lang->line('network_admin')} : <a class="redNormalLink tDN" href="{$base_url}profile/{$detail.group_owner}/">{$detail.owner_name|htmlspecialchars|truncate:20:"...":true}</a></p>
									<p class="grayText">{$lang->line('network_created_on')} :{$detail.date_added} </p>
								</div>
								<hr />
							</div>
						</div>
					{/foreach}
				{else}
					<p>
						 {$lang->line('network_no_groups')}..... 
					</p>
				{/if}
			</div>

			<div id="prflFriendsList" class="profileLeftBox clearAfter">
				<div id="prflTitle">
					<h3>{$lang->line('network_events')}</h3>
				</div>
				<div class="clearAfter">
					<div class="floatLeft"><a  class="redNormalLink tDN" href="{$base_url}events/manageevents/">{$lang->line('network_create_event')}</a></div>
					{if $resultscountevent > 0}
					<div class="floatRight"><a class="redNormalLink tDN" href="{$base_url}events/browse/{$event_network}/">{$lang->line('network_see_all')}</a></div>
					{/if}
				</div>
				{if $resultscountevent > 0}
					{foreach from=$resultevents key=k item=detail}									
						<div id="netWMrktPlace" class="clearAfter smallFontSize topSpaceSmall">
							<div class="netWMrktBox">
								<div class="floatLeft"><img src="{$detail.avatar}" width="50" height="50" /></div>
								<div class="clearAfter">
									<p><a class="redNormalLink tDN" href="{$base_url}events/view/{$detail.event_id}/">{$detail.event_name|htmlspecialchars|truncate:20:"...":true}</a></p>
									<p class="grayText">{$lang->line('network_admin')} : <a class="redNormalLink tDN" href="{$base_url}profile/{$detail.event_owner}/">{$detail.owner_name|htmlspecialchars|truncate:20:"...":true}</a></p>
									<p class="grayText">{$lang->line('network_created_on')} :{$detail.date_added} </p>
								</div>
								<hr />
							</div>
						</div>
					{/foreach}
				{else}
					<p>
						 {$lang->line('network_no_events')}..... 
					</p>
				{/if}
			</div>
<div id="prflFriendsList" class="profileLeftBox clearAfter">
				<div id="prflTitle">
					<h3>{$lang->line('network_marketplace')}</h3>
				</div>
				<div class="clearAfter">
					<div class="floatLeft"><a  class="redNormalLink tDN" href="{$base_url}marketplace/addListing/">{$lang->line('network_new_listing')}</a></div>
					{if $resultscountmarket > 0}
					<div class="floatRight"><a class="redNormalLink tDN" href="{$base_url}marketplace/home/{$event_network}/">{$lang->line('network_see_all')}</a></div>
					{/if}
				</div>
				{if $resultscountmarket > 0}
					{foreach from=$resultmarket key=k item=detail}									
						<div id="netWMrktPlace" class="clearAfter smallFontSize topSpaceSmall">
							<div class="netWMrktBox">
								<div class="floatLeft"><img src="{$detail.avatar}" width="50" height="50" /></div>
								<div class="clearAfter">
									<p><a class="redNormalLink tDN" href="{$base_url}marketplace/show/{$detail.list_id}/{$detail.tag_id}/{$detail.list_type}/">{$detail.item_title|htmlspecialchars|truncate:20:"...":true}</a></p>
									<p class="grayText">{$lang->line('network_listed_by')} : <a class="redNormalLink tDN" href="{$base_url}profile/{$detail.user_id}/">{$detail.username|htmlspecialchars|truncate:20:"...":true}</a></p>
									<p class="grayText">{$lang->line('network_listed_on')} :{$detail.date_created} </p>
								</div>
								<hr />
							</div>
						</div>
					{/foreach}
				{else}
					<p>
						 {$lang->line('network_no_listing')}..... 
					</p>
				{/if}
			</div>			 
			 
			 
			<!--  network stats DIV
			<div id="prflPostedItem" class="profileLeftBox clearAfter">
				<div id="prflTitle">
					<h3>Network Statistics</h3>
				</div>
				<div id="netWStat">
					<p class="boldText">Top Books</p>
					<ul class="topSpaceSmall">
						<li>Top Books</li>
						<li>The Da Vinci Code</li>
						<li>Lotr</li>
						<li>Lord Of The Rings</li>
						<li>1984</li>
						<li>Angels And Demons</li>
						<li>The Kite Runner</li>
						<li>The Hobbit</li>
						<li>Catcher In The Rye</li>
					</ul>
				</div>
				<div class="topSpaceSmall rightText"><a  class="redNormalLink tDN" href="#">See more stats</a></div>
			</div>
			-->
		</div>
		<div id="prflInfoCol">
			<div class=" prflRightBox">
				<!-- information -->
				<div id="prflTitle">
					<h3>{$lang->line('network_people_in')} {$networkDetails.network_name}</h3>
				</div>
				<div class="prflRightInBox">
					<div class="clearAfter">
						<div class="floatLeft">
							<p>
							{if $totalMembersCount > 0}
								{$lang->line('network_displaying')} {$membersCount} {$lang->line('network_of')} {$totalMembersCount} {$lang->line('network_people')}.
							{else}
								{$lang->line('network_no_peoples')}.
							{/if}
							</p>
						</div>
						<div class="floatRight">
							{if $totalMembersCount > 0}
							<form id="networkMemberSearch" name="networkMemberSearch" method="post" action="{$base_url}search/all/peoples" >
							<input type="hidden" name="networkId" id="networkId" value="{$networkDetails.network_id}" />
							</form>
							<!-- <a class="grayText tDN" href="{$base_url}">{$lang->line('network_search')}</a>
							| -->
							<a class="redNormalLink tDN cursorBtn" onclick="javascript: $('#networkMemberSearch').submit();">{$lang->line('network_browse')}</a>							
							{/if}
						</div>
					</div>
					{if $totalMembersCount > 0}
					<div id="placePeplPhoto" class="topSpaceSmall">
						<ul class="clearAfter">
							{foreach from=$members key=userId item=memberRow}
							<li>
								<a href="{$base_url}profile/{$userId}"><img src="{$memberRow.user_avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}"/></a>
								<p><a href="{$base_url}profile/{$userId}">{$memberRow.username|htmlspecialchars|truncate:12:"...":true}</a></p>
							</li>
							{/foreach}
						</ul>
					</div>
					{/if}
				</div>
			</div>
			
			<!-- Events DIV
			<div class="prflRightBox" >
				<div id="prflTitle">
					<h3>Upcoming Events</h3>
				</div>
				<div class="prflRightInBox">
					<div class="clearAfter">
						<div class="floatLeft">
							<p>Displaying 5 of <a  class="redNormalLink tDN" href="#">16 events</a> occurring today.</p>
						</div>
						<div class="floatRight"><a class="redNormalLink tDN" href="#">see all</a></div>
					</div>
					<div id="netWeventInfo" class="topSpaceSmall" >
						<div>
							<div class="upComInfoDiv clearAfter">
								<div class="floatLeft">
									<p class="boldText grayText">Nov 26</p>
								</div>
								<div id="cldrBtn" class="floatRight">
									<input name="" class="cursorBtn" type="image" src="images/calendarBtn.jpg" />
								</div>
							</div>
							<div class="upComInfoDiv clearAfter">
								<div>
									<p><a class="redNormalLink tDN" href="#">AGF vs. FCN</a> @ NRGi Park</p>
									<p>Mon Nov 26 from 7:00 pm to 9:00 pm</p>
								</div>
							</div>
							<div class="upComInfoDiv clearAfter">
								<div>
									<p><a class="redNormalLink tDN" href="#">Inspirationsaften "Enneagrammet - indsigt -
										udvikling - trivsel" </a><span class="boldText"> @ UdviklingSvej</span></p>
									<p>Mon Nov 26 from 7:00 pm to 9:00 pm</p>
								</div>
							</div>
							<div class="upComInfoDiv clearAfter">
								<div>
									<p><a class="redNormalLink tDN" href="#">Inspirationsaften "Enneagrammet - indsigt -
										udvikling - trivsel" </a><span class="boldText"> @ UdviklingSvej</span></p>
									<p>Mon Nov 26 from 7:00 pm to 9:00 pm</p>
								</div>
							</div>
							<div class="upComInfoDiv clearAfter">
								<div>
									<p><a class="redNormalLink tDN" href="#">Inspirationsaften "Enneagrammet - indsigt -
										udvikling - trivsel" </a><span class="boldText"> @ UdviklingSvej</span></p>
									<p>Mon Nov 26 from 7:00 pm to 9:00 pm</p>
								</div>
							</div>
						</div>
						<div> </div>
					</div>
				</div>
			</div>
			-->
			
			<!-- Popular DIV
			<div class="prflRightBox" >
				<div id="prflTitle">
					<h3>Popular in Denmark</h3>
				</div>
				<div class="prflRightInBox">
					<div id="netWeventInfo">
						<div class="topSpaceSmall">
							<div class="upComInfoDiv clearAfter">
								<div class="floatLeft">
									<p class="boldText"><a  class=" forwardIcon redNormalLink tDN" href="#">Posted Items</a></p>
								</div>
								<div class="floatRight"><a class="redNormalLink tDN" href="#">see all</a></div>
							</div>
							<div id="placePoplrVideo" class="topSpaceSmall clearAfter">
								<ul>
									<li id="placeVdo"><img src="images/denPopu_ima1.jpg" /></li>
									<li id="placeVdoInfo">
										<p>Line Barfod afbryder interview!</p>
										<p class="smallFontSize "><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
										<p class="smallFontSize topSpaceSmall">Line Barfod afbryder interview!</p>
										<p class="smallFontSize"><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
										<p class="smallFontSize topSpaceSmall">Line Barfod afbryder interview!</p>
										<p class="smallFontSize"><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
									</li>
								</ul>
							</div>
						</div>

						<div class="topSpaceSmall">
							<div class="upComInfoDiv clearAfter">
								<div class="floatLeft">
									<p class="boldText"><a  class=" forwardIcon redNormalLink tDN" href="#">Posted Items</a></p>
								</div>
								<div class="floatRight"><a class="redNormalLink tDN" href="#">see all</a></div>
							</div>
							<div id="placePoplrVideo" class="topSpaceSmall clearAfter">
								<ul>
									<li id="placeVdo"><img src="images/denPopu_ima1.jpg" /></li>
									<li id="placeVdoInfo">
										<p>Line Barfod afbryder interview!</p>
										<p class="smallFontSize "><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
										<p class="smallFontSize topSpaceSmall">Line Barfod afbryder interview!</p>
										<p class="smallFontSize"><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
										<p class="smallFontSize topSpaceSmall">Line Barfod afbryder interview!</p>
										<p class="smallFontSize"><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
									</li>
								</ul>
							</div>
						</div>

						<div class="topSpaceSmall">
							<div class="upComInfoDiv clearAfter">
								<div class="floatLeft">
									<p class="boldText"><a  class=" forwardIcon redNormalLink tDN" href="#">Posted Items</a></p>
								</div>
								<div class="floatRight"><a class="redNormalLink tDN" href="#">see all</a></div>
							</div>
							<div id="placePoplrVideo" class="topSpaceSmall clearAfter">
								<ul>
									<li id="placeVdo"><img src="images/denPopu_ima1.jpg" /></li>
									<li id="placeVdoInfo">
										<p>Line Barfod afbryder interview!</p>
										<p class="smallFontSize "><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
										<p class="smallFontSize topSpaceSmall">Line Barfod afbryder interview!</p>
										<p class="smallFontSize"><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
										<p class="smallFontSize topSpaceSmall">Line Barfod afbryder interview!</p>
										<p class="smallFontSize"><a class=" tDN" href="#">http://www.youtube.com/watch?v=P-zaUpJPtbI...</a></p>
									</li>
								</ul>
							</div>
						</div>
						<div> </div>
					</div>
				</div>
			</div>		-->
			
			<div class="prflRightBox" >
				<!-- the wall -->
				<div id="prflTitle">
					<a name="discussionboard"></a>
					<h3 class="cursorBtn" onclick="javascript: $('#dbBottom').toggle('slow');">{$lang->line('network_db')}</h3>
				</div>
				<div id="dbBottom" class="prflRightInBox">
					<div class="clearAfter">
						<div class="floatLeft">
							<p>
							{if $discussionTopicsCount > 0}
								{$lang->line('network_displaying')} {$discussionTopicsCount} {$lang->line('network_of')} {$discussionTopicsTotal} {$lang->line('network_topics')}.
							{else}
								{$lang->line('network_no_db')}
							{/if}
							</p>
						</div>
						<div class="floatRight">
						{if $joined != 0}
						<a class="redNormalLink tDN" href="{$base_url}discussion/create/network/{$networkDetails.network_id}/">{$lang->line('network_new_topic')}</a>
						{/if}
						{if $discussionTopicsCount > 0} | <a class="redNormalLink tDN" href="{$base_url}discussion/view/network/{$networkDetails.network_id}/">{$lang->line('network_see_all')}</a>{/if}
						</div>
					</div>
					{if $discussionTopicsCount > 0}
					<div id="netWeventInfo" class="topSpaceSmall">
						<div >
							{foreach from=$discussionTopics key=discussionId item=discussionRow}
							<div class="upComInfoDiv clearAfter">
								<div>
									<p>
										<a class="redBoldLink tDN" href="{$base_url}discussion/view/network/{$networkDetails.network_id}/{$discussionId}">{$discussionRow.discussion_topic|htmlspecialchars}</a>
									</p>
									<p class="dGrayText">{$discussionRow.posts} {$lang->line('network_posts_by')} {$discussionRow.peoples} {$lang->line('network_people')}. {$lang->line('network_updated_on')} {$discussionRow.last_updated}.</p>
								</div>
							</div>
							{/foreach}
						</div>
					</div>
					{/if}
				</div>
			</div>
			<div class="prflRightBox" >
				<!-- the wall -->
				<div id="prflTitle">
					<h3 class="cursorBtn" onclick="javascript: $('#wallBottom').toggle('slow');">{$lang->line('network_wall_title')}</h3>
				</div>
				<div id="wallBottom" class="prflRightInBox">
					<div class="clearAfter">
						<div class="floatLeft">
							<p>{$lang->line('network_displaying')} <span id="currWallCount">{$wallCount}</span> {$lang->line('network_of')} <span id="totalWallCount">{$wallTotal}</span> {$lang->line('network_wall')}.</p>
						</div>
						<div class="floatRight"><a class="redNormalLink tDN" href="{$base_url}wall/view/network/{$networkDetails.network_id}">{$lang->line('network_see_all')}</a></div>
					</div>
					
					<!-- success info -->
					<div id="wallsucsMsg" style=" display:none;">
						<div id="sucsMsg">
							<div id="successInfo" class="alertInfo"></div>
						</div>
					</div>
					<!-- success info -->
					<!-- Error info -->
					<div id="wallerrorMsg" style=" display:none;">
						<div id="errorMsg">
							<div id="errorInfo" class="alertInfo">			
							</div>
						</div>
					</div>
					<!-- Error info -->
					
					{if $joined != 0}
					<ul class="rowLines">
						<li>
							<textarea name="inline_wall_content" id="inline_wall_content" class="textAreas" id="textarea"></textarea>
							<input type="hidden" name="inline_wall_for" id="inline_wall_for" readonly value="network">
							<input type="hidden" name="inline_wall_for_id" id="inline_wall_for_id" readonly value="{$networkDetails.network_id}">
							<input type="hidden" name="inline_wall_for_name" id="inline_wall_for_name" readonly value="{$networkDetails.network_name}">
							<input type="hidden" name="inline_wall_for_link" id="inline_wall_for_link" readonly value="{$base_url}network/view/{$networkDetails.network_id}">
						</li>
						<li>
							<hr />
							<input name="submit" type="image" class="cursorBtn" src="{$app_url}images/{$language}/postBtn.jpg" onClick="javascript: postWallForm();"/>
						</li>
					</ul>
					{/if}
					
					<div id="WallContentLists">
					{if $wallCount > 0}
					{foreach from=$wall key=wallId item=wallRow}
					<div id="wall_view_{$wallId}" class="postInfoBox">
						<!-- post info -->
						<div class="postInfo clearAfter">
							<!-- sinlge info -->
							<div class="floatLeft"><img src="{$wallRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}"/></div>
							<div class="postInfoRight">
								<div class="postInfoHead">
									<p><a class="redBoldLink tDN" href="{$base_url}profile/{$wallRow.user_id}">{$wallRow.username|truncate:30:"...":true}</a> {$lang->line('network_wrote')}</p>
									<p class="smallFontSize">{$lang->line('network_at')} {$wallRow.wall_date}</p>
								</div>
								<div class="topSpaceSmall">
									<p>{$wallRow.wall_content|htmlspecialchars|nl2br|wordwrap:38:"<br />":true|truncate:275:"...":true}</p>
									<p class="smallFontSize">
                                    	<a class="redNormalLink tDN" href="javascript: void(0);" onclick="javascript: showWallForm('{$wallRow.username|truncate:30:"...":true}', 'profile', {$wallRow.user_id}, '{$networkDetails.network_name}', '{$base_url}network/view/{$networkDetails.network_id}');">
                                        	{$lang->line('network_write_on')} 
                                            {if $wallRow.user_id == $session->userdata('user_id')} 
                                            	{$lang->line('network_my')} 
                                            {else} 
                                            	{$wallRow.username|truncate:30:"...":true} 
                                            {/if} 
                                            {$lang->line('network_wall')}
                                        </a>
                                        {if $wallRow.user_id == $session->userdata('user_id')} | 
                                        	<a class="redNormalLink tDN" href="javascript: void(0);" onclick="javascript: showDeleteWallForm({$wallRow.wall_id});">{$lang->line('network_delete')}</a>
                                        {/if}
                                    </p>
								</div>
							</div>
							<!-- single info end -->
						</div>
					</div>
					{/foreach}
					{/if}
					</div>
				</div>
			</div>
			<!-- prfl Info end -->
		</div>
	</div>
</div>

<!-- Template file for posting a wall -->
{include file="wallcreate.tpl"}

<!-- Template file for deleting a wall -->
{include file="walldelete.tpl"}

<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}