<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<div class="clearAfter" id="grayBoxMain">
		<!-- gray start  -->
		<div id="postedItems">
			<ul class="clearAfter">
				<li><a href="{$base_url}photos/myphotos"> {$lang->line('photos_label_my_photos')}</a> </li>
			</ul>
		</div>
		<!-- gray end -->
	</div>
	<div class="mainInnerCommon postedItems"   >
		<div class="mainInnerTopDiv clearAfter">
			<div id="mainPageTitle" class="floatLeft groupsBox">
				<img src="{$app_url}images/photoIcon.gif" />&nbsp;{$lang->line('photos_label_photos')}
			</div>
			<div class="floatRight" id="showRecntPost">
				<a href="{$base_url}photos/createalbum"><img class="cursorBtn" src="{$app_url}images/{$language}/createAPotoAlbum.jpg" /></a>
			</div>
		</div>
		<!-- links -->
		<div id="accountsNaviLink" class="clearAfter">
			<ul class="clearAfter">
				<li><a class="active" href="#">{$lang->line('photos_label_recent_photo_albums')}</a></li>
			</ul>
			<div id="borderBottom">
				<!-- border bottom -->
			</div>
		</div>
        {include file="pagination.tpl"}
		<div id="photoDsplyBox">
			<!-- photo box -->
            {if $friendsAlbumsCount<1}
			<div class="clearAfter">
				<div class="floatLeft">
					<p>{$lang->line('photos_label_no_friends_album')}.</p>
				</div>
				<div class="floatRight"></div>
			</div>
			{else}			            
			<div class="clearAfter">
				<div class="floatLeft">
					<p>{$lang->line('photos_label_displaying')} {$lang->line('photos_label_friends')} {$startCount}-{$endCount} {$lang->line('photos_label_out_of')} {$friendsAlbumsCount} {$lang->line('photos_label_recent_albums')}.</p>
				</div>
				<!--<div class="floatRight">1  2 <a class="redNormalLink tDN" href="#">Next</a></div>-->
			</div>
			<div id="photoDsply" class="topSpace">
               	<ul class="clearAfter">
                {foreach name=albums from=$friendsAlbums key=album_id item=album_detail}
                    <li><a href="{$base_url}photos/viewalbum/{$album_detail.album_id}"><img border="0" width="50" {if $album_detail.album_cover=='0' or $album_detail.album_cover==''}	src="{$base_url}application/images/default_avatar_thumb.jpg" {else} src="{$base_url}application/content/photos/{$albumPrefix}{$album_detail.album_id}/{$photoPrefix}{$album_detail.album_id}_{$album_detail.album_cover}_thumb{$album_detail.album_cover_ext}?{0|rand:100}" {/if}/></a></li>
                    <li id="photoInfo">
                        <p><a class="redBoldLink tDN" href="{$base_url}photos/viewalbum/{$album_detail.album_id}">{$album_detail.name}</a></p>
                        <div class="smallFontSize">
                            <p> {$lang->line('photos_label_by')} <a class="redNormalLink tDN" href="{$base_url}profile/{$album_detail.user_id}">{$album_detail.friend_name|truncate:15:"...":true}</a></p>
                            <p>{$album_detail.regional_network}</p>
                            <p class="grayText"> Created {$album_detail.created_on}</p>
                        </div>
                    </li>
                    {if $smarty.foreach.albums.iteration%2==0}
                    </ul>
                    <ul class="clearAfter">
                	{/if}
                {/foreach}
                {if $smarty.foreach.albums.iteration%2>0}
                </ul>
                {/if}
			</div>
            {/if}
			<!-- photo box end -->
		</div>
        {include file="pagination.tpl"}
		<!-- main common end -->
	</div>
	<!-- main end -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}