<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/privacy.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<!-- gray start  -->
		<p id="headingPrivacy">{$lang->line('privacy_overview')} - {$lang->line('privacy_search')}</p>
		<!-- gray end -->
	</div>
	
	<div class="mainInnerCommon postedItems" >
		<form name="searchSettingFrm" method="post" action="">
			<div class="topSpaceSmall">
				<div class="usageMInfo">
					<p> {$lang->line('privacy_msg_13')} "{$session->userdata('username')}" {$lang->line('privacy_msg_14')}. <br />
						<a href="{$base_url}privacy"><< Back to {$lang->line('privacy_overview')}</a> </p>
				</div>
				{if $msg != ''}
					<div id="sucsMsg"><!-- success info -->
						<div class="alertInfo">{$msg}</div>
					</div>
				{/if}
				<div class="topSpace">
					<p class="privacyTopic">{$lang->line('privacy_msg_15')}</p>
					<hr />
					{$lang->line('privacy_which')} {$sitename} {$lang->line('privacy_msg_16')}?<br />
					<select name="searchSettingView" onchange="javascript: showHide(this.options[this.selectedIndex].value);">
						{foreach from=$searchSettingView key=searchSettingId item=searchSettingRow}
						<option value="{$searchSettingId}" {if $userSearchSetting.$searchSettingId == 'yes'} selected {/if}>{$searchSettingRow.search_setting_name}</option>
						{/foreach}
					</select>
					<div id="userNetworks" style="display:{if $userSearchSetting.3 == 'yes'}block{else}none{/if}"> 
						{foreach from=$userNetworks key=networkId item=networkRow}
							<br /><input type="checkbox" name="chk_network[{$networkId}]" value="{$networkId}" {if $userSearchSettingNetworks.$networkId == $networkId} checked="checked" {/if} />&nbsp;
							{if $networkRow.network_type == 'region'}
								{$networkRow.network_city}
							{else}
								{$networkRow.network_name}
							{/if}
						{/foreach}
					</div>
					<br />
					<br />
					{$lang->line('privacy_msg_17')}: <br />
					{foreach from=$searchSettingNetwork key=searchSettingId item=searchSettingRow}
						<input class="profile" type="checkbox" name="searchSettingViewChk[{$searchSettingId}]" value="{$searchSettingId}" {if $userSearchSetting.1 == 'yes'} disabled="disabled" {/if} {if $userSearchSetting.$searchSettingId == 'yes'} checked="checked" {/if} />
						&nbsp;{$searchSettingRow.search_setting_name}<br />
					{/foreach} 
				</div>
				<div class="topSpace">
					<p class="privacyTopic">{$lang->line('privacy_msg_18')}</p>
					<hr />
					{foreach from=$searchSettingProfile key=searchSettingId item=searchSettingRow}
						<input type="checkbox" name="searchSettingViewChk[{$searchSettingId}]" value="{$searchSettingId}" {if $userSearchSetting.$searchSettingId == 'yes'} checked="checked" {/if} />
						&nbsp;{$searchSettingRow.search_setting_name}<br />
					{/foreach}
					<br />
				</div>
				<br />
				<br />
				<input type="image" src="{$app_url}images/{$language}/saveBtn.jpg" name="submit" value="Save">
			</div>
		</form>
		<div id="empty">
			<!-- empty -->
		</div>
	</div>
</div>
<!-- Page Content End -->
<!-- Footer template file -->
{include file="footer.tpl"}