<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain"><!-- gray start  -->
		<br />
		<div id="searchFriendSec">
			<form id="searchFrm" name="searchFrm" method="post" action="{$base_url}search/all/{$searchArea}">
			<input type="hidden" readonly="readonly" name="pageNo" id="pageNo" value="" />
			<ul>
				<li id="frndSrchBox" class="floatRight">
					<p id="frndSearchIcon">
						<input name="" class="cursorBtn" type="image" src="{$app_url}images/searchIconDull.gif" />
					</p>
					<span>
						<input class="privacyTextBox headerSrch" name="searchKeyword" id="searchKeyword" type="search" value="{$keyword}"/>
					</span>
				</li>
			</ul>
			</form>
		</div>
		<!-- gray end -->
	</div>
	
	<div class="mainInnerCommon postedItems"  >
	
		<!-- Pagination -->
		{include file="pagination_post.tpl" frmId="searchFrm"}

		<div id="accountsNaviLink" class="clearAfter">
			<ul class="clearAfter">
				<li><a {if $searchArea == 'peoples'} class="active" {/if} class='cursorBtn' onClick="javascript: $('#searchGlobalFrm').attr('action', '{$base_url}search/all/peoples'); $('#searchGlobalFrm').submit();">{$lang->line('search_peoples')}</a></li>
				<li><a {if $searchArea == 'events'} class="active" {/if} class='cursorBtn' onClick="javascript: $('#searchGlobalFrm').attr('action', '{$base_url}search/all/events'); $('#searchGlobalFrm').submit();">{$lang->line('search_events')}</a></li>
				<li><a {if $searchArea == 'groups'} class="active" {/if} class='cursorBtn'  onClick="javascript: $('#searchGlobalFrm').attr('action', '{$base_url}search/all/groups'); $('#searchGlobalFrm').submit();">{$lang->line('search_groups')}</a></li>
				<li><a {if $searchArea == 'networks'} class="active" {/if}   class='cursorBtn' class="right" onClick="javascript: $('#searchGlobalFrm').attr('action', '{$base_url}search/all/networks'); $('#searchGlobalFrm').submit();">{$lang->line('search_networks')}</a></li>
			</ul>
			<div id="borderBottom">
				<!-- border bottom -->
			</div>
		</div>
		
		{if $searchArea == 'peoples'}
			<div id="friendInfo">
				{if $resultsTotal > 0}
				{foreach from=$results key=resultsId item=resultsRow}
					<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
						<tr>
							<td class="vAlignTop fndFrndPhoto"><img class="thumbnail" src="{$resultsRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" /></td>
							<td id="fndFrndInfo" class="vAlignTop fndFrndPhoto"><p>{$lang->line('search_name')}:</p>
								<p>{$lang->line('search_network')}:</p>
							</td>
							<td id="fndFrndInfo" class="vAlignTop"><p><a class="redBoldLink tDN" href="{$base_url}profile/{$resultsRow.user_id}">{$resultsRow.username}</a></p>
								<p>{$resultsRow.network}</p>
							</td>
							<td  id="findFrndEdit" class="vAlignTop">
								{if $resultsRow.searchSetting.7 != 'no' && $resultsRow.isFriend != 1}							
								<p><a href="javascript: void(0);" onclick="javascript: $('#row_{$resultsRow.user_id}').show();">{$lang->line('search_add_friend')}</a></p>
								{/if}
								
								{if $resultsRow.searchSetting.6 != 'no'}
								<p><a href="{$base_url}message/compose/{$resultsRow.user_id}">{$lang->line('search_send_msg')}</a></p>
								{/if}
								
								{if $resultsRow.searchSetting.8 != 'no'}
								<p><a href="{$base_url}friends/showfriends/{$resultsRow.user_id}">{$lang->line('search_view_friends')}</a></p>
								{/if}
								
								{if $resultsRow.isFriend == 1}
								<p><a href="javascript: void(0);" onclick="javascript: $('#remove_row_{$resultsRow.user_id}').show();">{$lang->line('search_remove_friends')}</a></p>
								{/if}
							</td>
						</tr>
						<tr id="row_{$resultsRow.user_id}" style="display:none">
							<td colspan="4">
								<form id="addFriend_{$resultsRow.user_id}" name="removeFriend_{$resultsRow.user_id}" method="post" action="{$base_url}friends/addFriend">
								<div id="comnMsg">
									<div class="alertInfo">
										{$lang->line('search_msg')}: <textarea name="hdn_friend_message_{$resultsRow.user_id}"></textarea>
										<input type="hidden" readonly="readonly" name="hdn_friend_id" value="{$resultsRow.user_id}" />
										<hr />
										<input type="image" src="{$app_url}images/{$language}/confirmBtn.jpg" onclick="javascript: $('#addFriend_{$resultsRow.user_id}').submit();" />
										<img class="cursorBtn" src="{$app_url}images/{$language}/cancelBtn.jpg" onclick="javascript: $('#row_{$resultsRow.user_id}').hide();" />
									</div>
								</div>
								</form>
							</td>
						</tr>
						<tr id="remove_row_{$resultsRow.user_id}" style="display:none">
							<td colspan="4">
								<form id="removeFriend_{$resultsRow.user_id}" name="removeFriend_{$resultsRow.user_id}" method="post" action="{$base_url}friends/removefriend">
								<div id="comnMsg">
									<div class="alertInfo">
										<input type="hidden" readonly="readonly" name="hdn_friend_id" />
										{$lang->line('search_question_1')} {$resultsRow.username} {$lang->line('search_question_2')} ?
										<br /><br />
										<input type="image" src="{$app_url}images/{$language}/confirmBtn.jpg" onclick="javascript: $('#removeFriend_{$resultsRow.user_id}').submit();" />
										<img class="cursorBtn" src="{$app_url}images/{$language}/cancelBtn.jpg" onclick="javascript: $('#remove_row_{$resultsRow.user_id}').hide();" />
									</div>
								</div>
								</form>
							</td>
						</tr>
					</table>					
				{/foreach}
				{else}
				<div id="comnMsg"><!-- common info -->
					<div class="alertInfo">
						<p>{$lang->line('search_no_yields')}.</p>
					</div>
				</div>
				{/if}
			</div>
		{elseif $searchArea == 'events'}
			<div id="friendInfo">
				{if $resultsTotal > 0}
				{foreach from=$results key=resultsId item=resultsRow}
					<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
						<tr>
							<td class="vAlignTop fndFrndPhoto"><img class="thumbnail" src="{$resultsRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" /></td>
							<td id="fndFrndInfo" class="vAlignTop fndFrndPhoto"><p>{$lang->line('search_name')}:</p>
								<p>{$lang->line('search_start_date')}:</p>
							</td>
							<td id="fndFrndInfo" class="vAlignTop"><p><a class="redBoldLink tDN" href="{$base_url}events/view/{$resultsRow.event_id}">{$resultsRow.event_name}</a></p>
								<p>{$resultsRow.event_start_unix_stamp|date_format:"%A, %B %e, %Y"}</p>
							</td>
							<td  id="findFrndEdit" class="vAlignTop">
								<p><a href="{$base_url}events/view/{$resultsRow.event_id}">{$lang->line('search_view_event')}</a></p>
							</td>
						</tr>
					</table>
				{/foreach}
				{else}
				<div id="comnMsg"><!-- common info -->
					<div class="alertInfo">
						<p>{$lang->line('search_no_yields')}.</p>
					</div>
				</div>
				{/if}
			</div>
		{elseif $searchArea == 'groups'}
			<div id="friendInfo">
				{if $resultsTotal > 0}
				{foreach from=$results key=resultsId item=resultsRow}
					<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
						<tr>
							<td class="vAlignTop fndFrndPhoto"><img class="thumbnail" src="{$resultsRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}" /></td>
							<td id="fndFrndInfo" class="vAlignTop fndFrndPhoto"><p>{$lang->line('search_name')}:</p>
								<p>{$lang->line('search_group_type')}:</p>
							</td>
							<td id="fndFrndInfo" class="vAlignTop"><p><a class="redBoldLink tDN" href="{$base_url}groups/view/{$resultsRow.group_id}">{$resultsRow.group_name}</a></p>
								<p>{$resultsRow.group_type}</p>
							</td>
							<td  id="findFrndEdit" class="vAlignTop">
								<p><a href="{$base_url}groups/view/{$resultsRow.group_id}">{$lang->line('search_view_group')}</a></p>
							</td>
						</tr>
					</table>
				{/foreach}
				{else}
				<div id="comnMsg"><!-- common info -->
					<div class="alertInfo">
						<p>{$lang->line('search_no_yields')}.</p>
					</div>
				</div>
				{/if}
			</div>
		{elseif $searchArea == 'networks'}
			<div id="friendInfo">
				{if $resultsTotal > 0}
				{foreach from=$results key=resultsId item=resultsRow}
					<table border="0"  class="allTable" cellspacing="0" cellpadding="0">
						<tr>
							<td class="vAlignTop fndFrndPhoto">&nbsp;</td>
							<td id="fndFrndInfo" class="vAlignTop fndFrndPhoto">
								<p>{$lang->line('search_name')}:</p>
								<p>{$lang->line('search_type')}:</p>
								<p>{$lang->line('search_country')}:</p>
							</td>
							<td id="fndFrndInfo" class="vAlignTop"><p>
								<a class="redBoldLink tDN" href="{$base_url}network/view/{$resultsRow.network_id}">{$resultsRow.network_name}</a></p>
								<p>{$resultsRow.network_type|ucfirst}</p>
								<p>{$resultsRow.country_name}</p>
							</td>
							<td  id="findFrndEdit" class="vAlignTop">
								<p><a href="{$base_url}network/view/{$resultsRow.network_id}">{$lang->line('search_view_network')}</a></p>
							</td>
						</tr>
					</table>
				{/foreach}
				{else}
				<div id="comnMsg"><!-- common info -->
					<div class="alertInfo">
						<p>{$lang->line('search_no_yields')}.</p>
					</div>
				</div>
				{/if}
			</div>
		{/if}
		
		<!-- Pagination -->
		{include file="pagination_post.tpl" frmId="searchFrm"}
		
	</div>		
	<!-- posted item end overall with two coloum -->
</div>
<!-- Page Content End -->

<!-- Footer template file -->
{include file="footer.tpl"}