<!-- Header template file -->
{include file="header.tpl"}

<!-- Include the additional script file you need here -->
<script type="text/javascript" src="{$app_url}scripts/wall.js"></script>

<!-- Left Pane template file -->
{include file="left.tpl"}

<!-- Page Content -->
<div id="main" class="floatLeft main">
	<!-- main -->
	<!-- main end -->
	<div id="grayBoxMain">
		<div id="grayBoxInner">
			<div id="placeName" >
				<div class="floatLeft">{$lang->line('wall_wall_title')}</div>
			</div>
		</div>
	</div>
	
	<div id="groupsInnerBox" class="mainInnerCommon">
	{if $noResults == 0}	
        {if $session->flashdata('flash_msg')}
        <div id="comnMsg">
            <div class="alertInfo">
                {$session->flashdata('flash_msg')}
            </div>
        </div>
        {/if}
        
        <div class="topSpace">
		</div>
		{include file="pagination.tpl"}
		<div class=" topSpaceSmall">
			<div id="listBox">
				<div id="listBoxInner" class="clearAfter">
					{if $wallCount > 0}
					{foreach from=$wall key=wallId item=wallRow}
					<div id="wall_view_{$wallId}" class="postInfoBox">
						<!-- post info -->
						<div class="postInfo clearAfter">
							<!-- sinlge info -->
							<div class="floatLeft"><img src="{$wallRow.avatar}" width="{$avatar_thumb_width}" height="{$avatar_thumb_height}"/></div>
							<div class="postInfoRight">
								<div class="postInfoHead">
									<p><a class="redBoldLink tDN" href="{$base_url}profile/{$wallRow.user_id}">{$wallRow.username|truncate:30:"...":true}</a> {$lang->line('wall_wrote')}</p>
									<p class="smallFontSize">{$lang->line('wall_at')} {$wallRow.wall_date}</p>
								</div>
								<div class="topSpaceSmall">
									<p>{$wallRow.wall_content|htmlspecialchars|nl2br|wordwrap:58:"<br />":true}</p>
									<p class="smallFontSize">
										<a class="redNormalLink tDN" href="javascript: void(0);" onClick="javascript: showWallForm('{$wallRow.username|truncate:30:"...":true}', 'profile', {$wallRow.user_id});">
											{$lang->line('wall_write_on')} {if $wallRow.user_id == $session->userdata('user_id')} {$lang->line('wall_my')} {else} {$wallRow.username|truncate:30:"...":true} {/if} {$lang->line('wall_wall')}
										</a>
										{if $wallRow.user_id == $session->userdata('user_id')}
											 | <a class="redNormalLink tDN" href="javascript: void(0);" onclick="javascript: $('#deleteWallConfirm_{$wallRow.wall_id}').show();">{$lang->line('wall_delete')}</a>
										{/if}
									</p>
								</div>                                
                                
                                {if $wallRow.user_id == $session->userdata('user_id')}
                                <div id="deleteWallConfirm_{$wallRow.wall_id}" style="display:none;">
                                    <div id="comnMsg">
                                        <div class="alertInfo">
                                        	<form id="confirmFrm" name="confirmFrm" method="post" action="{$base_url}wall/view/{$wallFor}/{$wallForId}/delete">
                                            {$lang->line('wall_delete_question')} ?
                                            <br /><br />
                                            <input type="hidden" name="wall_id" id="wall_id" value="{$wallRow.wall_id}" />
                                            <input type="image" src="{$app_url}images/{$language}/confirmBtn.jpg"/>
                                            <img class="cursorBtn" src="{$app_url}images/{$language}/cancelBtn.jpg" onclick="javascript: $('#deleteWallConfirm_{$wallRow.wall_id}').hide();" />
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                {/if}
                                
							</div>
							<!-- single info end -->
						</div>
					</div>
					<hr />
					{/foreach}
					{/if}
				</div>
			</div>
		</div>
		{include file="pagination.tpl"}
    {else}
    	<div id="comnMsg">
            <div class="alertInfo">
                No walls.
            </div>
        </div>
    {/if}
	</div>
	<!-- main end -->
</div>
<!-- Page Content End -->

<!-- Template file for posting a wall -->
{include file="wallcreate.tpl"}

<!-- Footer template file -->
{include file="footer.tpl"}